<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\141\x69\x6c\x79"; private const CONFIG_DIRECTORY = "\57\162\157\x6f\164\x2f\56\x63\157\x6e\146\151\147\57\x72\x63\x6c\x6f\x6e\145\x2f"; private const CLP_USER_CONFIG_DIRECTORY = "\x2f\150\x6f\x6d\145\x2f\x63\x6c\x70\x2f\56\x63\157\x6e\146\151\x67\x2f"; private const CLP_USER = "\143\x6c\x70"; public const CREDENTIALS_DIRECTORY = "\57\x68\157\x6d\x65\57\143\154\x70\x2f\56\143\x6f\156\146\151\147\57\162\143\x6c\x6f\156\x65\x2f\143\x72\145\x64\x65\x6e\x74\x69\141\x6c\x73\x2f"; private const CONFIG_FILE = "\57\162\x6f\x6f\x74\x2f\x2e\x63\157\x6e\146\x69\x67\x2f\x72\x63\154\x6f\x6e\145\x2f\162\x63\154\x6f\156\x65\56\x63\x6f\x6e\x66"; private const CRON_JOB_FILE = "\x2f\x65\x74\143\x2f\x63\162\157\x6e\56\144\x2f\x63\154\x70\x2d\162\x63\154\x6f\156\145"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto A9b07; A9b07: if (!(true === is_null($this->configFile))) { goto F0d74; } goto F5d7b; a3753: F0d74: goto de061; de061: return $this->configFile; goto cb21b; F5d7b: $this->configFile = self::CONFIG_FILE; goto a3753; cb21b: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\146\x6c\x61\147" => $flag, "\x76\x61\154\165\145" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto a8341; b950c: $rcloneCopyCommand = new RcloneCopyCommand(); goto a7459; Cbf32: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto B2543; a4313: $rcloneCopyCommand->setDestination($destination); goto E4e3b; f7efc: $configFile = $this->getConfigFile(); goto b950c; a7459: $rcloneCopyCommand->setConfigFile($configFile); goto C92b7; C92b7: $rcloneCopyCommand->setSource($source); goto a4313; E4e3b: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto Cbf32; a8341: $flags = $this->getFlags(); goto f7efc; B2543: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto e597d; e597d: $flags = $this->getFlags(); goto cb988; Edc13: $rcloneLsJsonCommand->setConfigFile($configFile); goto ef3c3; ef3c3: $rcloneLsJsonCommand->setRemotePath($remotePath); goto ca7d7; C6928: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto B4d77; d3b97: B84b3: goto C6928; ca7d7: if (!(true === $directoriesOnly)) { goto B84b3; } goto e7b2d; e7b2d: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto d3b97; Fb09e: return $files; goto d9828; c0fb6: $files = $rcloneLsJsonCommand->getFiles(); goto Fb09e; cb988: $configFile = $this->getConfigFile(); goto eefec; B4d77: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto c0fb6; eefec: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto Edc13; d9828: } public function purge(string $remotePath) { goto ec8c3; a512e: $rclonePurgeCommand->setRemotePath($remotePath); goto a2be6; bc477: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto Cedec; a2be6: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto bc477; Eb7e0: $rclonePurgeCommand = new RclonePurgeCommand(); goto a512e; ec8c3: $flags = $this->getFlags(); goto Eb7e0; Cedec: } public function writeConfig(string $config) : void { goto B43ba; B0b2c: $writeConfigFileCommand->setContent($config); goto F7101; Ef25b: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto F4570; F7101: $this->commandExecutor->execute($createConfigDirectoryCommand); goto e4853; F4570: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto f8e1d; e4853: $this->commandExecutor->execute($writeConfigFileCommand); goto e77c4; f8e1d: $writeConfigFileCommand = new WriteFileCommand(); goto dc37b; B43ba: $configFile = $this->getConfigFile(); goto Ef25b; dc37b: $writeConfigFileCommand->setFile($configFile); goto B0b2c; e77c4: } public function writeCredentialsFile(string $file, string $content) : void { goto c4de9; E98d8: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto D87ea; bf03e: file_put_contents($file, $content); goto F98ab; c7a40: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto c2260; ef1ce: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto Cba18; D87ea: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto bf03e; c4de9: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto fe70f; E9684: $this->commandExecutor->execute($credentialsDirectoryCommand); goto E98d8; B09ec: $chownConfigDirectoryCommand = new ChownCommand(); goto a0003; c2260: $chmodConfigDirectoryCommand->setFileChmod(770); goto E9684; d7a1f: $chownConfigDirectoryCommand->setRecursive(true); goto a6bfa; a6bfa: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto cb316; a0003: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto d7a1f; fe70f: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto B09ec; cb316: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto ef1ce; Cba18: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto c7a40; F98ab: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto Eb54c; fff67: if (self::FREQUENCY_DAILY == $frequency) { goto E932e; } goto f3307; Fbe0d: $this->commandExecutor->execute($writeCronJobFileCommand); goto Be626; F6e39: E932e: goto C6293; F2fab: f4f19: goto fdbd3; C6293: $cronJobContent .= sprintf("\60\40\45\163\40\x2a\x20\x2a\40\x2a\x20\143\x6c\x70\40\57\165\163\x72\x2f\x62\x69\x6e\x2f\x62\x61\163\150\40\x2d\x63\40\x22\57\165\x73\x72\x2f\x62\151\156\x2f\x63\154\160\143\x74\x6c\40\x72\x65\x6d\157\164\145\55\x62\141\x63\153\165\x70\72\143\x72\145\x61\164\145\40\x2d\x2d\144\x65\x6c\x61\x79\x3d\x74\162\165\x65\x22\40\x26\76\40\x2f\144\x65\166\x2f\156\165\154\x6c", $executionTime); goto F2fab; Eb54c: $cronJobContent = sprintf("\115\101\x49\x4c\x54\x4f\75\42\42\x25\163", PHP_EOL); goto fff67; F0917: goto f4f19; goto F6e39; f3307: $cronJobContent .= sprintf("\x30\40\52\x2f\45\163\40\52\40\x2a\40\52\x20\x63\x6c\x70\x20\x2f\165\163\x72\57\x62\151\156\57\x62\141\163\x68\40\x2d\x63\40\42\57\x75\163\x72\57\142\151\156\57\x63\154\x70\143\164\154\x20\x72\145\x6d\x6f\x74\145\x2d\142\141\143\x6b\165\160\72\143\162\x65\141\x74\x65\40\x2d\55\x64\145\154\x61\x79\x3d\164\x72\x75\145\42\40\x26\76\40\x2f\144\x65\166\x2f\156\x75\154\154", $frequency); goto F0917; c80ba: $writeCronJobFileCommand->setContent($cronJobContent); goto Fbe0d; fdbd3: $writeCronJobFileCommand = new WriteFileCommand(); goto b57c9; b57c9: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto c80ba; Be626: } private function addFlagsToCommand(array $flags, $command) : void { goto Fa779; Fa779: if (!(false === empty($flags))) { goto E2436; } goto F8559; F8559: foreach ($flags as $flagData) { $command->addFlag($flagData["\x66\x6c\141\x67"], $flagData["\166\141\154\165\145"]); f7c4f: } goto D2b29; D2b29: C72d5: goto Cd45a; Cd45a: E2436: goto F2cf3; F2cf3: } public function deleteCronJob() : void { goto F0a21; Ec8d8: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto B67c2; F0a21: $deleteCronJobFileCommand = new DeleteFileCommand(); goto Ec8d8; B67c2: $this->commandExecutor->execute($deleteCronJobFileCommand); goto D8fd5; D8fd5: } public function deleteCredentials() : void { goto e06a3; e06a3: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto Ba594; Be693: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto cb1ec; Ba594: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto Be693; cb1ec: } }
