<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto fbdc1; F7912: $this->validator = $validator; goto F886e; Cc76e: $this->databaseEntityManager = $databaseEntityManager; goto ef207; ef207: $this->databaseUserEntityManager = $databaseUserEntityManager; goto Bf480; Bf480: $this->databaseServerEntityManager = $databaseServerEntityManager; goto F7912; F886e: parent::__construct(); goto fb5ef; fbdc1: $this->siteEntityManager = $siteEntityManager; goto Cc76e; fb5ef: } protected function configure() : void { goto ee02b; c23b9: $this->addOption("\x64\157\x6d\141\151\x6e\x4e\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto f717f; f717f: $this->addOption("\x64\141\164\141\x62\x61\163\x65\116\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto fc3c4; fc3c4: $this->addOption("\x64\141\164\x61\142\x61\x73\x65\x55\x73\x65\x72\x4e\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto F0ee7; ee02b: $this->setName("\144\142\x3a\x61\x64\144"); goto f4bc2; F0ee7: $this->addOption("\144\x61\x74\x61\x62\141\163\145\125\x73\145\x72\x50\141\163\x73\x77\x6f\162\144", null, InputOption::VALUE_REQUIRED); goto C53e1; f4bc2: $this->setDescription("\143\x6c\x70\x63\164\154\x20\144\x62\x3a\141\144\x64\x20\55\55\x64\x6f\x6d\141\151\156\116\141\155\x65\x3d\x77\x77\x77\x2e\x64\157\155\141\151\156\56\x63\157\155\40\55\55\x64\141\164\x61\142\x61\163\145\116\x61\x6d\x65\x3d\155\x79\x2d\144\141\164\141\x62\x61\x73\x65\x20\55\55\x64\141\x74\141\x62\x61\x73\x65\125\163\145\x72\x4e\x61\x6d\x65\x3d\152\x6f\150\156\x20\55\55\x64\141\x74\141\x62\141\163\145\x55\163\145\x72\120\141\x73\x73\x77\157\162\x64\75\x27\x21\163\145\143\162\145\x74\120\x61\x73\163\x77\157\x72\x64\x21\47"); goto c23b9; C53e1: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto e1ad4; Fcfc3: return $this->renderConstraints($constraints, $output); goto f03b9; D10c6: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto D19c4; } goto a01b0; a01b0: $constraints = new ConstraintViolationList(); goto F9fef; aa635: if (!(true === is_null($siteEntity))) { goto de71c; } goto D53f4; c4f2f: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto C3e9d; F9fef: $constraints->addAll($databaseConstraints); goto da5be; f9f14: af739: goto Cd76c; e1ad4: $this->validateInput($input); goto Adb9f; Fafcf: E981f: goto f9f14; Fefa7: $databaseEntity->addUser($databaseUserEntity); goto b1689; d06e3: $databaseConstraints = $this->validator->validate($databaseEntity); goto c91f2; A2249: $this->siteEntityManager->updateEntity($siteEntity); goto c8249; A3e4b: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto aa635; da5be: $constraints->addAll($databaseUserConstraints); goto Fcfc3; d46c9: de71c: goto Ddefb; f7560: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto c4f2f; b1689: $siteEntity->addDatabase($databaseEntity); goto d06e3; abf25: if (!(false === is_null($activeDatabaseServerEntity))) { goto af739; } goto Af9e1; d3e22: return BaseCommand::SUCCESS; goto Fafcf; F5b89: D19c4: goto B53d0; d7c8f: $databaseUserEntity->setUserName($databaseUserName); goto f7560; df05e: $databaseManager->createUser($databaseUserEntity); goto A2249; Fb82e: $databaseName = trim($input->getOption("\x64\x61\164\141\142\x61\163\145\x4e\141\155\x65")); goto C1844; c9388: $databaseManager->createDatabase($databaseEntity); goto df05e; Adb9f: $domainName = trim($input->getOption("\x64\157\155\x61\x69\x6e\x4e\x61\155\x65")); goto Fb82e; c8249: $output->writeln(sprintf("\74\x69\156\146\157\76\x44\141\x74\x61\x62\141\x73\145\74\57\x69\156\146\x6f\76\40\74\143\x6f\155\155\145\x6e\x74\x3e\x25\x73\x3c\57\143\157\x6d\x6d\x65\x6e\x74\76\x20\x3c\151\156\146\157\76\150\141\x73\40\x62\x65\145\x6e\40\x61\144\144\145\x64\x2e\74\x2f\151\156\146\157\x3e", $databaseName)); goto d3e22; f03b9: goto E981f; goto F5b89; a2050: $databaseUserPassword = trim($input->getOption("\144\x61\164\141\x62\x61\163\x65\125\163\145\x72\120\x61\x73\x73\x77\157\x72\144")); goto A3e4b; c3496: $databaseEntity->setName($databaseName); goto b79ab; b79ab: $databaseEntity->setSite($siteEntity); goto b0f38; B53d0: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto c9388; ecf8c: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto c3496; C1844: $databaseUserName = trim($input->getOption("\x64\x61\164\x61\x62\141\x73\x65\125\x73\145\162\x4e\x61\x6d\x65")); goto a2050; Af9e1: $databaseEntity = $this->databaseEntityManager->createEntity(); goto ecf8c; Cd76c: return BaseCommand::FAILURE; goto C2854; D53f4: throw new \Exception(sprintf("\104\x6f\155\141\x69\156\116\141\x6d\x65\40\42\45\163\42\40\144\157\x65\x73\x20\x6e\157\164\40\145\170\151\x73\x74\x2e", $domainName)); goto d46c9; C3e9d: $databaseUserEntity->setDatabase($databaseEntity); goto Fefa7; Ddefb: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto abf25; b0f38: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto d7c8f; c91f2: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto D10c6; C2854: } catch (\Exception $e) { goto ad7b3; E307d: $output->writeln(sprintf("\x3c\x65\x72\162\x6f\x72\76\x25\163\x3c\57\x65\162\162\157\x72\76", $errorMessage)); goto E95de; ad7b3: $errorMessage = $e->getMessage(); goto E307d; E95de: return BaseCommand::FAILURE; goto b0fca; b0fca: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\x61\155\x65", "\x64\x61\164\x61\142\x61\163\145\116\141\155\x65", $constraints); $this->changePropertyPath("\x75\x73\145\162\x4e\x61\155\x65", "\144\x61\x74\x61\x62\x61\163\x65\x55\163\x65\162\x4e\x61\x6d\145", $constraints); } }
