<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto A72f2; Ca9fc: $this->validator = $validator; goto C7a39; C7a39: parent::__construct(); goto E8bfb; A72f2: $this->siteEntityManager = $siteEntityManager; goto B02fe; Afc34: $this->databaseServerEntityManager = $databaseServerEntityManager; goto A1345; B02fe: $this->databaseEntityManager = $databaseEntityManager; goto Afc34; A1345: $this->commandExecutor = new CommandExecutor(); goto Ca9fc; E8bfb: } protected function configure() : void { goto e97b1; f99fd: $this->addOption("\162\145\x74\145\x6e\x74\x69\157\x6e\x50\145\x72\x69\157\x64", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto b1b81; e97b1: $this->setName("\144\x62\x3a\142\141\143\x6b\165\160"); goto a1ed9; a1ed9: $this->setDescription("\143\x6c\160\143\x74\x6c\40\x64\142\x3a\142\x61\x63\x6b\165\x70\40\x2d\x2d\151\147\156\157\162\x65\x44\141\x74\141\142\x61\163\x65\x73\x3d\47\x64\x62\x31\54\x64\142\62\x27\x20\55\x2d\x72\145\164\145\156\x74\x69\x6f\x6e\x50\x65\x72\151\x6f\144\x3d\67"); goto C617a; C617a: $this->addOption("\151\147\156\157\x72\145\104\x61\x74\x61\x62\141\x73\145\163", null, InputOption::VALUE_OPTIONAL); goto f99fd; b1b81: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto db774; D6abc: $siteEntities = $this->siteEntityManager->findAll(); goto C7e31; adc34: return BaseCommand::SUCCESS; goto A49de; db774: $this->validateInput($input); goto acdbb; F1561: $this->retentionPeriod = (int) $input->getOption("\162\x65\164\x65\156\164\x69\x6f\156\x50\145\162\x69\x6f\x64"); goto D6abc; C7e31: if (!count($siteEntities)) { goto A2da7; } goto F2fc9; acdbb: $ignoredDatabases = explode("\x2c", $input->getOption("\151\x67\x6e\x6f\x72\x65\104\141\x74\141\142\x61\x73\145\x73")); goto F1561; F2fc9: foreach ($siteEntities as $siteEntity) { goto c86fb; f3f6e: foreach ($databaseEntities as $databaseEntity) { goto C6001; D899a: Bfddf: goto eee49; c8963: $this->createDatabaseDump($databaseEntity); goto b3c86; a2532: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto c6747; } goto c8963; b3c86: c6747: goto D899a; C6001: $databaseName = $databaseEntity->getName(); goto a2532; eee49: } goto fa05b; fa05b: b22fc: goto f5d32; f5d32: A7071: goto E42c4; D9b67: if (!count($databaseEntities)) { goto A7071; } goto f3f6e; c86fb: $databaseEntities = $siteEntity->getDatabases(); goto D9b67; E42c4: c1697: goto A9cb3; A9cb3: } goto Df80c; Df80c: b1f6e: goto aae13; aae13: A2da7: goto adc34; A49de: } catch (\Exception $e) { goto a970a; a44c4: $output->writeln(sprintf("\x3c\145\162\x72\x6f\x72\76\45\163\74\57\145\x72\x72\157\x72\76", $errorMessage)); goto Bc9cb; Bc9cb: return BaseCommand::FAILURE; goto A6c58; a970a: $errorMessage = $e->getMessage(); goto a44c4; A6c58: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto f0d42; f1fe4: $this->resetPermissions($databaseEntity); goto c0667; Ed34a: $backupDirectory = sprintf("\x2f\x68\157\x6d\x65\x2f\45\163\x2f\x62\x61\x63\x6b\x75\160\x73\57\x64\x61\x74\x61\142\x61\163\x65\x73\x2f", $siteUser); goto ae666; e336c: $databaseExporter->createOutputDirectory(); goto f6e4f; B3548: $databaseName = $databaseEntity->getName(); goto Ed34a; c0667: $this->cleanUpBackups($databaseEntity); goto b1a6a; f0d42: $dateTime = new \DateTime("\156\x6f\167", new \DateTimeZone("\125\124\103")); goto c87d1; f90c7: $siteUser = $siteEntity->getUser(); goto B3548; Dff09: $databaseExporter->setFile($outputFile); goto e336c; ae666: $outputDirectory = sprintf("\x25\x73\57\45\x73\57\x25\x73\57", rtrim($backupDirectory, "\x2f"), $databaseName, $dateTime->format("\131\x2d\x6d\x2d\x64")); goto b175c; Eebb5: $databaseExporter = new DatabaseExporter($databaseEntity); goto Dff09; f6e4f: $databaseExporter->export(); goto f1fe4; c87d1: $siteEntity = $databaseEntity->getSite(); goto f90c7; b175c: $outputFile = sprintf("\x25\x73\57\x25\163", rtrim($outputDirectory, "\57"), sprintf("\45\x73\137\45\x73\x2e\x73\x71\x6c\56\x67\x7a", $databaseName, $dateTime->getTimestamp())); goto Eebb5; b1a6a: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto d808d; a9140: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto A3d1c; Dc3f4: $backupDirectoryChownCommand->setFile($backupDirectory); goto fb874; d808d: $siteEntity = $databaseEntity->getSite(); goto e6a7c; b06b2: $backupDirectory = sprintf("\57\150\x6f\155\145\57\45\x73\x2f\x62\x61\x63\x6b\x75\x70\x73\57\144\x61\164\x61\x62\141\163\x65\x73\57", $siteUser); goto Ecc60; Bb3e9: $backupDirectoryChownCommand->setUser($siteUser); goto Eb28d; Eb28d: $backupDirectoryChownCommand->setGroup($siteUser); goto C4aa4; c55fa: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto C0fce; Ecc60: $backupDirectoryChownCommand = new ChownCommand(); goto Dc3f4; fb874: $backupDirectoryChownCommand->setRecursive(true); goto Bb3e9; C4aa4: $backupDirectoryChmodCommand = new FindChmodCommand(); goto Addfe; A3d1c: $backupDirectoryChmodCommand->setFileChmod(760); goto Ad34c; Addfe: $backupDirectoryChmodCommand->setFile($backupDirectory); goto a9140; Ad34c: $this->commandExecutor->execute($backupDirectoryChownCommand); goto c55fa; e6a7c: $siteUser = $siteEntity->getUser(); goto b06b2; C0fce: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto A42da; Fad80: $databaseBackupDirectory = sprintf("\57\150\x6f\155\145\x2f\x25\163\57\x62\141\x63\x6b\165\x70\163\57\x64\141\x74\x61\x62\141\x73\x65\x73\57", $siteUser); goto f6cbc; f6cbc: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto Febf5; B6889: $siteUser = $siteEntity->getUser(); goto Fad80; Febf5: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto f7362; A42da: $siteEntity = $databaseEntity->getSite(); goto B6889; f7362: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto a7337; a7337: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto dd77f; dd77f: } }
