<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\162\x6f\x6f\x74"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto E62aa; c1957: $this->commandExecutor = new CommandExecutor(); goto c6131; e05ad: $this->sshUserEntityManager = $sshUserEntityManager; goto c1957; E62aa: $this->siteEntityManager = $siteEntityManager; goto d2ecc; Afd3a: $this->databaseServerEntityManager = $databaseServerEntityManager; goto e05ad; d2ecc: $this->databaseEntityManager = $databaseEntityManager; goto Afd3a; c6131: parent::__construct(); goto A0394; A0394: } protected function configure() : void { goto Ffeb2; Ffeb2: $this->setName("\144\142\x3a\151\x6d\160\157\x72\x74"); goto da36e; C240a: $this->addOption("\144\141\164\x61\142\x61\x73\145\x4e\141\155\145", null, InputOption::VALUE_REQUIRED); goto D2ce8; D2ce8: $this->addOption("\146\151\x6c\x65", null, InputOption::VALUE_REQUIRED); goto a6d96; da36e: $this->setDescription("\x63\154\160\143\164\x6c\40\144\142\x3a\x69\155\x70\x6f\162\164\40\x2d\x2d\144\x61\x74\141\142\x61\163\145\116\x61\155\x65\x3d\x6d\x79\55\x64\x61\164\141\x62\x61\x73\x65\40\55\55\x66\x69\154\x65\x3d\x64\165\155\160\x2e\x73\x71\x6c\x2e\147\172"); goto C240a; a6d96: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto D6dcc; Bcfe1: D1762: goto e8a4a; Ff3e6: ae4ed: goto F9020; f052d: A0927: goto f07f0; cf899: $siteUser = self::SYSTEM_USER_ROOT; goto Cf047; d3aa1: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto e93b9; } goto E476f; F80e6: if (!("\144\145\166" == $_ENV["\101\x50\120\x5f\105\x4e\126"])) { goto ae4ed; } goto d8a5a; e8a4a: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto c5bc9; F9020: if (!(false === str_contains($importFile, "\x2f"))) { goto E95f3; } goto b897d; cd545: throw new \Exception(sprintf("\x44\141\164\141\x62\x61\163\x65\40\x22\x25\163\x22\40\144\157\145\x73\40\156\x6f\164\40\145\x78\x69\x73\x74\x2e", $databaseName)); goto a016a; f7661: E95f3: goto Ba2a8; Aa064: e93b9: goto e29b4; E476f: $databaseImporter = new DatabaseImporter($databaseEntity); goto ee750; Ba2a8: $this->checkIfFileExists($importFile); goto Bbd42; E41a3: $siteEntity = $sshUserEntity->getSite(); goto be927; f07f0: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto C7ac0; Fb8c6: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto Fafb4; } goto be4c7; ae7c3: if (!(false === is_null($sshUserEntity))) { goto Efac8; } goto E41a3; ff0b0: if (false === is_null($siteEntity)) { goto E4de1; } goto a1311; f357d: return BaseCommand::SUCCESS; goto Aa064; a1311: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto ae7c3; C7ac0: $siteUser = null; goto ff0b0; b897d: $importFile = sprintf("\45\163\57\45\x73", rtrim(getcwd(), "\57"), $importFile); goto f7661; bbc0e: return BaseCommand::FAILURE; goto B54da; A262c: $siteUser = $siteEntity->getUser(); goto Bcfe1; Cf047: Fafb4: goto a9b29; e5c00: $importFile = $input->getOption("\x66\x69\154\x65"); goto efdcb; afb3e: $output->writeln(sprintf("\74\151\156\146\157\x3e\111\155\160\157\162\x74\40\x69\x6e\164\x6f\x20\144\x61\x74\141\x62\x61\163\x65\74\x2f\x69\156\x66\x6f\76\x20\74\x63\x6f\155\155\x65\156\x74\x3e\45\x73\x3c\x2f\x63\157\155\155\145\156\x74\76\x20\x3c\151\x6e\x66\x6f\x3e\167\141\163\40\x73\x75\x63\x63\145\163\163\x66\x75\x6c\56\74\x2f\x69\x6e\146\x6f\76", $databaseName)); goto f357d; d8a5a: $systemUserName = self::SYSTEM_USER_ROOT; goto Ff3e6; Db458: $databaseName = $input->getOption("\144\x61\164\141\142\x61\163\145\x4e\x61\155\x65"); goto e5c00; efdcb: $systemUserName = $_SERVER["\123\x55\x44\117\x5f\125\123\x45\122"] ?? ''; goto F80e6; c5bc9: $isSuperUser = false; goto Fb8c6; a9b29: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto d3aa1; f52d8: if (false === is_null($databaseEntity)) { goto A0927; } goto cd545; A8b40: E4de1: goto A262c; ee750: $databaseImporter->import($importFile); goto afb3e; e29b4: fa21f: goto bbc0e; e3c0f: goto D1762; goto A8b40; a016a: goto fa21f; goto f052d; c416f: Efac8: goto e3c0f; D6dcc: $this->validateInput($input); goto Db458; Bbd42: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto f52d8; be4c7: $isSuperUser = true; goto cf899; be927: $siteUser = $siteEntity->getUser(); goto c416f; B54da: } catch (\Exception $e) { goto Ff807; Ff807: $errorMessage = $this->maskString($e->getMessage()); goto c79cc; c79cc: $output->writeln(sprintf("\74\x65\162\x72\157\x72\x3e\45\x73\74\x2f\x65\162\162\157\162\x3e", $errorMessage)); goto dbdc0; dbdc0: return BaseCommand::FAILURE; goto ad429; ad429: } } private function checkIfFileExists(string $importFile) { try { goto c4e73; B17c3: $this->commandExecutor->execute($checkIfFileExistsCommand); goto A5d2f; c4e73: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto D3837; D3837: $checkIfFileExistsCommand->setFile($importFile); goto B17c3; A5d2f: } catch (\Exception $e) { throw new \Exception(sprintf("\106\x69\154\145\40\42\45\163\x22\x20\x64\157\x65\x73\40\156\x6f\x74\40\145\x78\x69\x73\164\x2e", $importFile)); } } }
