<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto d798c; Fe698: $this->logger = $logger; goto cc817; d1b11: parent::__construct(); goto cf0b1; d798c: $this->siteEntityManager = $siteEntityManager; goto B577a; cc817: $this->validator = $validator; goto d1b11; B577a: $this->commandExecutor = new CommandExecutor(); goto Fe698; cf0b1: } protected function configure() : void { goto Fdbaa; b5327: $this->setDescription("\x63\x6c\160\143\x74\x6c\40\162\145\x6d\x6f\164\x65\55\142\141\143\x6b\165\160\x3a\143\162\145\x61\164\145"); goto C2d08; Fdbaa: $this->setName("\162\x65\155\x6f\x74\x65\x2d\142\141\143\x6b\x75\x70\x3a\143\x72\x65\x61\164\x65"); goto b5327; C2d08: $this->addOption("\144\145\x6c\x61\x79", null, InputOption::VALUE_OPTIONAL, false); goto A6d62; A6d62: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto c7ddf; C5d8c: $this->backupDatabases(clone $input, clone $output); goto bfd33; b938f: $isEnabled = (bool) $this->getConfigValue("\162\x65\x6d\x6f\164\x65\137\x62\x61\x63\x6b\x75\x70\x5f\145\x6e\x61\142\x6c\145\144"); goto f1e0a; bfd33: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto F3c97; } goto D8293; B7503: f9e20: goto bbcb3; f1e0a: $this->storageProvider = $this->getConfigValue("\x72\x65\x6d\x6f\164\145\137\x62\x61\x63\x6b\165\x70\137\163\164\x6f\x72\x61\x67\145\137\x70\162\157\x76\x69\x64\145\162"); goto d3d2b; d3d2b: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto E0e20; } goto D8b5e; bbcb3: $this->cleanBackups(); goto fd24b; D8b5e: $siteEntities = $this->siteEntityManager->findAll(); goto E041d; b5e7c: return BaseCommand::SUCCESS; goto B826f; D8293: $delay = (bool) $input->getOption("\x64\x65\x6c\x61\x79"); goto Fdbf3; E041d: if (!count($siteEntities)) { goto f9e20; } goto C5d8c; Ff311: F3c97: goto b7ed4; c7ddf: $this->validateInput($input); goto b938f; Fdbf3: $this->refreshDropboxAccessToken($delay); goto Ff311; fd24b: E0e20: goto b5e7c; Ed35d: C5167: goto B7503; b7ed4: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); B7daa: } goto Ed35d; B826f: } catch (\Exception $e) { goto a90f1; e4c6f: $output->writeln(sprintf("\74\145\162\x72\157\x72\x3e\45\x73\74\57\x65\162\162\x6f\162\x3e", $errorMessage)); goto E2d62; E2d62: return BaseCommand::FAILURE; goto F995d; a90f1: $errorMessage = $e->getMessage(); goto e4c6f; F995d: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto db3bb; ab1b8: $exitCode = $command->run($input, $output); goto F2dde; F07ef: $command = $application->find("\144\142\x3a\142\141\x63\x6b\x75\x70"); goto ab1b8; db3bb: $application = $this->getApplication(); goto F07ef; F2dde: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto A0983; d8168: try { try { goto F38db; f0a4f: $siteUser = $siteEntity->getUser(); goto A76ee; Ffc43: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto b6dd4; b6dd4: $email = $this->getConfigValue("\x72\145\155\x6f\164\x65\x5f\x62\x61\143\153\165\x70\x5f\145\155\141\151\x6c"); goto D34ae; D34ae: $rclone->addFlag("\55\55\x64\162\x69\x76\x65\55\151\x6d\x70\145\x72\163\x6f\156\141\x74\x65", $email); goto e48ba; e48ba: goto B5c87; goto D203a; D203a: } goto A2d0d; C0ae7: $rclone = new Rclone(); goto Ffc43; e4b90: $homeDirectory = sprintf("\57\150\x6f\x6d\x65\x2f\x25\163\x2f", $siteUser); goto Fe6b9; Fdf12: $siteVhostFile = sprintf("\57\x68\157\155\x65\57\45\163\x2f\x73\151\164\x65\55\x76\x68\x6f\163\x74", $siteUser); goto C24fe; Fe6b9: $vhostFile = sprintf("\x2f\145\164\x63\x2f\x6e\147\151\x6e\x78\x2f\x73\x69\x74\145\x73\x2d\x65\x6e\141\x62\x6c\145\x64\x2f\45\x73\56\x63\x6f\x6e\x66", $domainName); goto d2046; d208d: $sources = [$homeDirectory, $vhostFile]; goto F8eac; A0f07: $siteExcludes = $this->getSiteExcludes($siteEntity); goto bcfe0; A2d0d: d389d: goto B482c; ae8fd: $tarCreator->create($sources, $destinationFile, $excludes); goto B32f8; F8eac: $tarCreator = new TarCreator(); goto ae8fd; B482c: B5c87: goto cc2f7; cc2f7: $rclone->copy($destinationFile, $destination); goto c9cf7; F38db: $excludes = ["\56\163\x73\x68", "\164\x6d\x70", "\x6c\157\x67\x73"]; goto A0f07; d2046: $destinationFile = sprintf("\x2f\150\x6f\x6d\145\x2f\x25\x73\x2f\x74\155\160\x2f\x62\141\143\153\165\160\56\164\x61\162", $siteUser); goto C0ca4; C24fe: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto e9425; e9425: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto d208d; A76ee: $domainName = $siteEntity->getDomainName(); goto e4b90; bcfe0: if (!(false === empty($siteExcludes))) { goto bf787; } goto a1a96; a1a96: $excludes = array_merge($excludes, $siteExcludes); goto ef359; B32f8: $destination = $this->getDestination($siteEntity); goto C0ae7; C0ca4: $siteSettingsFile = sprintf("\57\150\x6f\x6d\145\57\45\163\x2f\163\x69\164\x65\x2d\163\x65\x74\x74\x69\156\x67\163\56\x6a\x73\157\156", $siteUser); goto Fdf12; ef359: bf787: goto f0a4f; c9cf7: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto fa2e5; f242e: a6532: goto F065b; a4413: $deleteFileCommand->setFile($file); goto dfa01; fa2e5: $deleteFileCommand = new DeleteFileCommand(); goto a4413; dfa01: $this->commandExecutor->execute($deleteFileCommand, 60); goto f242e; F065b: } F7758: } } catch (\Exception $e) { goto Cb9e7; e5b98: $this->addNotification($subject, $errorMessage); goto d714d; Dbfa7: $subject = sprintf("\122\x65\x6d\x6f\164\145\40\102\141\x63\x6b\x75\160\40\146\141\151\154\145\x64\x3a\x20\x25\x73", $domainName); goto e5b98; Cb9e7: $errorMessage = $e->getMessage(); goto Dbfa7; d714d: } goto E9a35; A0983: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto Dbc9a; Dbc9a: if (!(false === $isSiteExcluded)) { goto B5ee9; } goto d8168; E9a35: B5ee9: goto cffbf; cffbf: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto c9932; B9fd7: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto eddf3; F9aae: a20ce: goto Ca42b; Ea256: $settings = ["\x74\x79\160\145" => $siteType, "\x64\157\155\141\x69\156\x4e\x61\x6d\145" => $siteEntity->getDomainName(), "\162\x6f\x6f\x74\104\x69\162\145\x63\x74\157\162\171" => $siteEntity->getRootDirectory(), "\x73\x69\x74\145\x55\x73\x65\162" => $siteEntity->getUser(), "\x70\141\147\x65\x53\160\145\145\x64" => $siteEntity->getPageSpeedSettings()]; goto Cb0c4; Cb0c4: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto eb25c; eb25c: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto aac9b; F5a8c: $settings["\x6e\x6f\144\145\x6a\163\x53\145\164\164\151\x6e\147\163"] = $nodejsSettings; goto B56ca; aac9b: $nodejsSettings = ["\166\145\x72\x73\x69\x6f\156" => $nodejsSettingsEntity->getNodejsVersion(), "\x70\x6f\162\164" => $nodejsSettingsEntity->getPort()]; goto F5a8c; B56ca: goto Fe544; goto D7b50; D7b50: case SiteEntity::TYPE_PHP: goto B13fa; Fcabd: $settings["\x70\x68\x70\123\145\x74\x74\x69\x6e\x67\163"] = $phpSettings; goto F2597; F2597: goto Fe544; goto e7d43; B13fa: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto fdd74; fdd74: $phpSettings = ["\166\145\162\163\x69\157\x6e" => $phpSettingsEntity->getPhpVersion(), "\155\x65\155\x6f\x72\x79\114\x69\x6d\x69\x74" => $phpSettingsEntity->getMemoryLimit(), "\155\x61\170\x45\170\x65\143\165\164\x69\x6f\156\x54\x69\x6d\x65" => $phpSettingsEntity->getMaxExecutionTime(), "\155\141\170\111\x6e\x70\x75\164\x54\x69\x6d\x65" => $phpSettingsEntity->getMaxInputTime(), "\x6d\141\x78\x49\156\160\x75\x74\126\141\x72\163" => $phpSettingsEntity->getMaxInputVars(), "\x70\x6f\163\164\115\141\170\x53\x69\x7a\145" => $phpSettingsEntity->getPostMaxSize(), "\165\x70\x6c\x6f\x61\144\x4d\x61\x78\106\x69\154\145\x53\151\172\x65" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\144\144\x69\164\x69\157\x6e\x61\154\x43\x6f\x6e\x66\151\x67\x75\x72\141\164\151\157\156" => $phpSettingsEntity->getAdditionalConfiguration()]; goto Fcabd; e7d43: case SiteEntity::TYPE_PYTHON: goto ad3fe; e2e10: $pythonSettings = ["\166\x65\x72\163\151\x6f\x6e" => $pythonSettingsEntity->getPythonVersion(), "\x70\x6f\162\164" => $pythonSettingsEntity->getPort()]; goto D8821; ad3fe: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto e2e10; D8821: $settings["\x70\x79\164\x68\x6f\x6e\x53\x65\x74\x74\x69\156\147\x73"] = $pythonSettings; goto C6e54; C6e54: goto Fe544; goto d8ed1; d8ed1: case SiteEntity::TYPE_REVERSE_PROXY: goto Dbe00; De77d: goto Fe544; goto bed66; faa1a: $settings["\162\145\x76\145\x72\163\145\120\x72\157\x78\x79\123\145\x74\164\x69\x6e\x67\163"] = $reverseProxySettings; goto De77d; Dbe00: $reverseProxySettings = ["\x75\162\x6c" => $siteEntity->getReverseProxyUrl()]; goto faa1a; bed66: } goto F9aae; Ca42b: Fe544: goto B9fd7; c9932: $siteType = $siteEntity->getType(); goto Ea256; f7601: $writeFileCommand->setFile($siteSettingsFile); goto bab68; D8538: $this->commandExecutor->execute($writeFileCommand, 15); goto B8f96; eddf3: $writeFileCommand = new WriteFileCommand(); goto f7601; bab68: $writeFileCommand->setContent($fileContent); goto D8538; B8f96: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto D35ba; A6dd5: $writeFileCommand->setContent($vhost); goto Db48e; a765e: $writeFileCommand = new WriteFileCommand(); goto Df3e9; Db48e: $this->commandExecutor->execute($writeFileCommand, 15); goto E08c5; Df3e9: $writeFileCommand->setFile($siteVhostFile); goto A6dd5; D35ba: $vhost = $siteEntity->getVhostTemplate(); goto a765e; E08c5: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto ad9a1; F2966: foreach ($excludes as $exclude) { goto F2c67; F0d25: D752a: goto Cefa5; A3101: Be9fa: goto F0d25; F2c67: $exclude = rtrim($exclude, "\57"); goto F3e72; A55fb: $isSiteExcluded = true; goto E6faf; F3e72: if (!($homeDirectory == $exclude)) { goto Be9fa; } goto A55fb; E6faf: goto fa588; goto A3101; Cefa5: } goto Ba428; F3410: if (!(false === empty($excludes))) { goto eb334; } goto D1fdc; ad9a1: $isSiteExcluded = false; goto aec3a; cc1df: return $isSiteExcluded; goto e1f1b; f68f5: $homeDirectory = sprintf("\57\150\x6f\155\145\x2f\x25\163", $siteUser); goto F2966; D1fdc: $siteUser = $siteEntity->getUser(); goto f68f5; Ba428: fa588: goto Fc15a; aec3a: $excludes = $this->getExcludes(); goto F3410; Fc15a: eb334: goto cc1df; e1f1b: } private function getExcludes() : array { goto dbf84; ec668: $this->excludes = json_decode($excludes); goto fc060; fc060: c482e: goto fca21; C3cb4: return $this->excludes; goto Efbe0; C82cb: if (!(false === empty($excludes))) { goto c482e; } goto ec668; B51bc: $excludes = $this->getConfigValue("\x72\145\x6d\x6f\x74\x65\137\x62\x61\x63\x6b\165\x70\x5f\145\170\143\154\165\144\145\163"); goto C82cb; fca21: C2ef2: goto C3cb4; dbf84: if (!(true === empty($this->excludes))) { goto C2ef2; } goto B51bc; Efbe0: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto ffa19; Fcb96: return $siteExcludes; goto af69e; dd070: $excludes = $this->getExcludes(); goto b52b0; ffa19: $siteExcludes = []; goto dd070; f94e2: b4239: goto Efa99; b52b0: if (!(false === empty($excludes))) { goto A505e; } goto C009d; Efa99: A505e: goto Fcb96; ea37c: $homeDirectory = sprintf("\x2f\x68\x6f\155\x65\57\45\x73\57", $siteUser); goto cab7c; C009d: $siteUser = $siteEntity->getUser(); goto ea37c; cab7c: foreach ($excludes as $exclude) { goto c7e2c; D64e9: E6696: goto abb6b; a9b54: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto Be0b3; Be0b3: if (!(false === empty($exclude))) { goto cf5a8; } goto cfb97; cfb97: $siteExcludes[] = rtrim(ltrim($exclude, "\x2f"), "\57"); goto E5ded; abb6b: dd91b: goto f1d70; E5ded: cf5a8: goto D64e9; c7e2c: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto E6696; } goto a9b54; f1d70: } goto f94e2; af69e: } private function getServerDateTime() : \DateTime { goto b18f2; bc082: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto d069d; d069d: C28d8: goto e913c; c9969: $timezone = $this->getConfigValue("\164\151\x6d\x65\172\x6f\x6e\x65"); goto f5681; e4a17: return $this->serverDateTime; goto Abb9a; e913c: dc465: goto e4a17; f5681: $this->serverDateTime = new \DateTime("\156\x6f\x77"); goto b9b2a; Fec03: if (!(false === empty($timezone))) { goto C28d8; } goto bc082; b18f2: if (!(true === is_null($this->serverDateTime))) { goto dc465; } goto c9969; b9b2a: $this->serverDateTime->setTimezone(new \DateTimeZone("\x55\x54\103")); goto Fec03; Abb9a: } private function getDestination(SiteEntity $siteEntity) : string { goto Ba47e; Ef287: Bf96c: goto C2f9d; Cd661: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Bf96c; } goto Be35f; F63b4: F6edd: goto a9c94; a9c94: f61f7: goto C6939; Ba47e: $destination = ''; goto E33ae; dc5a1: $destination = sprintf("\45\x73\x2f\x25\163\x2f\45\163\x2f\45\x73\x2f\x68\x6f\x6d\145\x2f\45\163\57", $destination, rtrim(ltrim($storageDirectory, "\x2f"), "\x2f"), $serverDateTime->format("\131\x2d\x6d\55\x64"), $serverDateTime->format("\x48\56\151"), $siteUser); goto Cd661; dbeef: $serverDateTime = $this->getServerDateTime(); goto dc5a1; Be35f: $destination = ltrim($destination, "\57"); goto Ef287; C6939: $siteUser = $siteEntity->getUser(); goto C509c; E33ae: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\162\145\155\157\164\x65\x5f\142\x61\x63\x6b\165\160\137\x62\x75\x63\153\x65\x74"); goto f61f7; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\x72\145\x6d\157\164\x65\137\142\x61\x63\153\x75\160\x5f\163\160\141\143\145"); goto f61f7; } goto F63b4; C2f9d: return $destination; goto ad078; C509c: $storageDirectory = $this->getConfigValue("\162\x65\155\157\164\x65\137\142\141\x63\153\x75\x70\137\163\x74\157\x72\141\147\145\137\144\151\x72\145\143\164\x6f\x72\171"); goto dbeef; ad078: } private function cleanBackups() : void { goto F5232; ebf20: F71d5: goto F3fc0; a2ba3: $storageDirectory = $this->getConfigValue("\x72\x65\x6d\157\x74\145\137\142\x61\x63\x6b\x75\x70\x5f\163\x74\157\162\141\147\x65\x5f\x64\x69\x72\x65\x63\164\x6f\162\x79"); goto E0bcf; F5232: $retentionPeriod = (int) $this->getConfigValue("\x72\x65\155\x6f\164\145\137\142\x61\143\153\165\x70\x5f\x72\145\x74\x65\x6e\x74\x69\x6f\x6e\x5f\x70\x65\162\151\157\144"); goto a2ba3; E0bcf: if (!($retentionPeriod && false === empty($storageDirectory))) { goto F71d5; } goto B6142; B6142: try { goto ff305; ae2a0: F6992: goto c4763; e71cf: d226e: goto fea69; Bd3a5: $remotePath = sprintf("\45\163\x2f\x25\x73\x2f", $remotePath, rtrim(ltrim($storageDirectory, "\57"), "\57")); goto Fa3bb; Fa3bb: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto ea1cf; } goto C4a3f; a60b7: $deleteDateTime = clone $dateTime; goto fbbb1; F308c: ea1cf: goto da88b; da88b: $directories = (array) $rclone->lsJson($remotePath, true); goto Ec322; f6dbe: c9873: goto e71cf; Ec322: if (!(false === empty($directories))) { goto d226e; } goto A1315; e7b3f: $deleteDateTime->setTime(0, 0, 0, 0); goto C0fd5; C480e: $rclone = new Rclone(); goto Da379; A1315: foreach ($directories as $directory) { goto C7e40; b0f58: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto f9ee9; a0208: $purgeRemotePath = sprintf("\x25\x73\x2f\45\x73\57", rtrim(ltrim($remotePath, "\57"), "\x2f"), $directoryName); goto ab03c; A99e7: dc52c: goto dac34; F294f: if (!(false === is_null($directoryName))) { goto ac687; } goto b0f58; E177b: $purgeRemotePath = ltrim($purgeRemotePath, "\57"); goto b7386; b5b82: bf722: goto Ba8ce; Dc424: Ed10b: goto a1f9e; b7386: F82af: goto Eae93; Eae93: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto bf722; } goto a95b0; f2436: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto Ed10b; } goto a0208; f9ee9: if (!(true === $isValidDate)) { goto b6e22; } goto f2436; C7e40: $directoryName = $directory["\116\141\x6d\145"] ?? null; goto F294f; ab03c: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto F82af; } goto E177b; a95b0: $purgeRemotePath = sprintf("\57\45\163", ltrim($purgeRemotePath, "\x2f")); goto b5b82; Abab1: ac687: goto A99e7; a1f9e: b6e22: goto Abab1; Ba8ce: $rclone->purge($purgeRemotePath); goto Dc424; dac34: } goto f6dbe; C4a3f: $remotePath = ltrim($remotePath, "\57"); goto F308c; fbbb1: $deleteDateTime->modify(sprintf("\55\x25\163\40\144\141\171\x73", $retentionPeriod)); goto fea60; c4763: a2169: goto Bd3a5; Da379: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\162\145\155\157\x74\145\x5f\142\141\x63\x6b\x75\160\x5f\142\165\x63\153\145\164"); goto a2169; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\145\155\x6f\164\145\137\x62\141\143\x6b\x75\x70\137\163\x70\x61\143\145"); goto a2169; case StorageProvider::GOOGLE_DRIVE: goto bb399; bb399: $email = $this->getConfigValue("\x72\145\155\157\x74\x65\137\142\x61\143\x6b\165\x70\137\x65\x6d\x61\151\154"); goto f2880; f2880: $rclone->addFlag("\x2d\55\144\162\151\x76\145\x2d\151\x6d\x70\x65\x72\x73\157\156\141\164\145", $email); goto e1842; e1842: goto a2169; goto a85aa; a85aa: } goto ae2a0; fea60: $deleteDateTime->setTimezone(new \DateTimeZone("\125\x54\103")); goto e7b3f; ff305: $dateTime = new \DateTime(); goto a60b7; C0fd5: $remotePath = ''; goto C480e; fea69: } catch (\Exception $e) { goto a73aa; a73aa: $errorMessage = $e->getMessage(); goto F98f7; F98f7: $subject = sprintf("\122\x65\x6d\157\164\x65\x20\102\x61\x63\153\165\x70\x20\x63\x6c\145\x61\x6e\165\x70\40\146\x61\151\154\145\x64\x2e"); goto a4fac; a4fac: $this->addNotification($subject, $errorMessage); goto ea9b6; ea9b6: } goto ebf20; F3fc0: } private function refreshDropboxAccessToken(bool $delay) { try { goto a01f9; Fa3f5: $token = $dropboxClient->getAccessToken($refreshToken); goto d36f2; A79b8: sleep(rand(5, 60)); goto c5bf1; F0eb1: throw new \Exception("\101\x63\x63\145\x73\x73\40\124\157\x6b\x65\156\40\143\141\x6e\156\x6f\x74\40\142\145\x20\x65\x6d\x70\x74\171\x2e"); goto df043; Ffd66: $rcloneConfigTemplate->setToken($token); goto B243a; eedba: Babf2: goto b2e3f; C4528: $rcloneConfig = $rcloneConfigBuilder->build(); goto c480e; c480e: $rclone = new Rclone(); goto a1f0c; d36f2: if (false === empty($token)) { goto a92dd; } goto F0eb1; df043: goto Babf2; goto E2ac1; F65a5: $dropboxClient = new DropboxClient(); goto Fa3f5; a1f0c: $rclone->writeConfig($rcloneConfig); goto eedba; a01f9: if (!(true === $delay)) { goto F2702; } goto A79b8; c5bf1: F2702: goto C0f4d; B243a: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto C4528; C0f4d: $refreshToken = $this->getConfigValue("\x72\145\x6d\x6f\x74\x65\x5f\x62\x61\143\153\x75\160\137\162\x65\x66\x72\x65\163\x68\x5f\x74\157\x6b\145\x6e"); goto F65a5; E2ac1: a92dd: goto b483b; b483b: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto Ffd66; b2e3f: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\145\x66\x72\145\x73\x68\151\x6e\x67\x20\x44\x72\157\x70\142\x6f\x78\x20\101\143\x63\x65\163\x73\40\x54\x6f\153\145\156\x20\x46\x61\151\x6c\x65\x64", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto Fcb34; C7a9f: NotificationQueue::addNotification($notification); goto e5aea; A52aa: $notification->setMessage($errorMessage); goto c7306; c7306: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto C7a9f; Fcb34: $notification = new Notification(); goto b1c89; b1c89: $notification->setSubject($subject); goto A52aa; e5aea: } }
