<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\PhpSettings as PhpSettingsEntity; use App\Site\PhpSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\PhpTemplate as PhpVhostTemplate; use App\Site\Creator\PhpSite as PhpSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddPhpCommand extends SiteCommand { private const VARNISH_CACHE_SERVER = "\x31\62\x37\x2e\60\x2e\x30\x2e\61\x3a\66\x30\x38\61"; protected function configure() : void { goto C3c85; Fd2f2: $this->addOption("\166\150\x6f\163\164\x54\x65\155\160\154\141\164\145", null, InputOption::VALUE_REQUIRED); goto C7bde; C3c85: $this->setName("\163\151\x74\x65\72\x61\144\x64\72\160\x68\x70"); goto Dfdc4; fa230: $this->addOption("\144\x6f\155\141\151\x6e\116\141\155\145", null, InputOption::VALUE_REQUIRED); goto Fe2e6; Fe2e6: $this->addOption("\160\x68\x70\x56\x65\162\x73\x69\157\156", null, InputOption::VALUE_REQUIRED); goto Fd2f2; Dfdc4: $this->setDescription("\143\x6c\x70\x63\164\x6c\40\x73\151\x74\145\x3a\141\144\x64\72\160\150\160\x20\55\55\x64\x6f\155\141\x69\x6e\116\141\x6d\x65\x3d\167\x77\167\x2e\144\157\x6d\x61\x69\x6e\x2e\x63\x6f\x6d\x20\55\55\x70\150\x70\x56\145\x72\163\151\x6f\x6e\x3d\70\x2e\x33\x20\x2d\x2d\166\x68\x6f\163\x74\x54\145\x6d\160\154\141\x74\145\75\47\x47\x65\156\145\162\x69\143\x27\x20\55\55\x73\x69\x74\x65\125\x73\x65\x72\75\x6a\157\x68\x6e\x20\x2d\55\x73\151\x74\145\125\x73\x65\x72\x50\x61\x73\163\167\x6f\x72\144\75\47\x21\163\x65\143\162\145\164\120\x61\x73\x73\167\x6f\162\x64\x21\x27"); goto Ea7fe; Dd96a: $this->addOption("\x73\151\164\x65\125\163\x65\x72\120\x61\163\163\x77\157\x72\144", null, InputOption::VALUE_REQUIRED); goto a1d27; Ea7fe: $this->setComment("\x41\x64\144\x69\x6e\147\x20\x61\40\120\110\120\x20\123\x69\164\x65"); goto fa230; C7bde: $this->addOption("\163\151\164\x65\x55\x73\x65\x72", null, InputOption::VALUE_REQUIRED); goto Dd96a; a1d27: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Bb731; B7ade: $phpSite->setVarnishCache(true); goto Dd675; ca09e: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto d1cb5; Cffa7: $siteUser = trim($input->getOption("\163\151\164\145\x55\163\145\162")); goto f8985; f7dbe: $phpSiteCreator->createIndexPhp(); goto b8108; A52e9: $siteEntity->setType(SiteEntity::TYPE_PHP); goto B7c87; E1f2d: if (true === isset($_ENV["\101\x50\120\137\110\x54\x54\x50\63"]) && "\164\x72\x75\x65" === $_ENV["\101\120\120\x5f\x48\x54\x54\120\x33"]) { goto f471d; } goto bc582; bde51: $phpSite->setSubdomain($subdomain); goto d6f1a; ce594: $siteEntity->setVhostTemplate($vhostTemplate); goto c933a; ca6dd: $certificateEntity->setCsr($csr); goto cac1f; bb59a: $varnishCacheSettings = []; goto c5adc; d0aa7: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto ca09e; Dbeec: if (!(false === empty($redirectionVhostTemplate))) { goto c3a75; } goto ae050; C2cad: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto fddee; Bb731: $this->validateInput($input); goto b66a8; A08c6: if (!(true === is_null($subdomain))) { goto c255f; } goto Eccd0; Febeb: $certificateEntity = $this->certificateEntityManager->createEntity(); goto Db11d; E3a80: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto D9cfc; cfbef: $varnishCacheSettings = (array) json_decode($vhostTemplateEntity->getVarnishCacheSettings(), true); goto E8b18; D0e09: $constraints->addAll($phpSettingsConstraints); goto e758c; b628b: $constraints = new ConstraintViolationList(); goto Dabb9; C8148: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto F7c98; F987c: $siteEntity->setUserPassword($siteUserPassword); goto C5840; fe57a: if (!(false === empty($vhostTemplateRootDirectory))) { goto C8294; } goto dcc11; c4b2a: return SiteCommand::SUCCESS; goto ec751; B0a28: cd353: goto e2ffa; cfc57: $phpSiteCreator->reloadNginxService(); goto a4a0d; fddee: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto E8d63; E004c: $certificateEntity->setCertificate($selfSignedCertificate); goto e27c6; a31e3: $phpSiteCreator->createPhpFpmPool(); goto B6514; Db11d: $certificateEntity->setSite($siteEntity); goto e9b54; c5adc: if (!(false === empty($vhostTemplateEntity->getVarnishCacheSettings()))) { goto fd1c4; } goto cfbef; B7dc0: $phpSite->setPhpSettings($phpSettingsEntity); goto fc624; e1e2d: $phpSiteCreator->createLogrotateFile(); goto f7dbe; d2093: C8294: goto bb59a; Afa57: $phpSettingsEntity->setSite($siteEntity); goto Bdd4e; B7c87: $siteEntity->setDomainName($domainName); goto Bd225; Cf812: if (0 == count($siteConstraints) && 0 == count($phpSettingsConstraints)) { goto D7235; } goto b628b; fb849: $phpSite->setVarnishCacheSettings($varnishCacheSettings); goto Fac28; d1cb5: $csr = $csrGenerator->generate(); goto ff344; db5af: $phpSite->setRegistrableDomain($registrableDomain); goto bde51; Ccef5: c3a75: goto c6dc1; a4cd3: goto cd353; goto A46a0; Fac28: D58f3: goto de2ae; B6514: $phpSiteCreator->reloadPhpFpmService(); goto D6099; Dd684: D5fbb: goto d0aa7; D9cfc: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto E5baf; A408c: $vhostTemplate = trim($input->getOption("\x76\150\x6f\x73\x74\x54\145\x6d\160\x6c\141\x74\145")); goto Cffa7; Bb982: $phpSite->setUser($siteEntity->getUser()); goto B44e0; A86ca: $subjectAlternativeNames[] = $registrableDomain; goto Dd684; de2ae: $phpSiteCreator->createNginxVhost(); goto cfc57; dd6d6: $vhostTemplate->resetProcessors(); goto E3a80; ec751: f3f63: goto B0a28; B0f34: $phpVersion = trim($input->getOption("\160\x68\160\x56\x65\162\163\x69\157\x6e")); goto A408c; e758c: return $this->renderConstraints($constraints, $output); goto Ccfe2; c8664: $vhostTemplateRootDirectory = $vhostTemplateEntity->getRootDirectory(); goto fe57a; Aadb3: if (!(false === empty($varnishCache))) { goto cdc99; } goto b372b; b66a8: $domainName = mb_strtolower(trim($input->getOption("\144\157\155\141\x69\156\x4e\x61\x6d\x65"))); goto d3549; A9f80: f471d: goto Dd6d0; dcc11: $rootDirectory = sprintf("\45\x73\x2f\x25\x73", $rootDirectory, ltrim(rtrim($vhostTemplateRootDirectory, "\x2f"), "\57")); goto d2093; D3a98: $vhostTemplate = new PhpVhostTemplate($phpSite); goto E7971; c114b: $output->writeln(sprintf("\74\151\x6e\146\157\x3e\123\x69\164\145\74\x2f\151\156\146\x6f\x3e\x20\74\x63\157\155\155\x65\x6e\x74\x3e\45\163\74\x2f\143\x6f\x6d\x6d\x65\156\164\76\40\x3c\151\156\x66\x6f\76\x68\x61\x73\x20\142\x65\x65\156\40\141\144\144\x65\144\x2e\74\57\151\x6e\146\157\x3e", $domainName)); goto c4b2a; B52e9: D7235: goto Febeb; Dabb9: $constraints->addAll($siteConstraints); goto D0e09; F1eb4: $varnishCache = false === empty($varnishCacheSettings) ? true : false; goto b0743; c220b: $phpSiteCreator->createRootDirectory(); goto e1e2d; E8b18: fd1c4: goto F1eb4; Dd6d0: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\56\57\x2e\56\x2f\162\145\x73\157\x75\x72\143\x65\163\57\x6e\147\151\x6e\x78\x2f\x76\x68\157\163\x74\137\164\x65\155\160\154\141\164\145\57\162\x65\144\x69\x72\145\x63\x74\x2d\x68\x74\164\x70\x33"); goto f5356; a4a0d: $phpSiteCreator->resetPermissions(); goto D3a98; D86c4: $siteEntity->setPhpSettings($phpSettingsEntity); goto Ef5b7; F5082: $vhostTemplate->build(); goto C2cad; b8108: $phpSiteCreator->createPrivateKeyAndCertificate(); goto a31e3; F5679: $varnishCacheSettings = array_merge($defaultVarnishCacheSettings, $varnishCacheSettings); goto cd317; F4636: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto Dbeec; e27c6: $siteEntity->setCertificate($certificateEntity); goto b6a0d; e7543: $phpSettingsConstraints = $this->validator->validate($phpSettingsEntity); goto Cf812; c6dc1: a2b79: goto Aadb3; E8d63: $this->siteEntityManager->updateEntity($siteEntity); goto c114b; a86ef: $subjectAlternativeNames = []; goto A08c6; c48d1: $siteEntity->setUser($siteUser); goto F987c; cac1f: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto E004c; fc624: $phpSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto beda0; ae050: $vhostTemplate = sprintf("\45\163\45\x73", $redirectionVhostTemplate, $vhostTemplate); goto Ccef5; E5baf: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto F5082; Fcbbf: $subdomain = $resolvedDomainName->subDomain()->toString(); goto E5b92; E09cf: $phpSite->setDomainName($domainName); goto db5af; bc582: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\x2e\57\56\56\x2f\x72\145\163\x6f\x75\x72\x63\x65\x73\57\x6e\x67\151\x6e\x78\x2f\166\x68\x6f\x73\164\x5f\164\x65\155\160\x6c\141\x74\145\x2f\x72\x65\x64\x69\x72\145\x63\x74"); goto Ec1a7; e1225: c255f: goto E68cf; D9c34: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto c8664; Dd675: $defaultVarnishCacheSettings = ["\145\156\x61\142\154\145\144" => false, "\163\x65\x72\166\145\162" => self::VARNISH_CACHE_SERVER, "\143\x61\143\150\x65\124\x61\x67\120\x72\x65\x66\151\x78" => substr(md5(time()), 0, 4)]; goto F5679; b0743: $siteEntity = $this->siteEntityManager->createEntity(); goto A52e9; d6f1a: $phpSite->setRootDirectory($siteEntity->getRootDirectory()); goto beb1e; Ef5b7: $phpSettingsEntity->setPhpVersion($phpVersion); goto Afa57; beb1e: $phpSite->setCertificate($certificateEntity); goto B7dc0; c933a: $phpSettingsEntity = new PhpSettingsEntity(); goto D86c4; Ec471: if (false === is_null($vhostTemplateEntity)) { goto Fa7c2; } goto fa171; ff344: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto C284a; E7971: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto dd6d6; b6a0d: $phpSite = new PhpSite(); goto Bb982; e8ced: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto a86ef; A46a0: Fa7c2: goto D9c34; E68cf: if (!(false === is_null($subdomain) && "\x77\x77\x77" == $subdomain)) { goto D5fbb; } goto A86ca; f5356: Fd33f: goto F4636; E5b92: $subdomain = false === empty($subdomain) ? $subdomain : null; goto ba218; C5840: if (!(true === is_null($subdomain) || "\x77\x77\167" == $subdomain)) { goto a2b79; } goto E1f2d; fa171: throw new \Exception(sprintf("\126\150\x6f\x73\164\x20\124\145\x6d\160\x6c\x61\x74\x65\40\42\45\163\x22\x20\x64\157\x65\163\x20\x6e\157\164\x20\145\170\x69\163\x74\x2e", $vhostTemplate)); goto a4cd3; Bdd4e: $siteConstraints = $this->validator->validate($siteEntity); goto e7543; Ccfe2: goto f3f63; goto B52e9; D6099: if (!(true === $varnishCache)) { goto D58f3; } goto B7ade; E2ec2: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto ca6dd; beda0: $phpSiteCreator = new PhpSiteCreator($phpSite); goto Af147; b372b: $siteEntity->setVarnishCache(true); goto F0a72; Af147: $phpSiteCreator->createUser(); goto c220b; Eccd0: $subjectAlternativeNames[] = sprintf("\x77\167\167\56\x25\163", $domainName); goto e1225; ba218: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto Ec471; cd317: $phpSiteCreator->createVarnishCacheStructure($varnishCacheSettings); goto fb849; F7c98: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Fcbbf; F0a72: cdc99: goto ce594; Ec1a7: goto Fd33f; goto A9f80; f8985: $siteUserPassword = trim($input->getOption("\x73\151\x74\x65\125\x73\145\162\x50\141\163\x73\167\x6f\162\x64")); goto C8148; e9b54: $rsaKeyGenerator = new RsaKeyGenerator(); goto e8ced; B44e0: $phpSite->setUserPassword($siteEntity->getUserPassword()); goto E09cf; C284a: $certificateEntity->setDefaultCertificate(true); goto E2ec2; Bd225: $siteEntity->setRootDirectory($rootDirectory); goto c48d1; d3549: $rootDirectory = $domainName; goto B0f34; e2ffa: } catch (\Exception $e) { goto f8aa5; D734c: return SiteCommand::FAILURE; goto cded7; f8aa5: $errorMessage = $e->getMessage(); goto Cf5f4; Cf5f4: $output->writeln(sprintf("\74\x65\162\162\x6f\162\x3e\45\x73\x3c\x2f\145\x72\x72\157\162\76", $errorMessage)); goto D734c; cded7: } } }
