<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\PythonSettings as PythonSettingsEntity; use App\Site\PythonSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\PythonTemplate as PythonVhostTemplate; use App\Site\Creator\PythonSite as PythonSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddPythonCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\120\171\164\x68\157\156"; protected function configure() : void { goto E5365; cae30: $this->addOption("\x61\160\160\120\x6f\162\x74", null, InputOption::VALUE_REQUIRED); goto e162c; D6124: $this->setDescription("\x63\x6c\x70\143\164\154\x20\x73\x69\164\x65\x3a\141\x64\144\x3a\x70\171\164\x68\157\156\40\x2d\x2d\x64\157\x6d\141\x69\x6e\116\x61\x6d\145\x3d\x77\167\167\x2e\144\x6f\155\x61\x69\x6e\x2e\143\x6f\x6d\40\55\55\x70\x79\x74\150\157\156\126\x65\162\163\x69\157\156\x3d\x33\56\x31\x32\40\55\55\x61\160\160\x50\157\162\164\x3d\70\60\70\x30\40\55\55\x73\x69\x74\x65\x55\x73\x65\162\x3d\152\x6f\150\156\40\55\x2d\163\151\164\145\125\x73\145\162\120\141\x73\x73\x77\157\x72\144\x3d\x27\x21\x73\x65\143\x72\x65\x74\120\x61\x73\x73\167\157\x72\x64\41\47"); goto da556; da556: $this->setComment("\x41\144\x64\x69\156\147\x20\x61\x20\x50\x79\164\x68\x6f\x6e\40\x53\x69\x74\x65"); goto Fe3a3; Fe3a3: $this->addOption("\144\x6f\x6d\x61\151\156\116\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto c032d; c032d: $this->addOption("\x70\x79\x74\150\157\156\126\x65\162\x73\151\x6f\x6e", null, InputOption::VALUE_REQUIRED); goto cae30; e162c: $this->addOption("\x73\151\164\145\125\163\x65\162", null, InputOption::VALUE_REQUIRED); goto aa754; E5365: $this->setName("\163\x69\x74\145\72\141\x64\144\72\x70\x79\164\x68\x6f\x6e"); goto D6124; aa754: $this->addOption("\163\x69\164\x65\x55\163\145\162\x50\x61\x73\163\x77\x6f\162\x64", null, InputOption::VALUE_REQUIRED); goto ac00e; ac00e: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto E54ba; b029f: return $this->renderConstraints($constraints, $output); goto f8beb; f3617: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\x2e\x2f\56\56\x2f\x72\x65\163\157\165\162\x63\x65\x73\x2f\156\x67\151\x6e\x78\x2f\x76\x68\x6f\x73\x74\x5f\x74\x65\x6d\x70\x6c\x61\164\145\x2f\162\x65\144\151\x72\x65\143\x74\55\x68\164\164\160\x33"); goto E5dfd; a3b9e: goto b9762; goto fd361; a5565: $pythonSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto c6fd4; ba8b0: $vhostTemplate->resetProcessors(); goto ab647; Fb660: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Db521; c5129: $pythonVersion = $input->getOption("\160\171\164\150\x6f\156\x56\145\162\163\x69\x6f\x6e"); goto Db940; dd91d: $pythonSiteCreator->createNginxVhost(); goto c5e58; Ca8f9: $constraints->addAll($pythonSettingsConstraints); goto b029f; A33d5: $certificateEntity->setCertificate($selfSignedCertificate); goto e3ac1; c6fd4: $pythonSiteCreator = new PythonSiteCreator($pythonSite); goto A746e; Dad4f: $siteEntity->setUser($siteUser); goto A8eff; e348c: $domainName = mb_strtolower(trim($input->getOption("\x64\157\x6d\x61\x69\x6e\116\141\x6d\145"))); goto f7b49; ab647: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto B34d3; E756a: $vhostTemplate->build(); goto Fbe5e; c5e58: $pythonSiteCreator->reloadNginxService(); goto Dd80b; C7a70: $siteEntity->setPythonSettings($pythonSettingsEntity); goto da418; c7a0a: $pythonSiteCreator->writePythonVersionFile(); goto ca957; e17b8: $pythonSettingsEntity->setPort($appPort); goto C246c; c7527: $certificateEntity->setSite($siteEntity); goto d8034; C436d: $vhostTemplate = new PythonVhostTemplate($pythonSite); goto a67dd; Ff892: if (0 == count($siteConstraints) && 0 == count($pythonSettingsConstraints)) { goto b1ca0; } goto a4340; Dd80b: $pythonSiteCreator->resetPermissions(); goto C436d; b19ea: $pythonSite->setPythonSettings($pythonSettingsEntity); goto f540b; E5dfd: F6d20: goto Fabe8; C7dd4: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto Efb06; A8eff: $siteEntity->setUserPassword($siteUserPassword); goto B3d0d; C2e1c: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto C5228; F79a2: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Fb660; B3d0d: if (!(true === is_null($subdomain) || "\167\x77\167" == $subdomain)) { goto e5cbe; } goto Cc49a; a0662: $pythonSiteCreator->createLogrotateFile(); goto c7a0a; C4c7a: eaa10: goto f3617; f6712: $pythonSettingsConstraints = $this->validator->validate($pythonSettingsEntity); goto Ff892; A9229: $subjectAlternativeNames = []; goto a7148; C5228: $siteEntity = $this->siteEntityManager->createEntity(); goto c8f60; Ec286: $pythonSettingsEntity = new PythonSettingsEntity(); goto C7a70; f4eb6: $vhostTemplate = sprintf("\x25\x73\x25\163", $redirectionVhostTemplate, $vhostTemplate); goto A689d; f7b49: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto e8725; B3a34: e5cbe: goto Dabce; C64f7: b1ca0: goto baba8; ca8a9: $siteEntity->setDomainName($domainName); goto F6c8c; da418: $pythonSettingsEntity->setPythonVersion($pythonVersion); goto e17b8; A689d: acac0: goto B3a34; f8026: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto A9229; c33cf: c805e: goto C7dd4; a4340: $constraints = new ConstraintViolationList(); goto D61eb; Cc49a: if (true === isset($_ENV["\x41\120\x50\137\110\124\124\x50\x33"]) && "\x74\162\165\145" === $_ENV["\101\120\x50\x5f\x48\x54\x54\120\x33"]) { goto eaa10; } goto a8f8f; B1eb0: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto a5f50; a36a0: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto a84fb; c3965: $subjectAlternativeNames[] = sprintf("\x77\167\x77\x2e\x25\x73", $domainName); goto Da535; Fbe5e: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto B1eb0; e8725: $rootDirectory = $domainName; goto c5129; A5391: $siteConstraints = $this->validator->validate($siteEntity); goto f6712; baf03: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto Bdc01; D61eb: $constraints->addAll($siteConstraints); goto Ca8f9; ce369: $pythonSite->setUserPassword($siteEntity->getUserPassword()); goto A6103; F9dc4: $pythonSiteCreator->createRootDirectory(); goto a0662; efe34: $pythonSite->setSubdomain($subdomain); goto B8d67; d8034: $rsaKeyGenerator = new RsaKeyGenerator(); goto f8026; Da535: a9237: goto e2d17; f8beb: goto b7bc3; goto C64f7; Ed6b7: if (false === is_null($vhostTemplateEntity)) { goto da5b4; } goto f843e; B8d67: $pythonSite->setRootDirectory($siteEntity->getRootDirectory()); goto b19ea; Dd0d0: $subjectAlternativeNames[] = $registrableDomain; goto c33cf; A746e: $pythonSiteCreator->createUser(); goto F9dc4; df88d: $pythonSite->setRegistrableDomain($registrableDomain); goto efe34; a67dd: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto ba8b0; ffa95: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto E756a; a8f8f: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\56\57\56\x2e\57\x72\145\163\x6f\165\x72\x63\145\x73\x2f\156\x67\151\156\x78\x2f\x76\150\x6f\x73\x74\137\x74\145\x6d\160\154\x61\164\x65\x2f\162\x65\144\x69\162\145\143\164"); goto B93da; bc8d7: if (!(false === empty($redirectionVhostTemplate))) { goto acac0; } goto f4eb6; Bdc01: $certificateEntity->setCsr($csr); goto b62d6; a45b6: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto F79a2; a5f50: $this->siteEntityManager->updateEntity($siteEntity); goto C326e; B93da: goto F6d20; goto C4c7a; b62d6: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto A33d5; B34d3: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto ffa95; ca957: $pythonSiteCreator->createPrivateKeyAndCertificate(); goto dd91d; C326e: $output->writeln(sprintf("\74\151\x6e\x66\x6f\76\123\151\164\145\x3c\57\151\156\146\157\x3e\40\74\143\157\x6d\155\x65\156\x74\x3e\45\163\74\x2f\143\157\155\x6d\x65\x6e\164\x3e\x20\x3c\x69\156\146\157\x3e\150\x61\163\40\142\145\145\156\x20\141\x64\x64\145\x64\56\x3c\57\x69\156\x66\157\x3e", $domainName)); goto F85c5; baba8: $certificateEntity = $this->certificateEntityManager->createEntity(); goto c7527; C246c: $pythonSettingsEntity->setSite($siteEntity); goto A5391; F6c8c: $siteEntity->setRootDirectory($rootDirectory); goto Dad4f; e2d17: if (!(false === is_null($subdomain) && "\x77\167\x77" == $subdomain)) { goto c805e; } goto Dd0d0; e3ac1: $siteEntity->setCertificate($certificateEntity); goto e9d85; Db940: $appPort = (int) $input->getOption("\141\x70\x70\120\157\x72\164"); goto Ffc75; F85c5: return SiteCommand::SUCCESS; goto D29d7; Fabe8: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto bc8d7; f540b: $pythonSite->setCertificate($certificateEntity); goto a5565; a7148: if (!(true === is_null($subdomain))) { goto a9237; } goto c3965; Db521: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto Ed6b7; Dabce: $siteEntity->setVhostTemplate($vhostTemplate); goto Ec286; f843e: throw new \Exception(sprintf("\x56\x68\157\x73\164\40\124\145\155\160\154\x61\164\x65\x20\42\45\163\x22\x20\x64\157\145\x73\x20\x6e\x6f\164\40\145\x78\x69\x73\164\56", $vhostTemplate)); goto a3b9e; a84fb: $certificateEntity->setDefaultCertificate(true); goto baf03; ef890: $csr = $csrGenerator->generate(); goto a36a0; e9d85: $pythonSite = new PythonSite(); goto Ac816; fd361: da5b4: goto C2e1c; E54ba: $this->validateInput($input); goto e348c; Ac816: $pythonSite->setUser($siteEntity->getUser()); goto ce369; Ffc75: $siteUser = trim($input->getOption("\163\x69\x74\145\125\x73\x65\162")); goto de965; A6103: $pythonSite->setDomainName($domainName); goto df88d; c8f60: $siteEntity->setType(SiteEntity::TYPE_PYTHON); goto ca8a9; D29d7: b7bc3: goto B01b2; B01b2: b9762: goto D58f8; de965: $siteUserPassword = trim($input->getOption("\163\x69\x74\145\x55\x73\145\x72\120\x61\x73\x73\167\157\162\x64")); goto d3ddd; Efb06: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto ef890; d3ddd: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto a45b6; D58f8: } catch (\Exception $e) { goto ef255; Cfcec: $output->writeln(sprintf("\74\x65\162\162\157\162\76\45\163\74\x2f\x65\x72\x72\157\x72\76", $errorMessage)); goto C4022; C4022: return SiteCommand::FAILURE; goto Fbcca; ef255: $errorMessage = $e->getMessage(); goto Cfcec; Fbcca: } } }
