<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto C6f73; B16c9: $this->certificateEntityManager = $certificateEntityManager; goto E2ce3; f2897: $this->validator = $validator; goto b64da; C6f73: $this->domainNameParser = $domainNameParser; goto F86d2; b64da: parent::__construct(); goto E0712; E2ce3: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Ac6f4; F86d2: $this->siteEntityManager = $siteEntityManager; goto B16c9; Ac6f4: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto f2897; E0712: } protected function configure() : void { $this->setName("\163\151\164\x65\x3a\x74\x6d\160"); } protected function getSite(string $domainName) : ?Site { goto B6802; Ff395: $siteEntity = $this->getSiteEntity($domainName); goto B06f6; Ff0d7: $site->setDatabases($siteDatabases); goto Ef79f; f2176: $site->setDomainName($siteEntity->getDomainName()); goto ff708; Bfd04: if (!(false === is_null($site))) { goto e9065; } goto af6d7; Ef79f: $site->setBasicAuth($siteEntity->getBasicAuth()); goto a77af; E5c4c: $siteType = $siteEntity->getType(); goto E4147; a4f72: b7bde: goto bd858; ff708: $site->setRegistrableDomain($registrableDomain); goto a1e69; B06f6: if (false === is_null($siteEntity)) { goto Fa80e; } goto ab4c8; cf67d: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto ca0ae; af5f0: $site->setCertificate($siteEntity->getCertificate()); goto C0311; aad05: return $site; goto B92df; c24b1: $site->setBlockedIps($siteEntity->getBlockedIps()); goto af5f0; e98c7: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto c42d0; E4147: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto D9c19; D9c19: $site = new NodejsSite(); goto F8de2; Bbb8f: goto C08ae; goto f9c23; F8de2: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Bbb8f; f9c23: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto C08ae; case SiteEntity::TYPE_PHP: goto B8d75; B8d75: $site = new PhpSite(); goto D8bae; da5dc: goto C08ae; goto f9971; C43fa: $site->setVarnishCache($siteEntity->getVarnishCache()); goto da5dc; D8bae: $site->setPhpSettings($siteEntity->getPhpSettings()); goto C43fa; f9971: case SiteEntity::TYPE_PYTHON: goto F0e99; F0e99: $site = new PythonSite(); goto Dd956; Dd956: $site->setPythonSettings($siteEntity->getPythonSettings()); goto e577d; e577d: goto C08ae; goto A4045; A4045: case SiteEntity::TYPE_REVERSE_PROXY: goto Ab9a6; dc406: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto F0a5d; F0a5d: goto C08ae; goto C1f9f; Ab9a6: $site = new ReverseProxySite(); goto dc406; C1f9f: } goto a4f72; Ab032: $subdomain = false === empty($subdomain) ? $subdomain : null; goto d7cf1; A4ac2: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto e98c7; Edc74: $site->setRootDirectory($siteEntity->getRootDirectory()); goto Ff0d7; ca0ae: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto A4ac2; d7cf1: $siteDatabases = $this->getSiteDatabases($siteEntity); goto Dd6ac; a77af: $site->setBlockedBots($siteEntity->getBlockedBots()); goto c24b1; Fb461: e2ea3: goto aad05; a1e69: $site->setSubdomain($subdomain); goto Edc74; C1da5: $site->setFtpUsers($siteEntity->getFtpUsers()); goto A0188; af6d7: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto eebc5; Dd6ac: $site->setUser($siteEntity->getUser()); goto f2176; Bd70e: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Ab032; B6802: $site = null; goto Ff395; eebc5: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Bd70e; ab4c8: throw new \Exception(sprintf("\123\x69\164\x65\40\x22\x25\x73\x22\40\144\x6f\145\163\40\156\x6f\x74\x20\x65\170\x69\x73\164\56", $domainName)); goto a3bf0; c42d0: e9065: goto Fb461; bd858: C08ae: goto Bfd04; C0311: $site->setCertificates($siteEntity->getCertificates()); goto Bb60c; f6531: Fa80e: goto E5c4c; a3bf0: goto e2ea3; goto f6531; A0188: $site->setSshUsers($siteEntity->getSshUsers()); goto cf67d; Bb60c: $site->setCronJobs($siteEntity->getCronJobs()); goto C1da5; B92df: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto a1300; cbc06: foreach ($databaseEntities as $databaseEntity) { goto Cbd94; A14e7: $siteDatabases->add($databaseEntity); goto f2740; d955d: Fcdf0: goto Af805; Cbd94: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto aa0fd; aa0fd: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto ad100; } goto A14e7; f2740: ad100: goto d955d; Af805: } goto Cbcac; Af18f: return $siteDatabases; goto a45aa; B4cf0: $databaseEntities = $siteEntity->getDatabases(); goto cbc06; Cbcac: f5f00: goto Af18f; a1300: $siteDatabases = new ArrayCollection(); goto B1968; B1968: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto B4cf0; a45aa: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto Aa697; Aa697: $siteDeleter = null; goto db09f; bc21f: ebecd: goto f6cc0; bc8ca: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto f8307; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto f8307; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto f8307; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto f8307; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto f8307; } goto bc21f; db09f: $siteType = $site->getType(); goto bc8ca; f6cc0: f8307: goto fb399; fb399: return $siteDeleter; goto a06b2; a06b2: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto e6899; Fe913: f7097: goto Abf4c; cc903: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto facbb; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto facbb; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto facbb; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto facbb; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto facbb; } goto Fe913; e6899: $siteUpdater = null; goto aa5d6; aa5d6: $siteType = $site->getType(); goto cc903; Abf4c: facbb: goto f3881; f3881: return $siteUpdater; goto D507a; D507a: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x75\163\x65\162", "\x73\x69\x74\x65\125\x73\x65\162", $constraints); $this->changePropertyPath("\165\x73\145\x72\120\x61\x73\163\x77\157\x72\x64", "\163\x69\x74\145\x55\x73\x65\162\120\141\x73\163\x77\x6f\162\x64", $constraints); } }
