<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto f9726; Ec6aa: $this->siteEntityManager = $siteEntityManager; goto Cc7e1; Cc7e1: $this->timezoneEntityManager = $timezoneEntityManager; goto A4016; f9726: $this->userEntityManager = $userEntityManager; goto Ec6aa; A4016: parent::__construct($translator, $logger); goto f017d; f017d: } public function index(Request $request) : Response { goto F02e1; c8685: return $response; goto E53b0; Aaf94: $users = $this->userEntityManager->findAll([], ["\165\163\145\x72\116\141\x6d\145" => "\x61\x73\x63"]); goto A951a; F02e1: $currentUser = $this->getUser(); goto Aaf94; b6cc3: $response = $this->render("\101\x64\x6d\x69\x6e\57\125\x73\145\162\x2f\x69\156\x64\x65\170\x2e\150\x74\155\154\x2e\164\x77\151\x67", ["\165\x73\x65\162\x73" => $users]); goto c8685; A951a: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto b6cc3; E53b0: } public function new(Request $request) : Response { goto Afacb; Cad7d: return $response; goto ec21e; a14e2: $sites = $this->siteEntityManager->findAll([], ["\x64\157\155\141\x69\x6e\x4e\141\155\145" => "\101\x53\x43"]); goto cfb6d; fde43: $form->handleRequest($request); goto f2363; C1a67: $response = $this->render("\101\x64\x6d\151\156\57\125\163\x65\x72\x2f\156\x65\x77\56\150\164\155\154\x2e\x74\167\151\147", ["\165\163\x65\162" => $userEntity, "\163\x69\164\x65\x73" => $sites, "\x66\157\x72\x6d" => $form->createView(), "\x66\x6f\x72\155\x45\162\162\x6f\162\x73" => $this->formErrors]); goto b6d74; D6993: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto a14e2; ec21e: A7eb5: goto eb7ac; D243b: F791f: goto C1a67; cfb6d: $userEntity->setTimezone($defaultTimezone); goto A1402; b6d74: return $response; goto d0977; D4847: $response = $this->handleUserForm($request, $form); goto e4c54; eb7ac: f019f: goto D243b; e4c54: if (!(false === is_null($response))) { goto A7eb5; } goto Cad7d; dc347: if (!(true === $request->isMethod("\120\117\123\124"))) { goto F791f; } goto fde43; f2363: if (!(true === $form->isSubmitted())) { goto f019f; } goto D4847; A1402: $form = $this->createUserForm($userEntity); goto dc347; Afacb: $userEntity = $this->userEntityManager->createEntity(); goto D6993; d0977: } private function createUserForm(UserEntity $userEntity) : Form { goto Efe9a; Efe9a: $form = $this->createForm("\x41\160\160\134\106\157\162\155\134\101\144\155\x69\x6e\x55\x73\x65\x72\x54\171\160\145", $userEntity, ["\141\143\164\x69\x6f\156" => $this->generateUrl("\143\x6c\160\137\141\x64\155\x69\x6e\x5f\x75\163\x65\162\137\156\x65\x77"), "\x6d\x65\x74\x68\x6f\x64" => "\120\x4f\x53\124", "\x61\x74\164\162" => []]); goto c3975; c3975: $form->add("\x73\165\142\155\151\164", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\x6c\x61\x73\x73" => "\x62\x74\x6e\40\x62\x74\156\55\x62\154\x75\145\40\142\x74\x6e\55\x6c\x67"], "\154\141\142\x65\x6c" => "\x41\x64\144\40\x55\x73\145\x72"]); goto caa47; caa47: return $form; goto de202; de202: } private function handleUserForm(Request $request, Form $form) { goto E5ca2; D01f6: E84d5: goto Be612; E5ca2: if (true === $form->isValid()) { goto E84d5; } goto A6b80; ae555: goto Bf246; goto D01f6; d3ae9: Bf246: goto C3aa8; Be612: try { goto d4ed5; c0039: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); d397d: } goto B9fb2; Ca504: $this->userEntityManager->updateUser($userEntity); goto D520d; d9e64: $session = $request->getSession(); goto F1377; f7a47: $domainNames = []; goto fb4d7; D520d: $eventData = ["\165\x73\x65\x72\x4e\141\155\x65" => $userEntity->getUserName(), "\146\x69\x72\x73\x74\x4e\x61\155\x65" => $userEntity->getFirstName(), "\154\141\163\164\x4e\141\x6d\x65" => $userEntity->getLastName(), "\x65\155\141\151\154" => $userEntity->getEMail(), "\x72\157\154\x65" => $userEntity->getRole(), "\x73\151\x74\145\163" => implode("\x2c\x20", $domainNames)]; goto Af472; Cb76c: sort($domainNames); goto Ca504; c79b4: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\125\x73\x65\x72\x20\150\141\163\40\142\145\145\x6e\40\x61\144\144\145\144\x2e")); goto a34b1; fb4d7: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto Da349; } goto c0039; D1638: $sites = $userEntity->getSites(); goto f7a47; a34b1: $response = $this->redirect($this->generateUrl("\143\154\160\137\x61\144\x6d\151\x6e\x5f\165\x73\x65\162\x73")); goto Cf93f; defb8: Da349: goto Cb76c; B9fb2: ddf4d: goto defb8; Cf93f: return $response; goto Ccdb8; F1377: $userEntity = $form->getData(); goto D1638; d4ed5: $currentUser = $this->getUser(); goto d9e64; Af472: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto c79b4; Ccdb8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\x72", $this->translator->trans("\x41\156\x20\x65\x72\162\x6f\162\40\x68\x61\x73\40\157\x63\x63\165\x72\162\x65\x64\x2c\x20\145\162\162\157\162\x20\x6d\x65\x73\163\x61\147\x65\72\x20\x25\x65\162\162\157\162\x4d\x65\x73\163\x61\x67\145\x25", ["\x25\x65\x72\162\157\x72\x4d\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto d3ae9; A6b80: $this->formErrors = $this->getErrorMessages($form); goto ae555; C3aa8: } public function edit(Request $request) : Response { goto E4c5c; efaae: f7cf2: goto a59a9; Ba03f: a3ac8: goto efaae; bb815: $response = $this->render("\x41\144\x6d\151\x6e\57\125\163\145\x72\x2f\x65\x64\x69\x74\x2e\x68\x74\x6d\x6c\x2e\x74\167\x69\147", ["\165\163\145\162" => $userEntity, "\x73\x69\164\x65\x73" => $sites, "\x66\x6f\162\155" => $form->createView(), "\x66\157\x72\155\x45\x72\x72\x6f\x72\x73" => $this->formErrors]); goto A15e2; E1970: $sites = $this->siteEntityManager->findAll([], ["\144\157\155\141\x69\x6e\x4e\141\x6d\x65" => "\101\123\103"]); goto fe22f; B358a: if (!(false === is_null($response))) { goto a3ac8; } goto f925e; d5ef0: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto D7c48; } goto D11b0; D54b1: $response = $this->redirect($this->generateUrl("\143\154\160\137\141\x64\155\x69\156\137\165\x73\145\x72\x73")); goto A7f24; D11b0: $form->handleRequest($request); goto Caf86; fe22f: $form = $this->createUserEditForm($userEntity); goto d5ef0; A7f24: goto b21fe; goto d343e; a59a9: D7c48: goto bb815; C33e1: if (false === is_null($userEntity)) { goto Ead1a; } goto D54b1; b6ff8: return $response; goto df50b; f925e: return $response; goto Ba03f; C2d24: $response = $this->handleUserEditForm($request, $form); goto B358a; d343e: Ead1a: goto E1970; Caf86: if (!(true === $form->isSubmitted())) { goto f7cf2; } goto C2d24; E4c5c: $id = (int) $request->get("\151\x64"); goto Fb387; A15e2: b21fe: goto b6ff8; Fb387: $userEntity = $this->userEntityManager->findOneById($id); goto C33e1; df50b: } private function createUserEditForm(UserEntity $userEntity) : Form { goto B4dd8; ee98f: $form->add("\163\165\x62\155\x69\164", SubmitType::class, ["\141\164\164\x72" => ["\x63\x6c\141\x73\163" => "\142\164\156\x20\142\164\156\55\x62\154\x75\145\x20\142\164\x6e\x2d\x6c\147"], "\x6c\141\x62\x65\x6c" => "\x53\141\x76\145"]); goto caf19; B4dd8: $form = $this->createForm("\101\160\160\x5c\x46\x6f\x72\x6d\134\101\144\x6d\151\156\125\163\x65\x72\x45\x64\151\164\x54\x79\x70\x65", $userEntity, ["\141\143\x74\x69\157\x6e" => $this->generateUrl("\143\x6c\x70\137\141\x64\x6d\151\156\x5f\x75\x73\x65\162\137\145\x64\151\x74", ["\151\x64" => $userEntity->getId()]), "\155\145\x74\150\x6f\x64" => "\120\117\123\x54", "\x61\164\x74\x72" => []]); goto ee98f; caf19: return $form; goto Cb328; Cb328: } private function handleUserEditForm(Request $request, Form $form) { goto Ff43a; e552d: C2219: goto f4b6e; b5ef9: ec030: goto F19d1; d833b: $this->formErrors = $this->getErrorMessages($form); goto c4e54; c4e54: goto C2219; goto b5ef9; Ff43a: if (true === $form->isValid()) { goto ec030; } goto d833b; F19d1: try { goto d7df3; bc06d: $plainPassword = $userEntity->getPlainPassword(); goto b1864; ece6c: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto E3ca6; e492f: goto a822d; goto F237b; E3ca6: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\125\163\x65\x72\x20\150\x61\x73\x20\142\x65\x65\x6e\x20\x75\160\x64\x61\x74\145\x64\x2e")); goto f6560; D2ebf: $session = $request->getSession(); goto B11c6; d7df3: $currentUser = $this->getUser(); goto D2ebf; b10a7: return $response; goto D9d9f; Dac72: $this->userEntityManager->updateUser($userEntity); goto e492f; e8dea: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); Bfd55: } goto Bb1b3; d9cc2: sort($domainNames); goto D23db; B11c6: $userEntity = $form->getData(); goto bc06d; b1864: $sites = $userEntity->getSites(); goto fcec1; Bb1b3: eaf57: goto B101c; C0cc3: $this->userEntityManager->updateUser($userEntity, true, true); goto A4718; A4718: a822d: goto a7d17; Dd227: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto a861f; } goto e8dea; fcec1: $domainNames = []; goto Dd227; f6560: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\141\144\155\151\156\x5f\x75\163\145\x72\x5f\x65\144\151\164", ["\x69\x64" => $userEntity->getId()])); goto b10a7; F237b: C8387: goto C0cc3; D23db: if (false === empty($plainPassword)) { goto C8387; } goto Dac72; a7d17: $eventData = ["\165\x73\145\162\116\x61\155\x65" => $userEntity->getUserName(), "\x66\151\162\163\x74\x4e\141\155\x65" => $userEntity->getFirstName(), "\154\141\x73\x74\116\141\155\145" => $userEntity->getLastName(), "\145\155\x61\x69\154" => $userEntity->getEMail(), "\x72\157\154\x65" => $userEntity->getRole(), "\163\164\x61\164\165\163" => (int) $userEntity->getStatus(), "\163\151\x74\145\163" => implode("\54\x20", $domainNames)]; goto ece6c; B101c: a861f: goto d9cc2; D9d9f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\x41\156\x20\145\x72\x72\x6f\x72\40\x68\141\x73\40\x6f\143\x63\165\162\x72\145\144\54\x20\x65\162\162\x6f\x72\40\x6d\145\x73\163\x61\147\x65\72\x20\x25\145\x72\162\x6f\162\115\x65\x73\x73\x61\x67\145\45", ["\x25\145\162\162\157\162\115\x65\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto e552d; f4b6e: } public function delete(Request $request) : Response { goto Ded21; bec67: $this->userEntityManager->deleteUser($userEntity); goto f30a1; f30a1: $session->getFlashBag()->set("\x73\x75\x63\143\x65\x73\163", $this->translator->trans("\x55\x73\145\162\40\150\141\x73\x20\142\x65\145\x6e\x20\144\x65\154\x65\164\145\x64\56")); goto f1f32; f1f32: C11d0: goto B7c0b; f1fd5: $session = $request->getSession(); goto fae26; d44fe: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto bec67; a0df6: $id = (int) $request->get("\151\x64"); goto De4c7; De4c7: $this->checkCsrfToken($request, "\144\145\154\145\x74\x65\x2d\x75\163\145\x72"); goto A5359; C60b4: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x61\x64\155\x69\x6e\137\x75\x73\145\x72\x73")); goto C9597; A5359: if (!(true === isset($id) && $id != $currentUser->getId())) { goto dc023; } goto fffaf; Ded21: $currentUser = $this->getUser(); goto a0df6; B7c0b: dc023: goto C60b4; fffaf: $userEntity = $this->userEntityManager->findOneById($id); goto f22a5; C9597: return $response; goto Be483; f22a5: if (!(false === is_null($userEntity))) { goto C11d0; } goto f1fd5; fae26: $eventData = ["\165\x73\145\162\116\141\155\x65" => $userEntity->getUserName(), "\x66\151\162\x73\164\116\141\x6d\145" => $userEntity->getFirstName(), "\154\x61\x73\164\116\141\155\145" => $userEntity->getLastName(), "\145\155\141\x69\x6c" => $userEntity->getEMail(), "\162\x6f\x6c\145" => $userEntity->getRole()]; goto d44fe; Be483: } }
