<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto Cf0b0; E32ef: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto f6152; Cf0b0: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto E32ef; f6152: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto C2f5f; C9358: parent::__construct($translator, $logger); goto F9831; C2f5f: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto C9358; F9831: } public function index(Request $request) : Response { goto f2870; C122e: $environment = $instance->getEnvironment(); goto dc13d; ef24d: $totalMemory = ''; goto E3f27; acc9a: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto A9bbb; Af9f1: $startTime = (clone $endTime)->modify("\x2d\x33\x30\x20\155\151\x6e\x75\164\x65\x73"); goto D6901; A9bbb: $minuteInterval = 5; goto Af9f1; D6901: goto d9c0d; goto f8385; f8385: case self::TIME_RANGE_LAST_HOUR: goto f0b8e; d9076: goto d9c0d; goto ab43e; f0b8e: $minuteInterval = 10; goto D530a; D530a: $startTime = (clone $endTime)->modify("\x2d\x31\40\150\x6f\165\162"); goto d9076; ab43e: case self::TIME_RANGE_LAST_THREE_HOURS: goto db600; Fcf99: goto d9c0d; goto C81ae; a847a: $startTime = (clone $dateTime)->modify("\55\x33\x20\150\x6f\x75\x72\163"); goto Fcf99; db600: $minuteInterval = 30; goto a847a; C81ae: case self::TIME_RANGE_LAST_SIX_HOURS: goto e777b; e777b: $minuteInterval = 60; goto Ff769; Bc2da: goto d9c0d; goto C55f4; Ff769: $startTime = (clone $dateTime)->modify("\55\x36\40\x68\x6f\x75\x72\163"); goto Bc2da; C55f4: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto f1c89; E99bc: $startTime = (clone $dateTime)->modify("\55\x31\x32\x20\x68\x6f\x75\162\163"); goto Bbb67; Bbb67: goto d9c0d; goto E9aff; f1c89: $minuteInterval = 120; goto E99bc; E9aff: } goto Abe50; F5ff4: $memoryChart = new Chart("\x4d\145\155\x6f\x72\x79\40\125\163\x61\147\x65"); goto d82af; A02c9: goto C2b67; goto eb38b; dcfea: $diskChart = new Chart("\x44\151\163\x6b\x20\x55\163\x61\x67\145"); goto b51fc; E2c4d: d9c0d: goto c60b7; e0119: $response = $this->render("\x46\x72\157\x6e\x74\x65\156\144\x2f\x44\141\x73\x68\142\157\x61\x72\x64\57\x69\156\144\x65\170\56\x68\x74\x6d\x6c\56\164\x77\x69\147", ["\x63\x6c\x6f\165\144" => $cloud, "\151\156\163\164\141\156\143\145" => $instance, "\165\x73\145\162" => $user, "\x74\x69\x6d\x65\122\141\156\x67\145" => $timeRange, "\143\160\x75\x43\150\x61\162\x74" => $cpuChart, "\x6d\145\155\157\x72\171\103\x68\x61\162\164" => $memoryChart, "\x64\151\x73\x6b\x43\x68\141\x72\164" => $diskChart, "\154\157\141\144\x41\x76\x65\x72\141\x67\x65\103\150\x61\162\164" => $loadAverageChart]); goto B3c92; bfabe: try { goto D1dd5; Fc5d9: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto D5eea; Eccc6: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto aebdb; D5eea: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\107\102", 0); goto f7ee5; f7ee5: $processorCoresCommand = new ProcessorCoresCommand(); goto Bd703; D1dd5: $commandExecutor = new CommandExecutor(); goto Db86f; F7bc1: $commandExecutor->execute($memoryInformationCommand); goto Fc5d9; Db86f: $memoryInformationCommand = new MemoryInformationCommand(); goto F7bc1; Bd703: $commandExecutor->execute($processorCoresCommand); goto Eccc6; aebdb: } catch (\Exception $e) { $this->logger->exception($e); } goto B4d10; Cd41a: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto a7e94; B996f: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\107\x42", 0); goto Cd41a; A3bf2: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto c0a7d; b5897: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto A3bf2; E3f27: $numberOfProcessorCores = 0; goto bfabe; D19a6: $loadAverageChart->setData($loadAverageData); goto B7bac; bcb75: $dateTime = new \DateTime(); goto Fae75; B7bac: $loadAverageChart->setCategories($categories); goto e0119; d93b4: $cpuChart->setCategories($categories); goto F5ff4; dc13d: $cloud = $environment->getCloudProvider(); goto C9878; cb8b6: $instance = $request->attributes->get("\x69\x6e\163\164\x61\156\x63\145"); goto C122e; C07bb: $memoryChart->setCategories($categories); goto dcfea; accd7: $cpuChart->setInformation($cpuInformation); goto Ec409; F37fc: $memoryChart->setData($memoryData); goto C07bb; dbca2: $loadAverageChartInformation = sprintf("\45\x73\40\45\x73", $numberOfProcessorCores, $this->translator->trans("\x43\x50\x55")); goto a1186; Fae75: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto acc9a; d82af: $memoryChart->setInformation($totalMemory); goto F37fc; Abe50: aa4ec: goto E2c4d; eadaa: if ($homeDiskSize != $rootDiskSize) { goto Ad119; } goto Ebf49; Ec409: $cpuChart->setData($cpuData); goto d93b4; B3c92: return $response; goto B5da9; C6f69: C2b67: goto abc8c; eb166: $cpuInformation = sprintf("\45\163\x20\x25\163", $numberOfProcessorCores, $this->translator->trans("\x43\120\125")); goto d20fa; F1784: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto ef24d; abc8c: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto c6b15; B4d10: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto B996f; C9878: $timeRange = $request->get("\x74\x69\x6d\x65\122\141\156\x67\145"); goto F1784; d3c1c: $diskData = [["\x6e\x61\x6d\x65" => sprintf("\x2f\x20\50\45\x73\51", $rootDiskSize), "\x63\x6f\154\x6f\162" => "\x23\x37\63\x62\x66\64\143", "\x64\141\x74\x61" => $diskData["\162\x6f\x6f\x74"] ?: []], ["\156\141\155\145" => sprintf("\57\x68\157\155\x65\40\50\x25\x73\x29", $homeDiskSize), "\x63\x6f\x6c\x6f\162" => "\x23\146\63\142\146\60\60", "\144\x61\164\x61" => $diskData["\x68\x6f\155\x65"] ?: []]]; goto C6f69; Ebf49: $diskData = [["\x6e\141\x6d\145" => sprintf("\x2f\x20\x28\x25\x73\51", $rootDiskSize), "\143\157\154\157\x72" => "\x23\67\63\x62\x66\x34\x63", "\144\141\164\141" => $diskData["\162\x6f\x6f\x74"] ?: []]]; goto A02c9; b51fc: $diskChart->setData($diskData); goto Af94c; c60b7: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto b5897; f2870: $user = $this->getUser(); goto cb8b6; c6b15: $loadAverageData = [["\x6e\141\x6d\x65" => $this->translator->trans("\x31\40\x4d\151\156\x75\164\x65"), "\x63\x6f\154\x6f\x72" => "\43\x37\67\x34\141\x61\64", "\144\x61\164\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\x6e\x61\155\x65" => $this->translator->trans("\65\40\115\x69\156\x75\x74\x65\x73"), "\x63\x6f\x6c\157\162" => "\43\145\x62\x35\70\x36\x63", "\144\x61\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\156\141\x6d\x65" => $this->translator->trans("\61\x35\40\115\151\156\165\164\145\163"), "\143\x6f\154\x6f\x72" => "\43\60\60\x37\x38\144\64", "\144\141\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto eb166; a1186: $loadAverageChart = new LoadAverageChart("\x4c\x6f\x61\144\x20\x41\x76\x65\x72\141\x67\145"); goto c907c; Af94c: $diskChart->setCategories($categories); goto dbca2; c907c: $loadAverageChart->setInformation($loadAverageChartInformation); goto D19a6; c0a7d: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto eadaa; a7e94: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\x42", 0); goto bcb75; eb38b: Ad119: goto d3c1c; d20fa: $cpuChart = new Chart("\103\x50\x55\x20\x55\x73\x61\147\145"); goto accd7; B5da9: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto c9f0a; a3818: $endDataDate->modify(sprintf("\x2b\x25\60\65\x64\40\155\151\156\165\x74\x65\x73", $minuteInterval)); goto a16f3; C44e6: return $categories; goto b76b7; c9f0a: $categories = []; goto A402c; F9442: C464c: goto C44e6; a16f3: goto b63f6; goto F9442; E89ca: if (!($endDataDate <= $endTime)) { goto C464c; } goto b1336; A402c: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\60\65\144\x20\x6d\x69\x6e\165\x74\145\x73", $minuteInterval)); goto Ea8fc; Ea8fc: $endDataDate = clone $startTime; goto b68ea; Fd650: $startDataDate->modify(sprintf("\x2b\x25\x30\x35\x64\40\155\x69\156\x75\164\x65\163", $minuteInterval)); goto a3818; ad0be: $categories[] = $categoryDateTime->format("\110\x3a\151"); goto Fd650; b68ea: b63f6: goto E89ca; B1b10: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto ad0be; b1336: $categoryDateTime = clone $endDataDate; goto B1b10; b76b7: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto C3114; C3114: $cpuData = []; goto cfbf3; Da926: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto D102a; Dde6d: E0192: goto d0323; d0323: return $cpuData; goto b2f69; Fcca8: $endDataDate = clone $startTime; goto addef; Aebe9: if (!($endDataDate <= $endTime)) { goto E0192; } goto Da926; ff880: $endDataDate->modify(sprintf("\53\45\x30\65\x64\40\x6d\151\156\x75\164\x65\163", $minuteInterval)); goto becb6; addef: Fa816: goto Aebe9; D102a: $cpuData[] = $averageCpuValue; goto ee0e3; ee0e3: $startDataDate->modify(sprintf("\x2b\45\x30\65\x64\40\x6d\151\x6e\x75\x74\x65\163", $minuteInterval)); goto ff880; becb6: goto Fa816; goto Dde6d; cfbf3: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\60\x35\x64\x20\x6d\x69\156\x75\x74\x65\x73", $minuteInterval)); goto Fcca8; b2f69: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Ebc8b; aba1a: Ada64: goto Dbca0; E0841: $endDataDate->modify(sprintf("\53\x25\60\x35\x64\x20\x6d\x69\x6e\x75\164\145\x73", $minuteInterval)); goto Afed4; Ebc8b: $memoryData = []; goto D7875; D7875: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\65\144\40\x6d\x69\x6e\165\164\145\x73", $minuteInterval)); goto c4c02; Dbca0: return $memoryData; goto ea0db; Da624: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto E05d7; A48fe: $startDataDate->modify(sprintf("\53\45\x30\x35\144\x20\155\151\x6e\x75\x74\145\163", $minuteInterval)); goto E0841; c4c02: $endDataDate = clone $startTime; goto B4e65; Edd62: if (!($endDataDate <= $endTime)) { goto Ada64; } goto Da624; E05d7: $memoryData[] = (int) $averageMemoryValue; goto A48fe; Afed4: goto F9e1e; goto aba1a; B4e65: F9e1e: goto Edd62; ea0db: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto Ac703; d9aeb: $startDataDate->modify(sprintf("\x2b\x25\60\x35\x64\x20\155\x69\156\165\x74\x65\163", $minuteInterval)); goto D5fa2; d5a5d: $endDataDate = clone $startTime; goto F47b6; Bd5bb: if (!($endDataDate <= $endTime)) { goto A0b19; } goto ee2fe; Ac703: $diskData = []; goto Aeea6; F47b6: a3669: goto Bd5bb; Dec12: B8b4b: goto d9aeb; a732d: A0b19: goto A35f1; ee2fe: foreach (["\x2f", "\x2f\x68\157\155\x65"] as $disk) { goto Eedb1; e8c55: B5a8b: goto bc145; b5d7b: A84d8: goto f29d1; bb681: Ad640: goto b5d7b; E615f: if ("\57" == $disk) { goto B5a8b; } goto De429; f2d52: goto Ad640; goto e8c55; bc145: $diskData["\x72\157\x6f\164"][] = (int) $averageDiskSizeValue; goto bb681; Eedb1: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto E615f; De429: $diskData["\150\x6f\155\145"][] = (int) $averageDiskSizeValue; goto f2d52; f29d1: } goto Dec12; A35f1: return $diskData; goto dabea; Aeea6: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\60\65\x64\x20\155\151\156\x75\x74\145\x73", $minuteInterval)); goto d5a5d; E3367: goto a3669; goto a732d; D5fa2: $endDataDate->modify(sprintf("\53\45\x30\x35\x64\40\155\151\156\165\x74\145\x73", $minuteInterval)); goto E3367; dabea: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto f598c; f598c: $loadAverageData = []; goto Ffef1; B66a0: goto be264; goto B871c; Daf17: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto f6f31; c7d4e: $loadAverageData[$period][] = round($loadAverageValue, 2); goto C6a62; C6a62: f1731: goto B9ed3; f6f31: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto c7d4e; B9ed3: } goto e00b0; a817b: be264: goto dd419; B871c: Cbca0: goto e4dd8; e4dd8: return $loadAverageData; goto a36e0; E3d9b: $startDataDate->modify(sprintf("\x2b\45\60\x35\x64\40\155\151\x6e\165\164\x65\x73", $minuteInterval)); goto Cff2b; E6eb3: $endDataDate = clone $startTime; goto a817b; Cff2b: $endDataDate->modify(sprintf("\53\45\60\65\144\x20\x6d\x69\156\165\164\145\x73", $minuteInterval)); goto B66a0; dd419: if (!($endDataDate <= $endTime)) { goto Cbca0; } goto Daf17; e00b0: a7479: goto E3d9b; Ffef1: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\65\144\40\x6d\x69\x6e\165\164\145\163", $minuteInterval)); goto E6eb3; a36e0: } }
