<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto F0e27; f9124: $this->domainNameParser = $domainNameParser; goto f8241; F0e27: $this->configManager = $configManager; goto E3f09; d5e1c: $this->blockedBotEntityManager = $blockedBotEntityManager; goto Efaa9; Cd509: $this->blockedIpEntityManager = $blockedIpEntityManager; goto d5e1c; Efaa9: $this->certificateEntityManager = $certificateEntityManager; goto ba84d; ba84d: $this->cronJobEntityManager = $cronJobEntityManager; goto A7880; f8241: parent::__construct($translator, $logger); goto C97c3; Ad383: $this->databaseUserEntityManager = $databaseUserEntityManager; goto F7633; D399e: $this->sshUserEntityManager = $sshUserEntityManager; goto f9124; E3f09: $this->siteEntityManager = $siteEntityManager; goto Ba938; ebd8e: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto f6783; Ba938: $this->basicAuthEntityManager = $basicAuthEntityManager; goto Cd509; f6783: $this->ftpUserEntityManager = $ftpUserEntityManager; goto D399e; F7633: $this->databaseServerEntityManager = $databaseServerEntityManager; goto ebd8e; A7880: $this->databaseEntityManager = $databaseEntityManager; goto Ad383; C97c3: } public function index(Request $request) : Response { goto c7c35; Ac9f3: $response = $this->render("\106\162\157\x6e\164\x65\x6e\144\57\x53\x69\164\145\x2f\151\x6e\x64\145\x78\56\150\x74\x6d\x6c\x2e\x74\x77\x69\x67", ["\x75\x73\x65\x72" => $user, "\163\x69\x74\x65\163" => $sites]); goto b034b; b034b: return $response; goto eb659; c7c35: $user = $this->getUser(); goto Ec031; Ec031: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\157\x6d\141\x69\x6e\x4e\x61\155\145" => "\141\x73\x63"]); goto Ac9f3; eb659: } public function fileManager(Request $request) : Response { goto Abf6c; F1752: $locale = $request->getLocale(); goto Ea364; d0508: $response = $this->render("\106\162\x6f\156\x74\x65\156\144\x2f\x53\x69\164\x65\57\146\151\x6c\145\55\x6d\141\156\x61\147\145\x72\x2e\x68\164\155\x6c\56\164\167\x69\x67", ["\163\151\164\145" => $site, "\x66\x69\154\145\115\x61\156\x61\x67\x65\x72\125\162\154" => $fileManagerUrl, "\x66\x6f\x72\x6d\105\x72\x72\157\x72\x73" => $this->formErrors]); goto c4432; Dbe4a: goto e12bf; goto C4e78; ae023: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\145\163")); goto Dbe4a; Abf6c: $site = $this->getSite($request); goto c18d5; f281d: $session->set("\143\x6c\160\x2d\x66\x69\x6c\x65\x2d\155\141\156\x61\x67\145\x72", $data); goto bea04; c4432: e12bf: goto c5f85; bea04: $fileManagerUrl = sprintf("\x25\163\57\x66\x69\x6c\x65\x2d\x6d\x61\x6e\x61\147\145\x72\57", rtrim($request->getSchemeAndHttpHost(), "\57")); goto d0508; c18d5: if (false === is_null($site)) { goto C44ed; } goto ae023; Fc4a6: $siteUser = $site->getUser(); goto A74c6; eaa72: $data = ["\165\x73\x65\162" => $siteUser, "\x6c\x6f\x63\141\154\145" => $locale]; goto f281d; Ba46a: $cookieExpirationDate->modify(sprintf("\x2b\x25\163\40\x68\x6f\165\162\163", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto eaa72; c5f85: return $response; goto be3c8; Ea364: $cookieExpirationDate = new \DateTime("\x6e\157\167"); goto Ba46a; A74c6: $session = $request->getSession(); goto F1752; C4e78: C44ed: goto Fc4a6; be3c8: } public function view(Request $request) : Response { goto ee71a; ee71a: $domainName = $request->get("\144\x6f\155\x61\x69\x6e\116\141\x6d\x65"); goto Ddc61; Ddc61: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\x74\145\x5f\163\x65\164\164\x69\156\x67\x73", ["\x64\157\155\141\151\156\116\141\x6d\145" => $domainName])); goto B1263; B1263: return $response; goto c8877; c8877: } public function logs(Request $request) : Response { goto a439b; Cba52: goto F953b; goto C7988; a2813: if (false === is_null($site)) { goto E71bd; } goto B9d17; F691f: F953b: goto Dc94d; Db0af: $form = $this->createLogsForm($siteEntity); goto f5115; Dc94d: return $response; goto Ec1da; f5115: $response = $this->render("\x46\162\x6f\x6e\164\x65\156\144\x2f\123\x69\x74\145\57\x6c\157\x67\163\x2e\150\x74\155\154\x2e\x74\167\x69\147", ["\163\x69\164\x65" => $site, "\x66\157\162\x6d\105\x72\x72\x6f\162\x73" => $this->formErrors, "\x66\157\x72\155" => $form->createView()]); goto F691f; C87cb: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Db0af; C7988: E71bd: goto C87cb; B9d17: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\145\163")); goto Cba52; a439b: $site = $this->getSite($request); goto a2813; Ec1da: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto b0b45; f5dad: $form->add("\x75\x70\x64\141\164\145", ButtonType::class, ["\x61\164\x74\x72" => ["\143\154\141\x73\x73" => "\x62\164\156\40\142\164\x6e\x2d\154\147\x20\142\x74\x6e\x2d\142\154\x75\145\x20\x62\x74\156\x2d\x75\160\x64\141\164\x65"], "\154\141\x62\x65\x6c" => "\125\160\144\x61\x74\x65"]); goto B6d11; B6d11: return $form; goto A5250; b0b45: $form = $this->createForm("\101\160\x70\134\106\157\162\155\134\x53\x69\164\x65\x4c\157\x67\x73\x54\x79\x70\145", [], ["\x61\143\164\x69\x6f\x6e" => $this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\x65\x5f\154\x6f\x67\x73", ["\x64\x6f\x6d\x61\x69\x6e\x4e\141\155\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\150\157\x64" => "\x50\117\x53\x54", "\x61\x74\164\162" => []]); goto f5dad; A5250: } public function logFileContent(Request $request, Twig $twig) : Response { goto d90d4; Bc587: d75c3: goto A240b; A240b: $response = $this->json($data); goto a6fd3; D72e5: A2acd: goto Bc587; c6bce: $logfileName = trim($request->get("\154\157\147\106\x69\x6c\x65")); goto B6c0f; d7576: if (!(false === empty($service) && false === empty($logfileName))) { goto A2acd; } goto A6e76; aaf9f: $service = trim($request->get("\163\145\162\x76\x69\143\x65")); goto c6bce; Cd45e: if (!(false === is_null($site))) { goto d75c3; } goto aaf9f; a6fd3: return $response; goto dee87; B6c0f: $numberOfLines = (int) $request->get("\156\x75\x6d\142\x65\162\117\x66\x4c\x69\x6e\145\163"); goto d7576; d90d4: $data = []; goto e7a5b; A6e76: try { goto Aa797; Ff790: $user = $this->getUser(); goto C9378; Dd689: goto B7f65; goto c3a0f; C6e01: if (!("\160\x68\x70" == $service)) { goto dd150; } goto E3470; E3470: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto a7439; Cbef3: $logMessagesHtml = $twig->render("\x46\x72\157\156\164\145\x6e\x64\x2f\123\151\164\x65\57\x4c\157\x67\163\57\160\x68\x70\55\x66\x70\155\x2d\x65\162\162\x6f\x72\x2d\154\157\x67\x2d\x6d\145\x73\x73\141\147\145\163\x2e\150\x74\x6d\x6c\x2e\x74\167\151\147", ["\154\x6f\x67\115\x65\x73\163\x61\x67\x65\x73" => $logMessages]); goto B74fa; bc14b: $logfile = sprintf("\57\150\x6f\x6d\x65\x2f\x25\163\57\154\157\147\163\x2f\x25\163\57\x25\x73", $site->getUser(), $service, $logfileName); goto B71b4; c3a0f: d574b: goto Be867; Fd746: $userTimezone = $user->getTimezone(); goto Fbcfd; Df6ae: $logMessagesHtml = $twig->render("\x46\162\x6f\x6e\164\x65\156\x64\x2f\x53\151\164\x65\57\114\x6f\147\x73\x2f\x6e\147\x69\x6e\x78\x2d\x65\162\x72\x6f\x72\x2d\154\x6f\147\x2d\155\145\x73\x73\x61\x67\x65\163\x2e\150\164\155\x6c\x2e\x74\x77\151\147", ["\x6c\157\x67\115\x65\x73\x73\x61\x67\145\163" => $logMessages]); goto Dd689; a7439: $logMessages = $phpFpmErrorLogParser->parse(); goto Cbef3; add42: B7f65: goto f0dfd; a3658: $logMessagesHtml = ''; goto Ff790; Aa797: $service = basename($service); goto bc14b; F0675: $logMessagesHtml = $twig->render("\106\162\x6f\x6e\x74\x65\x6e\144\x2f\x53\x69\x74\x65\x2f\114\x6f\x67\163\57\x6e\147\x69\156\x78\55\141\143\x63\x65\x73\x73\55\x6c\x6f\x67\x2d\155\x65\x73\163\141\147\x65\x73\56\150\164\x6d\154\x2e\164\x77\151\x67", ["\154\157\147\115\x65\x73\x73\141\147\x65\163" => $logMessages]); goto add42; C9378: if (!("\x6e\x67\x69\x6e\170" == $service)) { goto B598b; } goto Fd746; B71b4: $logfileReader = new LogfileReader($logfile); goto B6e39; F19fd: $logMessages = $nginxErrorLogParser->parse(); goto Df6ae; B9317: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto ed973; B6e39: $logLines = $logfileReader->getLines($numberOfLines); goto a3658; ed973: $logMessages = $nginxAccessLogParser->parse(); goto F0675; f0dfd: B598b: goto C6e01; B74fa: dd150: goto bb8fe; Be867: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto B9317; B5c2a: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto F19fd; bb8fe: $data["\154\x6f\147\x4d\x65\163\163\141\147\x65\x73\x48\x74\x6d\154"] = $logMessagesHtml; goto Bbf5f; Fbcfd: if ("\x61\x63\143\145\x73\x73\56\x6c\157\x67" == substr($logfileName, 0, 10)) { goto d574b; } goto B5c2a; Bbf5f: } catch (\Exception $e) { $this->logger->exception($e); } goto D72e5; e7a5b: $site = $this->getSite($request); goto Cd45e; dee87: } public function loadLogfilesForService(Request $request) : Response { goto e0404; e4e50: F5a9d: goto Cf798; Cf798: bfe13: goto b903e; e699f: try { goto Bd4dc; e270d: if (!(false === empty($logfiles))) { goto C854d; } goto acec9; Bd4dc: $service = basename($service); goto E6a95; E6a95: $logfilesDirectory = sprintf("\x2f\150\x6f\x6d\145\57\x25\x73\57\x6c\x6f\x67\163\57\45\x73\57", $site->getUser(), $service); goto a749f; F55a6: C854d: goto Cad7b; acec9: $data["\x6c\157\x67\146\x69\154\x65\x73"] = $logfiles; goto F55a6; c9e9a: $logfiles = $logsFinder->getLogfiles(); goto e270d; a749f: $logsFinder = new LogsFinder($logfilesDirectory); goto c9e9a; Cad7b: } catch (\Exception $e) { $this->logger->exception($e); } goto e4e50; a8a3d: if (!(false === is_null($site))) { goto bfe13; } goto Efd54; e0404: $data = []; goto Ffc37; fd81a: return $response; goto A3cfb; Ffc37: $site = $this->getSite($request); goto a8a3d; Efd54: $service = trim($request->get("\163\145\x72\x76\x69\x63\x65")); goto Efbb1; Efbb1: if (!(false === empty($service))) { goto F5a9d; } goto e699f; b903e: $response = $this->json($data); goto fd81a; A3cfb: } public function cronJobs(Request $request) : Response { goto f76d7; a6b18: goto Acdc0; goto A4de6; A3fa3: Acdc0: goto Ba0e4; f76d7: $site = $this->getSite($request); goto Def56; dedd0: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\x74\x65\163")); goto a6b18; Def56: if (false === is_null($site)) { goto E6b79; } goto dedd0; D75e1: $response = $this->render("\106\x72\x6f\156\164\145\156\x64\57\x53\x69\164\x65\57\143\162\157\x6e\55\152\157\x62\x73\56\150\x74\x6d\154\56\164\167\151\147", ["\163\151\x74\145" => $site, "\x66\157\162\155\x45\162\x72\x6f\x72\163" => $this->formErrors]); goto A3fa3; Ba0e4: return $response; goto F68ba; A4de6: E6b79: goto D75e1; F68ba: } public function newCronJob(Request $request) : Response { goto E47ee; ec15b: b63df: goto c13a9; E47ee: $site = $this->getSite($request); goto B2003; bd721: if (!(false === is_null($response))) { goto d317b; } goto C6afc; b28e1: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto d86b4; B866b: d317b: goto F8d8a; C6afc: return $response; goto B866b; B228f: return $response; goto e06bb; a851f: $form = $this->createCronJobForm($cronJobEntity); goto A8baa; e2824: $form->handleRequest($request); goto bfc47; A8baa: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto b63df; } goto e2824; B650c: goto E6450; goto fd4a2; F8d8a: C58f2: goto ec15b; c13a9: $response = $this->render("\x46\x72\157\156\164\x65\x6e\144\57\123\x69\x74\145\57\156\x65\x77\55\143\162\x6f\156\55\x6a\x6f\x62\56\150\x74\x6d\x6c\56\x74\167\151\147", ["\x73\151\x74\145" => $site, "\146\157\x72\155" => $form->createView(), "\x66\x6f\x72\x6d\x45\x72\162\x6f\162\163" => $this->formErrors]); goto dde5b; B2003: if (false === is_null($site)) { goto C4025; } goto Fef98; d86b4: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto Cd4ac; e9271: $response = $this->handleCronJobForm($request, $form, $site); goto bd721; bfc47: if (!(true === $form->isSubmitted())) { goto C58f2; } goto e9271; Cd4ac: $cronJobEntity->setSite($siteEntity); goto a851f; dde5b: E6450: goto B228f; Fef98: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\164\145\163")); goto B650c; fd4a2: C4025: goto b28e1; e06bb: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto F2d7e; d2df2: $form->add("\x73\x75\142\155\x69\164", SubmitType::class, ["\x61\164\x74\162" => ["\x63\154\141\163\163" => "\x62\164\x6e\x20\x62\164\156\55\x62\x6c\165\x65\40\142\164\156\x2d\154\147"], "\x6c\x61\x62\x65\154" => "\101\144\x64\x20\x43\x72\157\x6e\40\x4a\x6f\x62"]); goto a35ee; d66ce: $form = $this->createForm("\101\160\x70\134\x46\157\162\x6d\134\x53\x69\164\145\103\x72\x6f\x6e\x4a\x6f\142\x54\171\x70\x65", $cronJobEntity, ["\x61\143\164\151\157\156" => $this->generateUrl("\143\154\x70\137\163\151\164\x65\x5f\143\x72\x6f\156\x5f\x6a\157\142\137\156\x65\167", ["\144\157\155\141\x69\x6e\116\141\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\x68\157\x64" => "\x50\x4f\123\124", "\x61\x74\x74\x72" => []]); goto d2df2; F2d7e: $siteEntity = $cronJobEntity->getSite(); goto d66ce; a35ee: return $form; goto d9ea6; d9ea6: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto F193a; dcb2a: Ea338: goto f0b62; Ee97b: try { goto D92f6; bfbfd: return $response; goto d85de; fb9c6: $siteUpdater = $this->getSiteUpdater($site); goto E97a8; C222d: $cronJobEntity = $form->getData(); goto edec1; A1dbb: $this->siteEntityManager->updateEntity($siteEntity); goto fb9c6; e41bc: Eda9e: goto C13d3; a783d: d011b: goto bfbfd; E97a8: $siteUpdater->updateUserCrontab(); goto dd7de; dd7de: $eventData = ["\163\x69\x74\145" => $domainName, "\x63\162\x6f\x6e\x74\141\142\x45\170\x70\x72\145\x73\163\x69\x6f\x6e" => $cronJobEntity->getCrontabExpression()]; goto feccc; D92f6: $session = $request->getSession(); goto f29eb; C13d3: $user = $this->getUser(); goto C222d; edec1: $siteEntity->addCronJob($cronJobEntity); goto B7d18; a1d00: $session->getFlashBag()->set("\x73\165\143\143\145\x73\x73", $this->translator->trans("\103\x72\x6f\x6e\x20\x4a\x6f\142\40\x68\141\163\40\142\145\145\x6e\40\141\144\144\x65\x64\56")); goto a4b61; A0f4b: if (false === is_null($siteEntity)) { goto Eda9e; } goto dd742; A401a: $siteEntity = $this->getSiteEntity($domainName); goto A0f4b; dd742: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\x65\x73")); goto ab266; f29eb: $domainName = $site->getDomainName(); goto A401a; ab266: goto d011b; goto e41bc; feccc: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto a1d00; a4b61: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\x65\137\x63\x72\157\x6e\x5f\x6a\157\142\x73", ["\144\157\155\141\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto a783d; B7d18: $site->setCronJobs($siteEntity->getCronJobs()); goto A1dbb; d85de: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\162", $this->translator->trans("\x41\x6e\x20\x65\162\162\157\162\x20\150\141\x73\40\157\143\143\165\x72\x72\145\x64\x2c\40\x65\162\x72\x6f\x72\40\155\145\x73\x73\x61\147\145\72\40\45\145\x72\x72\x6f\x72\115\x65\x73\x73\x61\x67\145\45", ["\x25\145\x72\x72\x6f\162\x4d\x65\163\x73\141\147\145\45" => $e->getMessage()])); } goto dcb2a; a49bb: $this->formErrors = $this->getErrorMessages($form); goto c123a; Fb0bc: Bf6d0: goto Ee97b; F193a: if (true === $form->isValid()) { goto Bf6d0; } goto a49bb; c123a: goto Ea338; goto Fb0bc; f0b62: } public function deleteCronJob(Request $request) : Response { goto f899f; f899f: $site = $this->getSite($request); goto e3555; B1095: if (!(false === is_null($site))) { goto dd321; } goto e1d29; d9bde: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\x65\163")); goto bc656; e8641: dd321: goto d9bde; bc656: return $response; goto bebba; e1d29: try { goto cda45; a18b5: $evenData = ["\163\151\x74\x65" => $domainName, "\x63\157\155\x6d\x61\156\144" => $cronJobEntity->getCommand()]; goto B930d; C8d05: Eeec1: goto Ee1d6; fe58d: $user = $this->getUser(); goto a5082; Da87d: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto F1130; A432b: $siteEntity = $this->getSiteEntity($domainName); goto Da87d; A27dd: $siteUpdater = $this->getSiteUpdater($site); goto fffc6; D1cdf: $domainName = $site->getDomainName(); goto A432b; E43fa: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\145\137\x63\x72\x6f\156\x5f\x6a\x6f\x62\x73", ["\x64\157\x6d\x61\151\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto b5f9e; d2b4f: $id = (int) $request->get("\x69\x64"); goto D1cdf; fffc6: $siteUpdater->updateUserCrontab(); goto a18b5; B930d: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto b82a7; cda45: $session = $request->getSession(); goto d2b4f; b5f9e: return $response; goto C8d05; Fc5e7: $this->siteEntityManager->updateEntity($siteEntity); goto A27dd; b82a7: $session->getFlashBag()->set("\163\165\143\143\x65\163\x73", $this->translator->trans("\103\x72\157\x6e\40\x4a\x6f\x62\x20\150\x61\163\x20\x62\145\145\x6e\40\144\145\x6c\x65\x74\x65\144\56")); goto E43fa; Ee1d6: F2ae1: goto e7649; a5082: $siteEntity->removeCronJob($cronJobEntity); goto ac232; F1130: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto F2ae1; } goto a2bbe; ac232: $site->setCronJobs($siteEntity->getCronJobs()); goto Fc5e7; a2bbe: $cronJobSiteEntity = $cronJobEntity->getSite(); goto A07d4; A07d4: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto Eeec1; } goto fe58d; e7649: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\101\156\40\145\x72\x72\157\x72\x20\150\x61\163\40\157\x63\x63\x75\162\x72\145\144\x2c\x20\145\162\x72\157\x72\x20\x6d\145\x73\x73\141\147\x65\x3a\40\x25\x65\162\162\157\162\115\145\163\163\x61\147\145\x25", ["\x25\145\162\x72\x6f\162\x4d\x65\163\x73\x61\147\145\45" => $e->getMessage()])); } goto e8641; e3555: $this->checkCsrfToken($request, "\x63\x72\157\x6e\x6a\x6f\142\55\x64\145\x6c\x65\x74\x65"); goto B1095; bebba: } public function editCronJob(Request $request) : Response { goto e3624; B9f1d: D3291: goto ac3a5; bba7a: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto f9884; Ef0e3: goto b6063; goto B9f1d; Def9e: if (!(false === is_null($response))) { goto e406e; } goto d9243; f14e1: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto d6d9b; } goto Adf5e; f9cab: if (!(true === $form->isSubmitted())) { goto Df75c; } goto df2aa; d9243: return $response; goto ba6e0; Ba60a: return $response; goto A41da; Adf5e: $form->handleRequest($request); goto f9cab; df2aa: $response = $this->handleCronJobEditForm($request, $form, $site); goto Def9e; f9884: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto D3291; } goto a8553; e3624: $id = (int) $request->get("\151\144"); goto Dee69; a8553: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\145\163")); goto Ef0e3; E05b2: d6d9b: goto Bc844; d49a7: b6063: goto Ba60a; ba6e0: e406e: goto a991a; Dee69: $site = $this->getSite($request); goto bba7a; Bc844: $response = $this->render("\106\162\157\x6e\164\x65\156\144\x2f\123\151\x74\145\57\x65\x64\151\164\55\x63\x72\x6f\x6e\x2d\152\x6f\142\56\150\164\x6d\x6c\x2e\164\x77\x69\147", ["\x73\x69\x74\145" => $site, "\146\x6f\162\x6d" => $form->createView(), "\146\157\x72\x6d\105\162\162\x6f\x72\163" => $this->formErrors]); goto d49a7; a991a: Df75c: goto E05b2; ac3a5: $form = $this->createCronJobEditForm($cronJobEntity); goto f14e1; A41da: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto b92dd; Dfcd4: $form = $this->createForm("\101\160\160\x5c\x46\157\162\x6d\x5c\123\151\164\145\103\x72\x6f\156\x4a\x6f\142\x45\x64\x69\164\124\x79\160\145", $cronJobEntity, ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\163\x69\x74\145\137\143\162\x6f\156\x5f\152\157\x62\x5f\145\144\151\x74", ["\x64\x6f\155\x61\151\x6e\x4e\x61\155\145" => $siteEntity->getDomainName(), "\151\x64" => $cronJobEntity->getId()]), "\x6d\x65\x74\150\157\x64" => "\x50\117\123\124", "\141\x74\164\162" => []]); goto c5dd0; b92dd: $siteEntity = $cronJobEntity->getSite(); goto Dfcd4; c5dd0: $form->add("\163\165\x62\x6d\151\164", SubmitType::class, ["\141\164\x74\162" => ["\143\154\x61\x73\163" => "\x62\164\x6e\40\x62\x74\156\55\x62\154\165\145\x20\x62\164\x6e\55\x6c\147"], "\154\141\x62\x65\x6c" => "\x53\x61\x76\x65"]); goto ee158; ee158: return $form; goto F1203; F1203: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto cd724; Ff957: $this->formErrors = $this->getErrorMessages($form); goto c1d61; c1d61: goto Fd312; goto Bc7ce; cd724: if (true === $form->isValid()) { goto a9078; } goto Ff957; df075: Fd312: goto b9dc9; fa7af: try { goto aca33; d537c: $siteEntity->addCronJob($cronJobEntity); goto F68f8; a4cc7: $this->siteEntityManager->updateEntity($siteEntity); goto f18d3; B1015: $siteEntity = $this->getSiteEntity($domainName); goto aeab9; Ee5ef: $siteUpdater->updateUserCrontab(); goto Aceab; bb61c: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto A5556; f18d3: $siteUpdater = $this->getSiteUpdater($site); goto Ee5ef; aca33: $session = $request->getSession(); goto D4b66; d8106: return $response; goto a8c09; A5556: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\x73", $this->translator->trans("\x43\x72\x6f\156\x20\x4a\157\x62\40\150\x61\x73\40\x62\x65\145\156\40\x73\141\166\145\144\56")); goto f6e5d; F3263: goto Ea6ff; goto Fd58d; aeab9: if (false === is_null($siteEntity)) { goto Fb848; } goto ef412; E977f: $user = $this->getUser(); goto b0d80; Aceab: $eventData = ["\163\x69\x74\x65" => $domainName, "\143\x72\x6f\x6e\164\141\142\105\x78\x70\x72\145\x73\x73\151\157\156" => $cronJobEntity->getCrontabExpression()]; goto bb61c; D4b66: $domainName = $site->getDomainName(); goto B1015; Fd58d: Fb848: goto E977f; F68f8: $site->setCronJobs($siteEntity->getCronJobs()); goto a4cc7; f6e5d: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\x65\x5f\x63\162\157\x6e\x5f\152\x6f\142\x73", ["\144\157\155\x61\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto bf4f2; b0d80: $cronJobEntity = $form->getData(); goto d537c; bf4f2: Ea6ff: goto d8106; ef412: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\164\145\x73")); goto F3263; a8c09: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\x72", $this->translator->trans("\101\x6e\40\145\x72\162\x6f\162\x20\x68\141\x73\x20\x6f\x63\x63\165\162\x72\x65\x64\54\x20\x65\162\162\157\x72\x20\x6d\145\163\163\x61\147\145\x3a\40\45\x65\x72\162\x6f\162\115\x65\x73\x73\141\147\x65\x25", ["\x25\x65\162\162\157\162\115\x65\163\163\x61\x67\x65\45" => $e->getMessage()])); } goto df075; Bc7ce: a9078: goto fa7af; b9dc9: } public function users(Request $request) : Response { goto f534e; f534e: $site = $this->getSite($request); goto C612c; A40e7: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\x65\163")); goto F0f78; Ffa60: return $response; goto cf70d; F0f78: goto D767e; goto F1a33; A8fc5: $response = $this->render("\x46\162\x6f\x6e\164\145\156\x64\x2f\x53\151\164\x65\57\165\163\145\x72\x73\56\x68\164\155\x6c\x2e\x74\167\x69\x67", ["\163\151\164\x65" => $site, "\x66\157\x72\155\105\162\x72\x6f\x72\163" => $this->formErrors]); goto ee5bc; F1a33: Cb5cb: goto A8fc5; ee5bc: D767e: goto Ffa60; C612c: if (false === is_null($site)) { goto Cb5cb; } goto A40e7; cf70d: } public function newFtpUser(Request $request) : Response { goto Cd486; b326a: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto Dc679; } goto Dd83c; a4658: $response = $this->render("\x46\x72\x6f\156\164\x65\156\144\57\123\151\164\145\57\156\x65\167\55\146\164\160\x2d\165\x73\145\162\x2e\150\164\x6d\x6c\56\164\x77\x69\x67", ["\x73\x69\164\x65" => $site, "\146\157\x72\155" => $form->createView(), "\146\x6f\162\155\105\162\162\x6f\x72\x73" => $this->formErrors]); goto bdd90; A37fd: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\x65\x73")); goto Cb655; e5c8d: d711c: goto F5f70; D62c4: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto Dca1a; f80b2: $form = $this->createFtpUserForm($ftpUserEntity); goto b326a; D4800: if (false === is_null($site)) { goto d711c; } goto A37fd; ccd30: if (!(false === is_null($response))) { goto b063e; } goto D1082; bdd90: e8c04: goto Fc078; Fc078: return $response; goto Ad9b1; ff34d: $response = $this->handleFtpUserForm($request, $form, $site); goto ccd30; D2c56: if (!(true === $form->isSubmitted())) { goto d5a04; } goto ff34d; b5d7a: b063e: goto b017b; Dd1bd: Dc679: goto a4658; Dd83c: $form->handleRequest($request); goto D2c56; D1082: return $response; goto b5d7a; Cd486: $site = $this->getSite($request); goto D4800; F5f70: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto D62c4; Dca1a: $ftpUserEntity->setSite($siteEntity); goto f80b2; b017b: d5a04: goto Dd1bd; Cb655: goto e8c04; goto e5c8d; Ad9b1: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto F9f53; F9f53: $siteEntity = $ftpUserEntity->getSite(); goto cc718; cc718: $form = $this->createForm("\x41\160\x70\134\x46\x6f\162\x6d\134\123\151\x74\x65\x46\164\x70\x55\x73\x65\x72\124\171\x70\x65", $ftpUserEntity, ["\141\x63\x74\151\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\163\151\164\145\x5f\146\164\160\x5f\x75\x73\145\162\x5f\x6e\145\167", ["\x64\x6f\x6d\x61\x69\156\x4e\141\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\x50\x4f\123\x54", "\141\164\164\162" => []]); goto F9206; def42: return $form; goto c8269; F9206: $form->add("\x73\x75\142\x6d\151\x74", SubmitType::class, ["\141\x74\164\x72" => ["\x63\154\x61\163\x73" => "\x62\164\x6e\x20\142\x74\x6e\x2d\142\x6c\165\145\40\142\x74\x6e\x2d\154\147"], "\154\x61\142\x65\x6c" => "\101\144\144\x20\125\163\145\x72"]); goto def42; c8269: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto b058d; a1ac8: $this->formErrors = $this->getErrorMessages($form); goto ca8c7; b058d: if (true === $form->isValid()) { goto ae257; } goto a1ac8; ca8c7: goto fc14b; goto D22e7; e0a2b: fc14b: goto A6503; f7b93: try { goto e7056; a1bab: Dc73b: goto e850b; d09ef: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\x74\x65\x5f\165\163\145\162\x73", ["\144\x6f\x6d\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto D4b39; C1390: $siteEntity->addFtpUser($ftpUserEntity); goto A61ec; Ffd2e: $ftpUserPassword = $form->get("\x70\x61\163\x73\x77\157\x72\x64")->getData(); goto ef44a; ffc37: $ftpUserEntity = $form->getData(); goto Fac3f; e850b: $user = $this->getUser(); goto ffc37; D4b39: d2ca1: goto B58c7; Ed746: $session->getFlashBag()->set("\x73\x75\143\x63\x65\x73\163", $this->translator->trans("\x55\x73\x65\x72\x20\150\x61\163\40\x62\x65\145\156\40\x61\x64\x64\145\x64\x2e")); goto d09ef; C482f: $siteUpdater = $this->getSiteUpdater($site); goto aca10; C6ffd: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto Ed746; C7ed2: goto d2ca1; goto a1bab; B58c7: return $response; goto e8a16; aca10: $siteUpdater->createFtpUser($ftpUserEntity); goto Ebeab; C6943: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\x74\145\163")); goto C7ed2; E08da: if (false === is_null($siteEntity)) { goto Dc73b; } goto C6943; ac80b: $siteEntity = $this->getSiteEntity($domainName); goto E08da; Ebeab: $eventData = ["\x73\x69\164\x65" => $domainName, "\165\163\x65\162\x4e\x61\x6d\145" => $ftpUserName, "\x68\x6f\x6d\145\x44\x69\x72\x65\143\164\x6f\x72\x79" => $ftpUserEntity->getHomeDirectory()]; goto C6ffd; A61ec: $this->siteEntityManager->updateEntity($siteEntity); goto C482f; e7056: $session = $request->getSession(); goto d8c30; d8c30: $domainName = $site->getDomainName(); goto ac80b; ef44a: $ftpUserEntity->setPassword($ftpUserPassword); goto C1390; Fac3f: $ftpUserName = $ftpUserEntity->getUserName(); goto Ffd2e; e8a16: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\x72", $this->translator->trans("\101\156\x20\x65\162\162\x6f\x72\40\x68\x61\163\x20\157\143\x63\165\162\x72\145\144\x2c\x20\145\x72\162\157\162\40\155\145\163\x73\141\x67\145\x3a\x20\x25\x65\x72\x72\157\x72\x4d\x65\x73\163\x61\x67\x65\x25", ["\45\145\x72\x72\157\x72\115\x65\163\x73\141\147\145\x25" => $e->getMessage()])); } goto e0a2b; D22e7: ae257: goto f7b93; A6503: } public function editFtpUser(Request $request) : Response { goto Edca7; c0a6e: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto a0708; a0708: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto C7dbf; } goto Bf82a; b1b51: if (!(false === is_null($response))) { goto d941f; } goto B94d2; bea4f: d941f: goto Ecbbb; Bf82a: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\145\x73")); goto f121d; Eeea4: C7dbf: goto E364e; d9eb2: d8ff1: goto D9a78; F0a9c: $form->handleRequest($request); goto fab3f; B94d2: return $response; goto bea4f; C9b01: $site = $this->getSite($request); goto c0a6e; fab3f: if (!(true === $form->isSubmitted())) { goto a7bee; } goto a6866; c6d11: af332: goto F4e7e; Ecbbb: a7bee: goto c6d11; Fc08b: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto af332; } goto F0a9c; F4e7e: $response = $this->render("\x46\x72\157\x6e\x74\x65\x6e\144\x2f\123\x69\x74\x65\57\x65\144\x69\164\x2d\146\x74\x70\x2d\165\163\x65\x72\x2e\150\x74\155\154\x2e\x74\167\x69\x67", ["\163\151\x74\145" => $site, "\146\x6f\162\155" => $form->createView(), "\146\157\162\155\105\x72\162\157\x72\163" => $this->formErrors]); goto d9eb2; D9a78: return $response; goto fb6c8; Edca7: $userName = $request->get("\165\x73\x65\x72\x4e\141\155\x65"); goto C9b01; f121d: goto d8ff1; goto Eeea4; E364e: $form = $this->createFtpUserEditForm($ftpUserEntity); goto Fc08b; a6866: $response = $this->handleFtpUserEditForm($request, $form, $site); goto b1b51; fb6c8: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto ca6bb; ca6bb: $siteEntity = $ftpUserEntity->getSite(); goto b0496; C0d28: $form->add("\163\x75\x62\x6d\151\164", SubmitType::class, ["\141\164\x74\x72" => ["\x63\154\x61\163\x73" => "\x62\164\x6e\40\x62\164\x6e\55\142\x6c\165\x65\40\142\164\156\55\x6c\147"], "\x6c\141\x62\x65\154" => "\123\x61\166\x65"]); goto a7002; a7002: return $form; goto F69ff; b0496: $form = $this->createForm("\x41\160\x70\134\x46\157\162\x6d\x5c\x53\x69\x74\x65\106\164\160\x55\163\145\x72\105\144\151\164\x54\171\x70\x65", $ftpUserEntity, ["\141\143\164\x69\157\x6e" => $this->generateUrl("\143\x6c\x70\x5f\163\151\164\x65\137\x66\x74\x70\x5f\165\x73\145\x72\137\145\x64\x69\164", ["\x64\x6f\155\x61\151\156\x4e\x61\155\145" => $siteEntity->getDomainName(), "\x75\x73\x65\162\x4e\141\155\145" => $ftpUserEntity->getUserName()]), "\x6d\145\x74\150\x6f\144" => "\120\117\123\x54", "\141\x74\x74\x72" => []]); goto C0d28; F69ff: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto Ec0f6; e3d0d: bd470: goto E4d23; B20d7: $this->formErrors = $this->getErrorMessages($form); goto f8a9d; f8a9d: goto bd470; goto fdc3a; fdc3a: F20e0: goto bdf3d; Ec0f6: if (true === $form->isValid()) { goto F20e0; } goto B20d7; bdf3d: try { goto Caee0; B9ab0: return $response; goto f5037; d037a: acde8: goto aad11; B484b: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto B6c1a; C2cd3: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\145\x5f\x75\x73\x65\x72\x73", ["\x64\x6f\155\x61\x69\156\116\141\155\x65" => $site->getDomainName()])); goto Bba0f; B627e: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto d037a; C5140: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto c8fca; dfcd9: $siteUpdater = $this->getSiteUpdater($site); goto C5140; C064c: $ftpUserPassword = $form->get("\x70\x61\x73\x73\167\x6f\162\x64")->getData(); goto B484b; aad11: $eventData = ["\x73\151\164\145" => $domainName, "\x75\x73\x65\x72\116\x61\x6d\145" => $ftpUserName, "\x68\x6f\155\145\104\151\x72\145\143\x74\157\162\x79" => $ftpUserHomeDirectory]; goto Dd3e4; c472d: goto d2a35; goto F1bc2; Caee0: $session = $request->getSession(); goto ef5c6; F1bc2: c45bd: goto Ae393; B6c1a: $this->siteEntityManager->updateEntity($siteEntity); goto dfcd9; F5d6d: $session->getFlashBag()->set("\x73\x75\143\143\145\163\163", $this->translator->trans("\x55\163\x65\162\40\150\x61\163\x20\x62\x65\x65\x6e\40\x73\141\166\145\x64\x2e")); goto C2cd3; A9a14: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\164\145\163")); goto c472d; c8fca: if (!(false === empty($ftpUserPassword))) { goto acde8; } goto B627e; ca953: $ftpUserName = $ftpUserEntity->getUserName(); goto C064c; Dd3e4: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto F5d6d; E10eb: $siteEntity = $this->getSiteEntity($domainName); goto fbf05; df65c: $ftpUserEntity = $form->getData(); goto ca953; fbf05: if (false === is_null($siteEntity)) { goto c45bd; } goto A9a14; ef5c6: $domainName = $site->getDomainName(); goto E10eb; Bba0f: d2a35: goto B9ab0; Ae393: $user = $this->getUser(); goto df65c; f5037: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\x41\156\x20\145\162\x72\x6f\x72\40\150\141\163\x20\157\x63\x63\x75\x72\162\145\x64\54\40\145\162\x72\157\x72\x20\155\145\x73\x73\141\147\x65\x3a\40\x25\x65\x72\x72\x6f\x72\x4d\x65\x73\163\x61\x67\145\45", ["\x25\145\x72\x72\157\162\115\x65\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto e3d0d; E4d23: } public function deleteFtpUser(Request $request) : Response { goto e5d8f; e5d8f: $site = $this->getSite($request); goto Caab9; e5805: try { goto b6746; b6746: $session = $request->getSession(); goto E0d56; C8917: f3f77: goto ceb9a; a74ba: $evenData = ["\x73\x69\x74\145" => $domainName, "\165\x73\145\162\x4e\x61\155\145" => $userName]; goto E117c; b50ca: return $response; goto e4514; e4514: b4f26: goto C8917; bc1ae: $siteUpdater->deleteUser($userName, false); goto a74ba; A40fe: $siteEntity->removeFtpUser($ftpUserEntity); goto f593f; E159a: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto b4f26; } goto a91a6; B8d60: $domainName = $site->getDomainName(); goto a4020; E117c: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto f0895; f593f: $this->siteEntityManager->updateEntity($siteEntity); goto e8040; e8040: $siteUpdater = $this->getSiteUpdater($site); goto bc1ae; accad: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\145\x5f\165\163\x65\x72\x73", ["\x64\x6f\155\141\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto b50ca; E0d56: $userName = $request->get("\165\x73\x65\162\x4e\141\155\145"); goto B8d60; a9d5b: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto f3f77; } goto bdb3a; a53ab: $userName = $ftpUserEntity->getUserName(); goto A40fe; a91a6: $user = $this->getUser(); goto a53ab; f7e6e: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto a9d5b; bdb3a: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto E159a; a4020: $siteEntity = $this->getSiteEntity($domainName); goto f7e6e; f0895: $session->getFlashBag()->set("\163\165\x63\x63\x65\163\163", $this->translator->trans("\125\x73\145\162\40\150\141\163\40\x62\x65\145\156\x20\144\145\x6c\145\164\145\x64\56")); goto accad; ceb9a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\x65\x72\x72\157\x72\40\x68\x61\163\40\157\143\x63\165\x72\162\145\x64\54\40\x65\162\x72\157\162\x20\x6d\145\163\x73\141\x67\145\72\x20\x25\145\162\162\x6f\x72\x4d\145\x73\x73\x61\147\x65\x25", ["\45\145\x72\x72\157\x72\115\145\163\163\141\x67\145\x25" => $e->getMessage()])); } goto B94d9; C76df: if (!(false === is_null($site))) { goto a0e3a; } goto e5805; f057d: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\145\163")); goto B121a; B121a: return $response; goto B5924; B94d9: a0e3a: goto f057d; Caab9: $this->checkCsrfToken($request, "\x75\x73\x65\x72\55\x64\x65\x6c\x65\x74\x65"); goto C76df; B5924: } public function newSshUser(Request $request) : Response { goto a9c25; C812c: $form = $this->createSshUserForm($sshUserEntity); goto F248f; d618e: c4b8c: goto a9922; A5e3a: if (!(true === $form->isSubmitted())) { goto ceb24; } goto Ddf7a; dd943: if (!(false === is_null($response))) { goto e2da4; } goto D2f6d; a5732: ceb24: goto E4fbf; F248f: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto D009f; } goto ad325; a9c25: $site = $this->getSite($request); goto Fcf09; Ddf7a: $response = $this->handleSshUserForm($request, $form, $site); goto dd943; ad325: $form->handleRequest($request); goto A5e3a; Fcf09: if (false === is_null($site)) { goto F7ceb; } goto A929b; B6fbe: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto b2b03; E6715: e2da4: goto a5732; c8817: $response = $this->render("\x46\x72\157\x6e\164\145\156\144\57\x53\x69\x74\x65\x2f\x6e\x65\x77\55\163\x73\150\55\x75\x73\145\x72\56\x68\x74\x6d\x6c\x2e\x74\x77\151\147", ["\163\151\x74\145" => $site, "\x66\x6f\x72\x6d" => $form->createView(), "\146\157\x72\155\x45\162\162\x6f\x72\x73" => $this->formErrors]); goto d618e; f3705: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto B6fbe; eaa56: F7ceb: goto f3705; a9922: return $response; goto A2a2e; A929b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\x74\x65\x73")); goto Aafb8; D2f6d: return $response; goto E6715; b2b03: $sshUserEntity->setSite($siteEntity); goto C812c; Aafb8: goto c4b8c; goto eaa56; E4fbf: D009f: goto c8817; A2a2e: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto d2d19; d2d19: $siteEntity = $sshUserEntity->getSite(); goto F6540; e00df: $form->add("\x73\165\142\x6d\x69\164", SubmitType::class, ["\141\x74\164\x72" => ["\x63\x6c\x61\163\x73" => "\142\x74\x6e\40\x62\164\156\55\x62\x6c\x75\x65\40\142\x74\x6e\x2d\154\147"], "\x6c\x61\x62\x65\x6c" => "\x41\x64\x64\x20\x55\x73\x65\x72"]); goto Be5c1; F6540: $form = $this->createForm("\x41\x70\160\x5c\x46\x6f\162\x6d\x5c\x53\x69\x74\x65\x53\x73\150\125\163\x65\x72\124\x79\x70\x65", $sshUserEntity, ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\x65\137\x73\163\x68\x5f\x75\x73\145\x72\x5f\x6e\x65\x77", ["\144\157\x6d\x61\x69\x6e\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\150\157\x64" => "\x50\117\123\124", "\141\x74\x74\x72" => []]); goto e00df; Be5c1: return $form; goto d3bbd; d3bbd: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto C739c; C739c: if (true === $form->isValid()) { goto fdce5; } goto ac20b; Bfaa8: goto E1534; goto Fb87a; ac20b: $this->formErrors = $this->getErrorMessages($form); goto Bfaa8; Cf148: try { goto C921c; f7056: $sshUserName = $sshUserEntity->getUserName(); goto B0b12; B431b: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\x65\163")); goto E1ede; B7667: $sshUserEntity->setPassword($sshUserPassword); goto d2bff; a2b4e: $eventData = ["\163\x69\164\145" => $domainName, "\165\163\x65\x72\x4e\x61\155\145" => $sshUserName, "\163\163\x68\113\x65\171\163" => $sshKeys]; goto Cee46; dfafe: dca6c: goto ca9a3; c7329: $siteEntity = $this->getSiteEntity($domainName); goto a9b07; B0b12: $sshUserPassword = $form->get("\160\x61\x73\x73\167\157\x72\x64")->getData(); goto B7667; Ef9d0: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\x65\137\x75\163\145\x72\163", ["\x64\x6f\x6d\x61\151\x6e\116\141\155\145" => $site->getDomainName()])); goto dfafe; b1718: $user = $this->getUser(); goto cd2bd; e4b3e: $session->getFlashBag()->set("\x73\x75\143\x63\145\x73\x73", $this->translator->trans("\125\163\x65\162\40\x68\x61\163\x20\x62\x65\x65\156\x20\x61\144\144\x65\144\x2e")); goto Ef9d0; ce42f: $siteUpdater->createSshUser($sshUserEntity); goto Adef4; E1ede: goto dca6c; goto bec69; C921c: $session = $request->getSession(); goto Efdaa; fbcf7: $this->siteEntityManager->updateEntity($siteEntity); goto bcbf9; a9b07: if (false === is_null($siteEntity)) { goto Df48e; } goto B431b; ca9a3: return $response; goto be7ff; e1196: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto D8ebb; Cee46: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto e4b3e; Adef4: if (!(false === empty($sshKeys))) { goto c3b10; } goto e1196; D8ebb: c3b10: goto a2b4e; cd2bd: $sshUserEntity = $form->getData(); goto f7056; bcbf9: $siteUpdater = $this->getSiteUpdater($site); goto ce42f; bec69: Df48e: goto b1718; Efdaa: $domainName = $site->getDomainName(); goto c7329; d2bff: $sshKeys = $sshUserEntity->getSshKeys(); goto b7b8f; b7b8f: $siteEntity->addSshUser($sshUserEntity); goto fbcf7; be7ff: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\101\x6e\40\145\x72\x72\x6f\162\x20\x68\141\163\x20\x6f\143\143\165\x72\x72\x65\x64\x2c\40\x65\x72\162\x6f\x72\40\155\145\x73\x73\x61\x67\x65\72\x20\45\x65\x72\x72\x6f\162\115\145\163\x73\141\x67\145\x25", ["\45\145\x72\162\x6f\162\x4d\145\163\x73\x61\147\x65\x25" => $e->getMessage()])); } goto c0200; c0200: E1534: goto c1c95; Fb87a: fdce5: goto Cf148; c1c95: } public function editSshUser(Request $request) : Response { goto d8250; ec139: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\164\x65\x73")); goto Afbf4; Fc994: $response = $this->handleSshUserEditForm($request, $form, $site); goto Fe6d3; Bcebd: F229e: goto Bf141; c0339: $site = $this->getSite($request); goto E5b5a; Bf141: $form = $this->createSshUserEditForm($sshUserEntity); goto f1b36; df404: $form->handleRequest($request); goto Ff35e; E5b5a: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto b3012; f1b36: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto cf9f7; } goto df404; fd320: return $response; goto ff2d7; Fe6d3: if (!(false === is_null($response))) { goto fe869; } goto e3e08; Ab347: $response = $this->render("\x46\x72\157\156\164\145\x6e\144\57\x53\x69\164\x65\57\145\x64\x69\164\x2d\163\x73\x68\x2d\x75\163\145\162\56\x68\164\155\154\56\164\167\x69\x67", ["\x73\x69\164\x65" => $site, "\146\x6f\x72\155" => $form->createView(), "\146\x6f\162\155\x45\x72\162\157\x72\163" => $this->formErrors]); goto b5723; e3e08: return $response; goto c19df; d8250: $userName = $request->get("\165\163\x65\162\116\141\155\145"); goto c0339; b3012: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto F229e; } goto ec139; Ff35e: if (!(true === $form->isSubmitted())) { goto D2c46; } goto Fc994; c1609: cf9f7: goto Ab347; Afbf4: goto b89c2; goto Bcebd; c19df: fe869: goto c204f; c204f: D2c46: goto c1609; b5723: b89c2: goto fd320; ff2d7: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto D1705; e3b55: $form->add("\163\165\x62\x6d\151\164", SubmitType::class, ["\x61\164\164\162" => ["\x63\154\x61\163\163" => "\x62\164\156\40\x62\x74\x6e\x2d\142\x6c\165\145\40\142\x74\156\x2d\154\x67"], "\x6c\x61\142\145\154" => "\123\x61\x76\x65"]); goto Ace35; D30c0: $form = $this->createForm("\x41\x70\x70\x5c\x46\157\162\155\134\123\x69\x74\145\x53\x73\150\125\x73\145\x72\x45\144\x69\164\x54\x79\x70\145", $sshUserEntity, ["\141\x63\x74\x69\x6f\156" => $this->generateUrl("\143\x6c\160\x5f\163\151\164\x65\x5f\x73\x73\x68\x5f\165\x73\145\x72\137\x65\x64\151\x74", ["\x64\x6f\x6d\x61\x69\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName(), "\x75\x73\x65\162\x4e\141\155\x65" => $sshUserEntity->getUserName()]), "\155\x65\x74\150\157\144" => "\x50\117\x53\124", "\x61\164\164\162" => []]); goto e3b55; Ace35: return $form; goto Ef93c; D1705: $siteEntity = $sshUserEntity->getSite(); goto D30c0; Ef93c: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto cbbba; Aafed: goto E7b67; goto e15db; c7e33: $this->formErrors = $this->getErrorMessages($form); goto Aafed; Abe83: E7b67: goto Ba9b5; cbbba: if (true === $form->isValid()) { goto F7187; } goto c7e33; dfa7d: try { goto D7831; C60fb: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto B0f80; b4f96: ca9d0: goto e4f2f; a634a: if (!(false === empty($sshUserPassword))) { goto A71e1; } goto F6601; b4040: $session->getFlashBag()->set("\x73\165\x63\143\x65\163\163", $this->translator->trans("\125\163\145\x72\x20\x68\x61\x73\40\x62\x65\x65\x6e\40\x73\x61\166\x65\x64\x2e")); goto af496; aabee: $sshUserName = $sshUserEntity->getUserName(); goto ba91f; F1704: return $response; goto Dcd4b; c3bf7: goto Cae45; goto b4f96; af00a: if (false === is_null($siteEntity)) { goto ca9d0; } goto c552f; ac1ec: $siteUpdater = $this->getSiteUpdater($site); goto a634a; e2855: A71e1: goto Be4e5; cf469: $siteEntity = $this->getSiteEntity($domainName); goto af00a; Cd46f: Cae45: goto F1704; e4f2f: $user = $this->getUser(); goto B23b7; Be4e5: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto f9dc2; B6557: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto b4040; F6601: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto e2855; ba91f: $sshUserPassword = $form->get("\160\141\163\x73\x77\157\x72\x64")->getData(); goto C60fb; c552f: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\x74\x65\x73")); goto c3bf7; D8b46: $domainName = $site->getDomainName(); goto cf469; D7831: $session = $request->getSession(); goto D8b46; af496: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\145\x5f\165\x73\145\x72\163", ["\x64\x6f\155\141\x69\156\x4e\x61\155\x65" => $site->getDomainName()])); goto Cd46f; B0f80: $this->siteEntityManager->updateEntity($siteEntity); goto ac1ec; B23b7: $sshUserEntity = $form->getData(); goto aabee; f9dc2: $eventData = ["\163\x69\164\145" => $domainName, "\x75\x73\x65\162\x4e\141\x6d\145" => $sshUserName, "\163\x73\x68\x4b\x65\x79\x73" => $sshKeys]; goto B6557; Dcd4b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\101\156\x20\x65\x72\162\x6f\162\40\150\x61\163\40\157\x63\143\x75\162\162\145\x64\54\40\145\x72\x72\x6f\162\x20\155\x65\163\x73\141\x67\x65\x3a\x20\x25\145\x72\x72\157\x72\115\x65\163\x73\x61\x67\x65\45", ["\45\x65\x72\162\157\x72\115\x65\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto Abe83; e15db: F7187: goto dfa7d; Ba9b5: } public function deleteSshUser(Request $request) : Response { goto F1f5c; d7772: if (!(false === is_null($site))) { goto b9a07; } goto E4be2; A32ad: b9a07: goto Ef768; E4be2: try { goto e435b; e480b: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto A5971; A5971: $session->getFlashBag()->set("\x73\165\x63\143\x65\163\x73", $this->translator->trans("\x55\x73\x65\x72\40\150\141\x73\40\x62\x65\145\x6e\40\144\145\x6c\145\x74\145\x64\x2e")); goto fc06a; D0b3a: $siteEntity->removeSshUser($sshUserEntity); goto A9a81; dfca1: E1bc5: goto E8c92; f2f9b: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto ec4c5; a85a3: $userName = $sshUserEntity->getUserName(); goto D0b3a; D29bc: $evenData = ["\x73\x69\x74\145" => $domainName, "\165\163\x65\x72\x4e\141\x6d\145" => $userName]; goto e480b; F4d4f: ef87e: goto dfca1; De7c0: $user = $this->getUser(); goto a85a3; A8431: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto ef87e; } goto De7c0; fc06a: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\145\x5f\x75\x73\x65\x72\163", ["\x64\x6f\155\x61\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto C8b69; C8b69: return $response; goto F4d4f; ec4c5: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto E1bc5; } goto cbb6f; b40b1: $domainName = $site->getDomainName(); goto F90f0; cbb6f: $sshUserSiteEntity = $sshUserEntity->getSite(); goto A8431; efcc9: $userName = $request->get("\x75\x73\145\x72\x4e\x61\155\x65"); goto b40b1; Dd524: $siteUpdater->deleteUser($userName, true); goto D29bc; e435b: $session = $request->getSession(); goto efcc9; A9a81: $this->siteEntityManager->updateEntity($siteEntity); goto ea64a; ea64a: $siteUpdater = $this->getSiteUpdater($site); goto Dd524; F90f0: $siteEntity = $this->getSiteEntity($domainName); goto f2f9b; E8c92: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\101\x6e\40\145\162\x72\x6f\x72\x20\150\141\x73\x20\157\x63\143\165\162\x72\x65\144\x2c\x20\145\x72\162\157\x72\x20\155\x65\163\x73\141\147\145\x3a\40\45\145\162\x72\157\162\115\145\163\x73\x61\147\x65\45", ["\45\x65\x72\x72\x6f\162\115\x65\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto A32ad; d7e8f: return $response; goto ff210; F1f5c: $site = $this->getSite($request); goto B1835; B1835: $this->checkCsrfToken($request, "\x75\x73\x65\162\55\x64\x65\x6c\x65\x74\145"); goto d7772; Ef768: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\x65\163")); goto d7e8f; ff210: } public function security(Request $request) : Response { goto F12e0; bbbf7: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto c46d1; F12e0: $site = $this->getSite($request); goto B4b11; Ac485: goto Ba9c7; goto E8a8e; c7c0e: return $response; goto c9dc6; A4d6e: Eed65: goto B8f86; df759: $blockedBots = $site->getBlockedBots(); goto d1ea5; e0757: if (!(true === is_null($basicAuthEntity))) { goto ec1c1; } goto d62c4; d1ea5: $blockedIps = $site->getBlockedIps(); goto Fcf51; Bafe0: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\x65\163")); goto Ac485; D19ee: $basicAuthForm->handleRequest($request); goto f0170; E0899: $response = $this->render("\x46\x72\x6f\156\x74\x65\x6e\144\57\123\x69\x74\x65\x2f\x73\145\143\x75\162\151\x74\x79\56\150\x74\x6d\x6c\56\x74\167\x69\x67", ["\x73\x69\164\x65" => $site, "\x62\154\157\143\153\145\x64\111\x70\163" => $blockedIps, "\x62\x6c\x6f\143\x6b\x65\x64\x42\157\x74\x73" => $blockedBots, "\x62\x61\x73\151\x63\101\165\x74\x68\106\157\162\155" => $basicAuthForm->createView(), "\x63\x6c\x6f\x75\x64\146\x6c\x61\162\x65\106\157\x72\x6d" => $cloudflareForm->createView(), "\146\157\162\155\x45\x72\x72\157\162\x73" => $this->formErrors]); goto E2339; B8f86: b749d: goto fe160; dabe8: $basicAuthEntity->setSite($siteEntity); goto fc3e4; Fcf51: $basicAuthEntity = $site->getBasicAuth(); goto e0757; ff6ba: d938b: goto c8e35; c46d1: if (!(false === is_null($response))) { goto Eed65; } goto c2610; E84b6: if (!(true === $basicAuthForm->isSubmitted())) { goto b749d; } goto bbbf7; Db8b5: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto D0c5e; } goto D19ee; A46ea: $cloudflareData = ["\x61\154\154\157\167\124\162\141\146\146\151\x63\106\162\157\155\x43\154\157\165\x64\146\154\x61\162\145\117\x6e\x6c\171" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto df759; dbf3f: if (!(false === is_null($response))) { goto A2b51; } goto fc034; c8e35: D0c5e: goto E0899; fc034: return $response; goto E7b2a; E8a8e: Ceea1: goto ff04c; B4b11: if (false === is_null($site)) { goto Ceea1; } goto Bafe0; f0170: $cloudflareForm->handleRequest($request); goto E84b6; d62c4: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto E33e1; E7b2a: A2b51: goto ff6ba; fe160: if (!(true === $cloudflareForm->isSubmitted())) { goto d938b; } goto Ec1b8; c2610: return $response; goto A4d6e; ff04c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto A46ea; E2339: Ba9c7: goto c7c0e; E33e1: ec1c1: goto dabe8; fc3e4: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto Bab2a; Ec1b8: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto dbf3f; Bab2a: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto Db8b5; c9dc6: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto c7dc0; e7e8a: return $form; goto bf93f; c7dc0: $form = $this->createForm("\101\160\x70\x5c\x46\x6f\x72\155\x5c\x53\151\164\145\x43\x6c\157\165\x64\x66\154\141\162\x65\x54\171\x70\145", $data, ["\x61\x63\164\151\157\x6e" => $this->generateUrl("\143\154\160\x5f\x73\x69\x74\x65\x5f\x73\145\x63\x75\x72\x69\164\x79", ["\144\157\155\141\151\156\116\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\150\157\144" => "\120\x4f\123\x54", "\x61\x74\164\x72" => []]); goto b599b; b599b: $form->add("\163\x75\142\x6d\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\x63\154\141\163\163" => "\x62\x74\156\x20\142\164\x6e\55\142\x6c\x75\145\40\142\x74\x6e\x2d\154\x67"], "\154\141\x62\x65\x6c" => "\123\141\166\145"]); goto e7e8a; bf93f: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto d2ed2; Cc69c: return $form; goto Df4be; D6048: $form->add("\x73\165\x62\155\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\x63\154\x61\163\x73" => "\x62\x74\156\x20\142\164\156\x2d\x62\154\165\145\40\142\x74\156\x2d\x6c\x67"], "\x6c\x61\x62\145\154" => "\x53\141\x76\x65"]); goto Cc69c; d2ed2: $siteEntity = $basicAuthEntity->getSite(); goto aed1e; aed1e: $form = $this->createForm("\101\160\160\x5c\x46\157\x72\x6d\x5c\123\151\164\145\x42\141\x73\x69\143\x41\165\x74\x68\x54\x79\x70\x65", $basicAuthEntity, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\143\154\160\137\x73\x69\164\x65\x5f\163\x65\x63\165\x72\151\x74\x79", ["\144\x6f\155\141\x69\x6e\x4e\141\155\x65" => $siteEntity->getDomainName()]), "\155\x65\164\150\157\144" => "\x50\117\x53\x54", "\x61\x74\x74\162" => []]); goto D6048; Df4be: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto cb0d4; D25af: $this->formErrors = $this->getErrorMessages($form); goto cf8f4; cb0d4: if (true === $form->isValid()) { goto Af198; } goto D25af; Fbeba: try { goto fb1a0; a9fcf: $basicAuthEntity = $form->getData(); goto c7d04; F7279: goto C0b05; goto c4a0f; b54ac: $siteUpdater = $this->getSiteUpdater($site); goto Cc048; Faa95: C0b05: goto a5310; E82cd: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto ede8a; c7d04: $siteEntity->setBasicAuth($basicAuthEntity); goto Ec7c1; a5310: return $response; goto B3e40; d9e63: $siteUpdater->reloadNginxService(); goto D4b34; eb6b8: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\145\x73")); goto F7279; B92ee: $user = $this->getUser(); goto a9fcf; D4b34: $eventData = ["\x73\x69\164\x65" => $domainName, "\141\x63\164\151\166\x65" => true === $basicAuthEntity->getIsActive() ? "\x31" : "\60", "\x75\163\x65\x72\x4e\x61\x6d\145" => $basicAuthEntity->getUserName(), "\167\x68\151\x74\145\x6c\151\163\x74\x65\x64\111\160\x73" => $basicAuthEntity->getWhitelistedIps()]; goto E82cd; c4a0f: D96c2: goto B92ee; a23bb: $domainName = $site->getDomainName(); goto Ed6e9; fb1a0: $session = $request->getSession(); goto a23bb; a51e7: $this->siteEntityManager->updateEntity($siteEntity); goto b54ac; ede8a: $session->getFlashBag()->set("\x73\x75\x63\143\x65\163\163", $this->translator->trans("\102\141\x73\x69\143\40\x41\x75\164\150\145\156\164\151\x63\x61\x74\151\x6f\156\x20\x73\145\164\x74\151\156\x67\163\x20\150\141\x76\x65\40\x62\145\145\x6e\x20\163\x61\x76\145\144\x2e")); goto ece7b; Ec7c1: $site->setBasicAuth($basicAuthEntity); goto a51e7; Cc048: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto af866; a387d: if (false === is_null($siteEntity)) { goto D96c2; } goto eb6b8; ece7b: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\145\137\163\x65\x63\165\x72\151\x74\x79", ["\x64\x6f\155\x61\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto Faa95; Ed6e9: $siteEntity = $this->getSiteEntity($domainName); goto a387d; af866: $siteUpdater->updateNginxVhost(); goto d9e63; B3e40: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\101\156\x20\145\x72\x72\157\x72\x20\x68\x61\x73\40\x6f\x63\143\165\162\x72\145\144\54\x20\x65\x72\162\x6f\x72\x20\x6d\145\163\x73\141\147\x65\x3a\40\45\145\x72\x72\x6f\162\x4d\145\x73\x73\141\147\x65\x25", ["\45\x65\162\162\157\162\x4d\x65\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto facad; facad: C0599: goto d6c8f; E2000: Af198: goto Fbeba; cf8f4: goto C0599; goto E2000; d6c8f: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto F3967; fdf49: e53f2: goto c66a5; D7075: $this->formErrors = $this->getErrorMessages($form); goto C5f98; b0b05: try { goto d5029; f2a37: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto D4f3e; d5029: $session = $request->getSession(); goto efca8; d3653: $siteUpdater = $this->getSiteUpdater($site); goto c1090; f7a07: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\x65\x5f\163\145\143\165\x72\151\x74\171", ["\144\x6f\155\141\151\156\116\x61\x6d\x65" => $site->getDomainName()])); goto e1594; Aa6a4: $allowTrafficFromCloudflareOnly = $form->get("\141\154\154\x6f\x77\124\162\x61\146\x66\x69\x63\x46\x72\x6f\155\103\x6c\x6f\165\x64\x66\154\141\162\x65\117\x6e\x6c\171")->getData(); goto a18cb; d3b5e: if (false === is_null($siteEntity)) { goto Cd37b; } goto c4f3b; e4cbc: $siteEntity = $this->getSiteEntity($domainName); goto d3b5e; ccd55: $eventData = ["\163\151\164\145" => $domainName, "\141\x6c\154\157\167\124\x72\x61\x66\146\x69\143\x46\x72\x6f\x6d\x43\x6c\157\165\x64\x66\x6c\x61\x72\x65\x4f\156\154\x79" => true === $allowTrafficFromCloudflareOnly ? "\x31" : "\60"]; goto f2a37; D4f3e: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\x73", $this->translator->trans("\103\154\x6f\x75\x64\146\154\x61\162\145\40\163\145\x74\x74\x69\x6e\147\163\x20\x68\x61\166\x65\x20\142\145\145\156\x20\x73\x61\166\x65\144\x2e")); goto f7a07; ba650: Cd37b: goto b81f9; efca8: $domainName = $site->getDomainName(); goto e4cbc; Fe0fe: $siteUpdater->reloadNginxService(); goto ccd55; b81f9: $user = $this->getUser(); goto Aa6a4; e1594: bd727: goto cb0ef; B580f: $this->siteEntityManager->updateEntity($siteEntity); goto d3653; cb0ef: return $response; goto d031f; c4f3b: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\x74\145\x73")); goto D599a; Ae4c0: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto B580f; c1090: $siteUpdater->updateNginxVhost(); goto Fe0fe; D599a: goto bd727; goto ba650; a18cb: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto Ae4c0; d031f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\x41\x6e\x20\145\162\x72\x6f\x72\40\150\x61\163\40\x6f\143\x63\165\x72\x72\x65\144\x2c\40\x65\162\x72\x6f\x72\x20\155\x65\x73\163\141\147\x65\72\x20\45\x65\x72\x72\x6f\162\115\x65\x73\x73\x61\x67\145\x25", ["\45\145\x72\x72\157\x72\115\145\x73\163\x61\x67\x65\x25" => $e->getMessage()])); } goto fdf49; F3967: if (true === $form->isValid()) { goto b46cf; } goto D7075; C5f98: goto e53f2; goto a926a; a926a: b46cf: goto b0b05; c66a5: } public function newBlockedIp(Request $request) : Response { goto b2b3f; Cdce8: if (!(true === $form->isSubmitted())) { goto fbb41; } goto a6631; F35d1: $response = $this->render("\106\x72\x6f\156\164\145\156\x64\57\x53\x69\x74\145\57\x6e\145\167\x2d\x62\x6c\x6f\x63\153\x65\x64\55\151\160\x2e\150\x74\x6d\x6c\x2e\164\167\151\147", ["\x73\151\x74\x65" => $site, "\x66\157\x72\155" => $form->createView(), "\x66\x6f\x72\155\105\x72\162\157\x72\x73" => $this->formErrors]); goto db59c; A998b: $blockedIpEntity->setSite($siteEntity); goto ed31f; ede5c: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\164\x65\x73")); goto a4f4c; edb22: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Aa210; f8958: if (!(false === is_null($response))) { goto B1875; } goto E016a; b2b3f: $site = $this->getSite($request); goto B8c8e; d00e6: E3fae: goto edb22; B3f08: ed501: goto F35d1; B8c8e: if (false === is_null($site)) { goto E3fae; } goto ede5c; C5cf4: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto ed501; } goto e3bfd; Aa210: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto A998b; E016a: return $response; goto ed5b4; ed31f: $form = $this->createBlockedIpForm($blockedIpEntity); goto C5cf4; ed5b4: B1875: goto D3065; a6631: $response = $this->handleBlockedIpForm($request, $form, $site); goto f8958; E56d2: return $response; goto Aa683; D3065: fbb41: goto B3f08; e3bfd: $form->handleRequest($request); goto Cdce8; db59c: E6e8d: goto E56d2; a4f4c: goto E6e8d; goto d00e6; Aa683: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto aeb79; d91a7: $form = $this->createForm("\x41\x70\160\134\x46\x6f\x72\155\134\x53\x69\164\x65\x42\154\x6f\143\153\x65\x64\x49\120\124\x79\x70\x65", $blockedIpEntity, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\143\154\x70\x5f\163\x69\x74\x65\x5f\163\145\x63\165\162\151\164\171\137\142\154\x6f\x63\153\145\x64\x5f\151\x70\x5f\156\x65\x77", ["\x64\x6f\x6d\141\151\x6e\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\x68\157\x64" => "\120\117\x53\x54", "\141\x74\x74\162" => []]); goto d96b5; aeb79: $siteEntity = $blockedIpEntity->getSite(); goto d91a7; d96b5: $form->add("\163\x75\142\x6d\x69\x74", SubmitType::class, ["\141\164\x74\x72" => ["\143\x6c\141\x73\x73" => "\x62\x74\156\x20\x62\x74\156\x2d\x62\x6c\x75\x65\40\142\164\x6e\x2d\154\x67"], "\x6c\x61\142\145\154" => "\x41\144\144\x20\x49\x50"]); goto Bcb66; Bcb66: return $form; goto D7e3d; D7e3d: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto A7616; Efa4b: try { goto D14db; Bd11f: $siteEntity->addBlockedIp($blockedIp); goto A2276; Cadc0: $eventData = ["\x73\x69\x74\145" => $domainName, "\x69\x70" => $blockedIp->getIp()]; goto Eb8da; C294f: $domainName = $site->getDomainName(); goto Cfc42; f100f: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\x73")); goto c0aee; E7fef: $siteUpdater = $this->getSiteUpdater($site); goto E5cc4; D14db: $session = $request->getSession(); goto C294f; A2276: $this->siteEntityManager->updateEntity($siteEntity); goto E7fef; Ce927: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\145\137\x73\x65\143\165\x72\x69\164\171", ["\x64\157\155\x61\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto c8891; Eb8da: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto b0bd1; D61af: if (false === is_null($siteEntity)) { goto a2a46; } goto f100f; Ef1b1: $siteUpdater->reloadNginxService(); goto Cadc0; ddb69: $user = $this->getUser(); goto b1045; E5cc4: $siteUpdater->updateNginxVhost(); goto Ef1b1; b0bd1: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\163", $this->translator->trans("\x49\120\x20\150\x61\x73\x20\x62\145\145\156\40\x61\x64\x64\145\144\56")); goto Ce927; C0840: return $response; goto D4c15; c8891: a9496: goto C0840; Cfc42: $siteEntity = $this->getSiteEntity($domainName); goto D61af; A9fe5: a2a46: goto ddb69; b1045: $blockedIp = $form->getData(); goto Bd11f; c0aee: goto a9496; goto A9fe5; D4c15: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\x41\x6e\x20\145\162\162\157\x72\x20\x68\141\163\x20\x6f\x63\143\x75\162\162\x65\x64\x2c\40\x65\162\162\157\x72\40\x6d\145\x73\x73\x61\147\145\x3a\40\45\145\162\x72\x6f\162\x4d\145\x73\x73\x61\147\145\45", ["\45\145\x72\162\157\x72\115\145\x73\163\141\x67\x65\x25" => $e->getMessage()])); } goto D8d52; D8d52: F0989: goto f8600; B09b2: $this->formErrors = $this->getErrorMessages($form); goto a38f6; a38f6: goto F0989; goto Df7e1; Df7e1: D2326: goto Efa4b; A7616: if (true === $form->isValid()) { goto D2326; } goto B09b2; f8600: } public function deleteBlockedIp(Request $request) : Response { goto Fa9cc; a4223: return $response; goto B9631; C7c1b: $this->checkCsrfToken($request, "\x69\160\55\144\x65\x6c\x65\164\x65"); goto F0e3f; F93de: try { goto B0da8; Ffad1: $eventData = ["\x73\151\164\145" => $domainName, "\x69\x70" => $blockedIpEntity->getIp()]; goto E11f5; D93bd: $siteEntity = $this->getSiteEntity($domainName); goto d9c3d; A7528: $this->siteEntityManager->updateEntity($siteEntity); goto Db2bf; aa3d2: $siteEntity->removeBlockedIp($blockedIpEntity); goto A7528; b4831: $id = (int) $request->get("\x69\144"); goto fb1d3; B0da8: $session = $request->getSession(); goto b4831; d9c3d: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto f7566; c9e97: $siteUpdater->updateNginxVhost(); goto f3412; fb1d3: $domainName = $site->getDomainName(); goto D93bd; Ca95d: $session->getFlashBag()->set("\163\165\x63\x63\145\163\163", $this->translator->trans("\111\x50\x20\150\141\163\40\x62\x65\x65\156\40\144\x65\154\x65\164\145\x64\x2e")); goto F9551; f3412: $siteUpdater->reloadNginxService(); goto Ffad1; d5274: return $response; goto c2bcb; E11f5: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto Ca95d; F9551: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\145\137\163\x65\x63\165\162\x69\x74\x79", ["\144\157\155\141\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto d5274; c2bcb: f6378: goto f9785; Be821: $user = $this->getUser(); goto aa3d2; f7566: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto f6378; } goto Be821; Db2bf: $siteUpdater = $this->getSiteUpdater($site); goto c9e97; f9785: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\162\157\162\x20\x68\141\163\x20\x6f\143\x63\x75\x72\x72\x65\x64\54\x20\x65\162\x72\x6f\162\40\155\x65\x73\x73\x61\x67\145\72\40\45\x65\x72\x72\x6f\x72\115\145\163\x73\x61\x67\x65\45", ["\x25\145\x72\x72\157\x72\x4d\145\163\163\141\x67\x65\45" => $e->getMessage()])); } goto c2ef8; c7651: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\145\x73")); goto a4223; c2ef8: Fc58a: goto c7651; Fa9cc: $site = $this->getSite($request); goto C7c1b; F0e3f: if (!(false === is_null($site))) { goto Fc58a; } goto F93de; B9631: } public function newBlockedBot(Request $request) : Response { goto eac2a; Cce50: f1aab: goto c714b; fc9cc: if (!(false === is_null($response))) { goto cf140; } goto D6fce; D6fce: return $response; goto f9011; e6889: $response = $this->handleBlockedBotForm($request, $form, $site); goto fc9cc; e0a27: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto D0d24; Fa966: $form = $this->createBlockedBotForm($blockedBotEntity); goto Ca0c2; F8864: $response = $this->render("\106\162\x6f\x6e\x74\x65\156\x64\57\x53\151\x74\x65\57\156\145\x77\55\x62\154\157\143\x6b\145\x64\55\142\157\164\x2e\150\x74\x6d\x6c\56\x74\x77\151\147", ["\163\x69\164\x65" => $site, "\146\157\162\155" => $form->createView(), "\x66\x6f\162\155\105\162\x72\x6f\x72\163" => $this->formErrors]); goto Ebf06; ebd0f: $form->handleRequest($request); goto f5659; eac2a: $site = $this->getSite($request); goto Be57f; c832e: A0f03: goto Fda6d; f5659: if (!(true === $form->isSubmitted())) { goto f1aab; } goto e6889; Be57f: if (false === is_null($site)) { goto A0f03; } goto e6e00; D0d24: $blockedBotEntity->setSite($siteEntity); goto Fa966; Fda6d: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto e0a27; f9011: cf140: goto Cce50; e6e00: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\x65\163")); goto f886e; C9ef2: return $response; goto F6742; f886e: goto Bc6bc; goto c832e; c714b: d2005: goto F8864; Ca0c2: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto d2005; } goto ebd0f; Ebf06: Bc6bc: goto C9ef2; F6742: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto a4c34; a6df5: return $form; goto f365c; B150c: $form = $this->createForm("\101\x70\160\134\x46\157\x72\155\x5c\123\x69\164\145\x42\154\x6f\143\153\x65\x64\x42\x6f\164\x54\x79\160\145", $blockedBotEntity, ["\141\143\164\x69\x6f\156" => $this->generateUrl("\x63\x6c\x70\x5f\163\151\164\145\x5f\x73\x65\x63\165\x72\151\x74\x79\137\x62\154\x6f\143\x6b\145\144\137\x62\157\164\137\156\x65\167", ["\144\157\155\141\151\x6e\116\x61\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\164\x68\x6f\144" => "\x50\x4f\123\x54", "\x61\x74\x74\x72" => []]); goto A8121; A8121: $form->add("\163\x75\x62\x6d\151\x74", SubmitType::class, ["\141\164\164\162" => ["\143\154\x61\x73\x73" => "\x62\164\156\x20\142\164\x6e\55\142\x6c\x75\145\40\142\164\x6e\55\154\x67"], "\154\141\x62\145\x6c" => "\101\x64\144\40\x42\157\x74"]); goto a6df5; a4c34: $siteEntity = $blockedBotEntity->getSite(); goto B150c; f365c: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto b532a; e5968: B4ff5: goto Bf0d3; ff122: A35ef: goto ac884; b532a: if (true === $form->isValid()) { goto A35ef; } goto A590c; A590c: $this->formErrors = $this->getErrorMessages($form); goto Ad08d; ac884: try { goto b2f19; B6ea5: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto Fc677; b2f19: $session = $request->getSession(); goto a4538; B4025: $siteUpdater = $this->getSiteUpdater($site); goto E4473; E4473: $siteUpdater->updateNginxVhost(); goto d1d09; ad360: $user = $this->getUser(); goto df6ed; Dbfb4: return $response; goto F3e17; a4c43: A7dfc: goto Dbfb4; f241f: $this->siteEntityManager->updateEntity($siteEntity); goto B4025; a59f7: $siteEntity->addBlockedBot($blockedBot); goto f241f; C5675: goto A7dfc; goto B7f38; df6ed: $blockedBot = $form->getData(); goto a59f7; Ebc92: $siteEntity = $this->getSiteEntity($domainName); goto ab232; a4538: $domainName = $site->getDomainName(); goto Ebc92; d1d09: $siteUpdater->reloadNginxService(); goto bba46; bba46: $eventData = ["\x73\151\x74\x65" => $domainName, "\x6e\141\155\x65" => $blockedBot->getName()]; goto B6ea5; ab232: if (false === is_null($siteEntity)) { goto d954f; } goto B5dbf; Fc677: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\x73", $this->translator->trans("\x42\157\x74\40\x68\x61\163\40\x62\145\145\156\x20\x61\x64\x64\145\144\56")); goto d6eeb; B7f38: d954f: goto ad360; B5dbf: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\145\163")); goto C5675; d6eeb: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\145\x5f\x73\x65\143\165\x72\151\x74\x79", ["\144\157\x6d\141\151\156\116\141\155\145" => $site->getDomainName()])); goto a4c43; F3e17: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\x72", $this->translator->trans("\x41\x6e\x20\145\x72\162\157\x72\x20\150\141\x73\40\157\143\143\x75\x72\x72\145\x64\x2c\x20\145\x72\x72\157\162\40\x6d\x65\x73\163\x61\147\x65\72\x20\45\x65\162\x72\157\162\x4d\x65\163\x73\141\147\145\x25", ["\x25\145\162\162\157\x72\x4d\x65\x73\163\x61\x67\145\45" => $e->getMessage()])); } goto e5968; Ad08d: goto B4ff5; goto ff122; Bf0d3: } public function deleteBlockedBot(Request $request) : Response { goto cf866; C2079: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\145\163")); goto Fd000; F156b: try { goto dc04e; dc04e: $session = $request->getSession(); goto Defda; Defda: $id = (int) $request->get("\151\144"); goto a18ff; edf57: E2f7e: goto d0f23; E0bf8: $siteEntity->removeBlockedBot($blockedBotEntity); goto C95e8; C98f6: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto aef8d; Fe8e6: $siteUpdater = $this->getSiteUpdater($site); goto B5e50; Bbaf4: $siteEntity = $this->getSiteEntity($domainName); goto C98f6; B5e50: $siteUpdater->updateNginxVhost(); goto da776; C95e8: $this->siteEntityManager->updateEntity($siteEntity); goto Fe8e6; aef8d: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto E2f7e; } goto Ac410; Ac410: $user = $this->getUser(); goto E0bf8; A3c3e: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\163", $this->translator->trans("\102\157\164\40\150\141\x73\40\142\x65\145\156\x20\x64\145\x6c\145\x74\145\144\x2e")); goto c4f39; c4f39: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\137\163\145\143\x75\162\x69\164\x79", ["\x64\157\x6d\141\x69\x6e\x4e\141\155\145" => $site->getDomainName()])); goto E931a; E931a: return $response; goto edf57; da776: $siteUpdater->reloadNginxService(); goto C8bae; a18ff: $domainName = $site->getDomainName(); goto Bbaf4; C8bae: $eventData = ["\x73\151\x74\x65" => $domainName, "\156\141\x6d\145" => $blockedBotEntity->getName()]; goto F6075; F6075: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto A3c3e; d0f23: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\x72", $this->translator->trans("\x41\x6e\x20\145\x72\162\157\x72\40\x68\x61\163\x20\x6f\x63\143\x75\x72\x72\145\x64\54\x20\145\x72\162\157\162\x20\155\x65\163\x73\141\x67\x65\72\40\45\145\162\x72\157\x72\x4d\145\x73\x73\141\147\x65\45", ["\x25\145\x72\x72\x6f\x72\x4d\x65\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto df095; e29f5: $this->checkCsrfToken($request, "\x62\157\164\x2d\x64\145\154\145\x74\x65"); goto dc0c5; Fd000: return $response; goto Fa8f4; dc0c5: if (!(false === is_null($site))) { goto Ffd31; } goto F156b; cf866: $site = $this->getSite($request); goto e29f5; df095: Ffd31: goto C2079; Fa8f4: } public function certificates(Request $request) : Response { goto E9611; f57be: c28fd: goto dba18; Ff0ad: $certificates = $site->getCertificates(); goto B00c8; dba18: return $response; goto be0ef; d3c77: if (false === is_null($site)) { goto Ec4aa; } goto d2fed; B0d84: Ec4aa: goto E821b; d2fed: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\x73")); goto ef343; B00c8: $response = $this->render("\x46\162\157\156\x74\145\x6e\144\57\x53\151\164\x65\57\x63\x65\162\164\151\x66\151\143\141\x74\145\x73\56\150\x74\x6d\x6c\56\x74\167\x69\x67", ["\163\x69\164\x65" => $site, "\x69\x6e\x73\x74\141\x6c\154\x65\x64\103\x65\162\164\151\x66\x69\143\141\164\145" => $installedCertificate, "\143\x65\162\x74\151\x66\151\143\141\164\145\163" => $certificates]); goto f57be; ef343: goto c28fd; goto B0d84; E821b: $installedCertificate = $site->getCertificate(); goto Ff0ad; E9611: $site = $this->getSite($request); goto d3c77; be0ef: } public function importCertificate(Request $request) : Response { goto cdfcf; E0dfc: $certificateEntity->setSite($siteEntity); goto B183e; cdfcf: $site = $this->getSite($request); goto dd9fa; c792d: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\x65\163")); goto dfa73; e40c3: $certificateEntity = $this->certificateEntityManager->createEntity(); goto A8189; d9763: c0b71: goto d7a2f; A552c: B5c7a: goto ed012; d7a2f: $response = $this->render("\106\x72\157\x6e\x74\x65\156\x64\57\x53\151\x74\145\57\x69\x6d\x70\x6f\162\164\55\143\x65\x72\164\151\x66\151\x63\141\164\x65\x2e\150\164\155\154\56\164\x77\151\x67", ["\x73\151\164\x65" => $site, "\146\157\162\155" => $form->createView(), "\x66\157\x72\x6d\105\162\x72\157\162\163" => $this->formErrors]); goto f7956; dd9fa: if (false === is_null($site)) { goto b64be; } goto c792d; Ad7e7: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto c0b71; } goto Bba01; ed012: A99c1: goto d9763; Ec705: b64be: goto b9f0e; Bba01: $form->handleRequest($request); goto bb7f5; d7c64: $response = $this->handleImportCertificateForm($request, $form, $site); goto fbd44; A8189: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto E0dfc; f7956: ad079: goto E5c02; dfa73: goto ad079; goto Ec705; B183e: $form = $this->createImportCertificateForm($certificateEntity); goto Ad7e7; bb7f5: if (!(true === $form->isSubmitted())) { goto A99c1; } goto d7c64; b9f0e: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto e40c3; E5c02: return $response; goto C76ef; Aa12e: return $response; goto A552c; fbd44: if (!(false === is_null($response))) { goto B5c7a; } goto Aa12e; C76ef: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto Cc0f7; D9885: $form->add("\x73\x75\x62\x6d\151\x74", SubmitType::class, ["\141\x74\x74\162" => ["\x63\x6c\x61\x73\163" => "\142\164\x6e\40\x62\x74\x6e\55\x62\154\x75\x65\x20\x62\164\156\x2d\154\147"], "\x6c\141\x62\x65\x6c" => "\x49\x6d\160\x6f\162\x74\40\141\x6e\x64\40\x49\x6e\163\164\141\154\154"]); goto Fb728; Fd5e0: $form = $this->createForm("\x41\160\160\x5c\x46\x6f\x72\x6d\x5c\x53\151\x74\x65\x49\x6d\160\x6f\x72\164\x43\145\x72\164\x69\146\x69\143\x61\x74\x65\124\x79\x70\x65", $certificateEntity, ["\141\x63\164\151\157\156" => $this->generateUrl("\143\154\x70\137\163\151\x74\145\137\143\x65\162\164\x69\146\151\x63\141\164\x65\137\x69\155\160\157\x72\x74", ["\x64\x6f\155\141\x69\156\116\141\x6d\145" => $siteEntity->getDomainName()]), "\155\145\x74\x68\157\144" => "\120\x4f\123\124", "\x61\164\164\162" => []]); goto D9885; Fb728: return $form; goto aeddf; Cc0f7: $siteEntity = $certificateEntity->getSite(); goto Fd5e0; aeddf: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto f6bf9; f6bf9: if (true === $form->isValid()) { goto add60; } goto A8d8d; A8d8d: $this->formErrors = $this->getErrorMessages($form); goto ba75c; ffc11: try { goto Dc724; d4fe5: $siteEntity = $this->getSiteEntity($domainName); goto D383b; d196e: $user = $this->getUser(); goto C3179; A2157: $siteEntity->setCertificate($certificateEntity); goto f367f; Ba9b0: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\x73", $this->translator->trans("\x43\145\162\x74\151\146\x69\x63\141\164\145\40\150\x61\163\x20\142\x65\145\156\x20\x69\156\163\164\x61\x6c\154\145\x64\56")); goto c517f; D4648: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\x65\x73")); goto ef505; ef505: goto e93bf; goto C6a54; c517f: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x5f\x63\145\x72\x74\x69\x66\x69\143\141\x74\x65\x73", ["\x64\x6f\155\141\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto f0646; C6a54: fddf5: goto d196e; f0646: e93bf: goto C066e; E436a: $evenData = ["\x73\x69\164\x65" => $domainName]; goto f695e; f367f: $siteEntity->addCertificate($certificateEntity); goto c7fb2; Dc724: $session = $request->getSession(); goto Ad502; f695e: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto Ba9b0; c7fb2: $this->siteEntityManager->updateEntity($siteEntity); goto E436a; D383b: if (false === is_null($siteEntity)) { goto fddf5; } goto D4648; fed2f: $siteUpdater = $this->getSiteUpdater($site); goto D9ae3; D9ae3: $siteUpdater->installCertificate($certificateEntity); goto A2157; C066e: return $response; goto C497d; Ad502: $domainName = $site->getDomainName(); goto d4fe5; C3179: $certificateEntity = $form->getData(); goto fed2f; C497d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\101\156\x20\145\162\162\157\162\x20\x68\x61\x73\40\x6f\143\143\165\x72\162\145\x64\54\x20\x65\x72\162\157\162\40\155\x65\x73\x73\141\147\145\x3a\40\45\145\x72\x72\x6f\x72\115\145\x73\x73\x61\147\145\x25", ["\x25\145\x72\x72\157\162\115\x65\163\163\x61\x67\145\x25" => $e->getMessage()])); } goto ef416; ef416: Ac26e: goto Dcd27; ba75c: goto Ac26e; goto f0e4a; f0e4a: add60: goto ffc11; Dcd27: } public function newLetsEncryptCertificate(Request $request) : Response { goto B8a97; D7df6: if (!(true === $form->isSubmitted())) { goto dbb0c; } goto bc7e6; bc7e6: $domains = (array) $request->get("\144\157\155\141\151\156\163"); goto A52f1; D753c: goto fbb20; goto fb08d; add8b: $form->handleRequest($request); goto D7df6; f5f88: if (true === is_null($subdomain) || "\167\167\x77" == $subdomain) { goto D29e2; } goto d6ecc; ff425: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto B5a1a; f258f: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto Df55f; Ceee2: $subdomain = false === empty($subdomain) ? $subdomain : null; goto f5f88; dd914: A54ef: goto A1064; B684a: c633f: goto De8d0; A52f1: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto ac06e; Fec99: b82d5: goto cfc6b; e9d84: $domains = array_unique($domains); goto f258f; A1064: return $response; goto fcd56; Ef7e6: if (true === $request->isMethod("\120\x4f\123\x54")) { goto B2206; } goto fe7e4; d14db: goto b7d62; goto Bd8b4; f6ccf: $form = $this->createLetsEncryptCertificateForm($domainName); goto f3ce8; Bd556: fbb20: goto d14db; Bd8b4: B2206: goto add8b; D2057: $domains = [$registrableDomain, sprintf("\x77\167\x77\x2e\x25\x73", $registrableDomain)]; goto Bd556; De8d0: $domainName = $site->getDomainName(); goto f6ccf; a84aa: return $response; goto Fec99; ac06e: $domains = array_map("\x74\162\x69\155", $domains); goto e9d84; D8ea0: b7d62: goto F86ee; f3ce8: $domains = []; goto Ef7e6; Df55f: if (!(false === is_null($response))) { goto b82d5; } goto a84aa; F86ee: $response = $this->render("\106\x72\x6f\156\164\145\156\x64\57\123\151\x74\145\57\x6e\145\x77\x2d\154\145\164\163\55\145\156\x63\162\171\160\164\55\143\x65\162\164\x69\146\x69\x63\x61\x74\145\x2e\150\x74\155\154\x2e\x74\x77\151\147", ["\x73\151\164\x65" => $site, "\144\157\x6d\x61\x69\x6e\x73" => $domains, "\x66\x6f\x72\155" => $form->createView(), "\146\157\162\155\105\x72\x72\157\x72\163" => $this->formErrors]); goto dd914; d6ecc: $domains = [$domainName]; goto D753c; Af003: goto A54ef; goto B684a; fb08d: D29e2: goto D2057; d6470: if (false === is_null($site)) { goto c633f; } goto b94b1; B8a97: $site = $this->getSite($request); goto d6470; cfc6b: dbb0c: goto D8ea0; b94b1: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\x65\163")); goto Af003; B5a1a: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Ceee2; fe7e4: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto ff425; fcd56: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto E3239; E3239: $form = $this->createForm("\x41\x70\160\134\106\x6f\x72\x6d\x5c\x53\x69\164\145\x4c\x65\x74\x73\x45\x6e\x63\x72\x79\160\164\x43\x65\162\x74\151\x66\x69\x63\141\164\145\124\x79\x70\x65", [], ["\141\x63\x74\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\x65\x5f\x6c\x65\164\x73\x5f\x65\156\x63\162\171\160\164\x5f\x63\145\x72\x74\151\146\151\x63\x61\164\145\137\x6e\x65\167", ["\x64\x6f\x6d\x61\x69\x6e\x4e\141\x6d\145" => $domainName]), "\155\145\164\150\157\144" => "\x50\117\x53\x54", "\141\x74\x74\x72" => ["\151\x64" => "\143\162\145\141\164\x65\x2d\154\145\x74\x73\x2d\x65\156\143\162\x79\x70\164\x2d\x63\x65\162\x74\151\146\151\143\141\164\x65\x2d\x66\x6f\x72\x6d"]]); goto fcfbd; fcfbd: $form->add("\163\x75\x62\155\151\x74", SubmitType::class, ["\141\164\164\162" => ["\143\x6c\x61\x73\x73" => "\x62\x74\156\40\142\164\x6e\55\x62\x6c\165\x65\x20\x62\164\156\x2d\154\x67"], "\x6c\141\142\145\x6c" => "\x43\162\x65\x61\164\x65\x20\141\156\x64\x20\x49\x6e\x73\164\x61\154\154"]); goto f8a44; f8a44: return $form; goto A6175; A6175: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto D3afd; Fe2a9: $this->formErrors = $this->getErrorMessages($form); goto bf41c; D3afd: if (!(true === $form->isValid())) { goto fa5ba; } goto Ae831; D0832: fa5ba: goto Fe2a9; Ae831: try { goto c615d; C7d86: $siteUpdater = $this->getSiteUpdater($site); goto Edb40; B9403: $letsEncryptClient->setDryRun(true); goto ac029; C2f2a: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\x73\x3a\x20\45\x73", $domain, $validationErrorMessage))); b718a: } goto a2382; Ddf78: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\163", $this->translator->trans("\x43\x65\x72\164\x69\x66\151\143\141\164\145\40\150\x61\x73\40\142\145\x65\156\x20\x69\156\163\x74\141\154\154\x65\x64\56")); goto fba3d; ada4b: $siteEntity->setCertificate($certificateEntity); goto e67b7; D528f: $domainName = $site->getDomainName(); goto e884d; a8d42: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto Dfe5c; F3b31: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\145\x73")); goto a8860; c615d: $session = $request->getSession(); goto D528f; Be90f: Bd541: goto c4f73; F1147: $letsEncryptPrivateKey = $this->configManager->get("\154\145\x5f\160\x72\x69\x76\141\x74\x65\137\153\145\171"); goto cc763; Ff55e: $siteUpdater = $this->getSiteUpdater($site); goto a8d42; d90cb: $rsaKeyGenerator = new RsaKeyGenerator(); goto E3aab; e0704: $certificateEntity->setSite($siteEntity); goto b33cc; dafdb: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto bee52; bee52: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto Be90f; Bd9d3: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto d9ebd; Da239: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto d48ab; Fb40e: $evenData = ["\163\x69\x74\x65" => $domainName]; goto A9958; E3aab: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Ac2d3; f9ca0: e8b97: goto cda2c; c10cb: if (false === is_null($siteEntity)) { goto Fe2a4; } goto F3b31; e67b7: $siteEntity->addCertificate($certificateEntity); goto f46dc; e254c: return $response; goto a82dc; e3854: $csr = $csrGenerator->generate(); goto Da239; a82dc: e68b1: goto A340b; cc763: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto E93b8; ac029: $letsEncryptClient->registerAccount(); goto c6b48; Adabc: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto E69fa; c4f73: if (true === empty($validationErrors)) { goto e8b97; } goto C2f2a; dc9d4: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto d90cb; c6b48: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto Ff55e; Ac2d3: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto e3854; A4840: $letsEncryptClient->registerAccount(); goto bb466; E69fa: $siteUpdater = $this->getSiteUpdater($site); goto C26ef; fba3d: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\164\x65\x5f\143\x65\162\x74\x69\146\151\x63\141\164\145\163", ["\x64\x6f\155\141\151\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto e254c; d1b3e: $user = $this->getUser(); goto F1147; d9ebd: $certificateEntity->setCertificate($certificate->getCertificate()); goto Adabc; E93b8: $letsEncryptClient = new LetsEncryptClient($privateKey); goto B9403; b33cc: $certificateEntity->setCsr($certificate->getCsr()); goto Bd9d3; A340b: f75b1: goto f1696; a87b9: $commonName = array_shift($distinguishedNameDomains); goto dc9d4; cda2c: $distinguishedNameDomains = $domains; goto a87b9; be713: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto Fe3c4; bb139: $letsEncryptClient = new LetsEncryptClient($privateKey); goto A4840; C26ef: $siteUpdater->installCertificate($certificateEntity); goto ada4b; Dfe5c: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto be713; e884d: $siteEntity = $this->getSiteEntity($domainName); goto c10cb; bfd2b: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto e0704; A9958: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto Ddf78; F1ca6: Fe2a4: goto d1b3e; D9844: goto e68b1; goto f9ca0; Fe3c4: if (!(true === empty($validationErrors))) { goto Bd541; } goto bb139; bb466: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto C7d86; a2382: E1059: goto D9844; C7aa5: goto f75b1; goto F1ca6; f46dc: $this->siteEntityManager->updateEntity($siteEntity); goto Fb40e; a8860: return $response; goto C7aa5; d48ab: $certificateEntity = $this->certificateEntityManager->createEntity(); goto bfd2b; Edb40: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto dafdb; f1696: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\x72", $this->translator->trans("\101\156\x20\x65\162\162\157\x72\40\x68\141\x73\40\157\143\x63\x75\162\162\x65\144\x2c\40\x65\x72\x72\x6f\x72\40\x6d\145\x73\163\x61\147\x65\72\40\x25\x65\x72\x72\x6f\x72\x4d\145\x73\163\x61\x67\x65\45", ["\x25\x65\x72\162\x6f\162\x4d\145\x73\x73\x61\147\x65\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto B18bf; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); B18bf: } goto D0832; bf41c: } public function installCertificate(Request $request) : Response { goto D067f; D067f: $site = $this->getSite($request); goto E6550; Cfc7c: return $response; goto Ef8e0; E6550: if (!(false === is_null($site))) { goto E180d; } goto d725d; f63d0: E180d: goto Dd962; Dd962: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\145\x73")); goto Cfc7c; d725d: try { goto a98b1; d56c6: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto a4675; e5ed5: $siteEntity->setCertificate($certificateEntity); goto A7e2a; a98b1: $session = $request->getSession(); goto C2bed; B448c: $user = $this->getUser(); goto ba886; ba886: $siteUpdater = $this->getSiteUpdater($site); goto b7a23; c03b0: $certificateSiteEntity = $certificateEntity->getSite(); goto f7e10; D8b91: $siteEntity = $this->getSiteEntity($domainName); goto d56c6; D758f: $evenData = ["\163\151\164\x65" => $domainName]; goto A8f55; C2bed: $uid = $request->get("\x75\151\144"); goto a257a; Cdf13: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\145\x5f\143\x65\162\164\151\x66\x69\x63\x61\x74\x65\x73", ["\144\x6f\x6d\x61\151\156\116\x61\x6d\145" => $site->getDomainName()])); goto f7e47; A8f55: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto b9667; c89fd: e6f68: goto c41d3; A7e2a: $this->siteEntityManager->updateEntity($siteEntity); goto D758f; a257a: $domainName = $site->getDomainName(); goto D8b91; f7e10: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto Cc8f5; } goto B448c; a4675: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto e6f68; } goto c03b0; b9667: $session->getFlashBag()->set("\163\165\x63\143\x65\x73\x73", $this->translator->trans("\103\x65\162\164\x69\146\151\143\x61\164\x65\40\x68\x61\x73\40\142\145\x65\156\40\x69\156\x73\x74\x61\154\x6c\x65\x64\x2e")); goto Cdf13; b7a23: $siteUpdater->installCertificate($certificateEntity); goto e5ed5; D7f5c: Cc8f5: goto c89fd; f7e47: return $response; goto D7f5c; c41d3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\145\x72\x72\157\162\40\150\141\163\40\157\143\143\x75\162\x72\x65\144\54\x20\x65\x72\162\157\162\x20\155\x65\x73\163\141\147\x65\72\40\x25\x65\x72\162\x6f\162\115\145\163\163\x61\147\x65\x25", ["\45\x65\162\x72\x6f\x72\x4d\145\x73\163\141\x67\x65\x25" => $e->getMessage()])); } goto f63d0; Ef8e0: } public function deleteCertificate(Request $request) : Response { goto e5e00; Ad4d3: $this->checkCsrfToken($request, "\x63\145\162\x74\151\x66\x69\x63\x61\x74\145\55\x64\145\x6c\145\x74\x65"); goto b6096; b46e3: Ec384: goto Db933; Db933: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\x74\145\163")); goto c7289; e5e00: $site = $this->getSite($request); goto Ad4d3; c7289: return $response; goto E709a; b6096: if (!(false === is_null($site))) { goto Ec384; } goto D26f0; D26f0: try { goto D1ae0; c2c08: Fa10f: goto ebf7e; A0b47: $siteEntity->removeCertificate($certificateEntity); goto D9806; A443a: $domainName = $site->getDomainName(); goto b0fce; fd0d9: return $response; goto c2c08; D9806: $this->siteEntityManager->updateEntity($siteEntity); goto c7308; f0bdc: $certificateSiteEntity = $certificateEntity->getSite(); goto Fe11c; Df434: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto Da92b; } goto f0bdc; ebf7e: Da92b: goto Ea71b; b8042: $uid = $request->get("\165\x69\x64"); goto A443a; A8058: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\x65\137\143\x65\162\x74\151\146\151\143\141\164\145\163", ["\x64\x6f\155\x61\151\x6e\116\x61\155\x65" => $site->getDomainName()])); goto fd0d9; B6a7c: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto Bcd81; b0fce: $siteEntity = $this->getSiteEntity($domainName); goto Fc580; c7308: $evenData = ["\163\x69\x74\145" => $domainName]; goto B6a7c; Fc580: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto Df434; Fe11c: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto Fa10f; } goto c7fa1; c7fa1: $user = $this->getUser(); goto A0b47; D1ae0: $session = $request->getSession(); goto b8042; Bcd81: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\163", $this->translator->trans("\103\145\x72\x74\151\x66\151\x63\141\x74\x65\x20\150\141\163\40\142\x65\x65\156\x20\144\145\x6c\145\164\x65\x64\56")); goto A8058; Ea71b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\101\156\x20\x65\x72\x72\157\162\x20\150\x61\x73\x20\x6f\143\x63\165\162\162\x65\144\54\x20\x65\162\162\x6f\162\x20\155\x65\x73\x73\x61\x67\x65\x3a\40\x25\x65\162\162\x6f\162\115\145\x73\x73\x61\147\x65\45", ["\x25\x65\162\162\157\162\115\145\x73\163\141\x67\145\45" => $e->getMessage()])); } goto b46e3; E709a: } public function databases(Request $request) : Response { goto d9eaa; a22f5: if (false === is_null($site)) { goto E4796; } goto e28d0; Eed82: E4796: goto ab0a4; D7c1f: $response = $this->render("\x46\162\x6f\x6e\164\x65\x6e\x64\57\x53\151\x74\x65\57\x64\141\x74\141\x62\x61\x73\145\163\x2e\x68\164\x6d\154\56\164\167\151\x67", ["\x73\151\164\145" => $site, "\x64\141\x74\x61\x62\141\163\145\x73" => $databases, "\x6e\165\155\142\145\162\117\x66\x44\x61\x74\x61\142\x61\163\145\x55\163\145\162\x73" => $numberOfDatabaseUsers, "\144\141\x74\141\142\141\x73\145\123\x65\162\x76\145\162" => $databaseServerEntity]); goto ead1d; d9eaa: $site = $this->getSite($request); goto a22f5; a76b6: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); Ccb85: } goto Dbe9e; ead1d: fd527: goto Bfc76; F00a3: $numberOfDatabaseUsers = 0; goto a76b6; Bfc76: return $response; goto Ca945; Dbe9e: c6aff: goto D7c1f; e28d0: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\145\x73")); goto Bc718; De923: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto F00a3; ab0a4: $databases = $site->getDatabases(); goto De923; Bc718: goto fd527; goto Eed82; Ca945: } public function newDatabase(Request $request) : Response { goto ced90; ced90: $site = $this->getSite($request); goto fa7d7; ebf49: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\x65\163")); goto Fe00e; C8ce9: bd655: goto f5fe4; F3c5e: if (!(false === is_null($response))) { goto bd655; } goto De451; Fd24e: Add2e: goto C4ee9; B70f1: e77e4: goto cf04c; f6795: $databaseEntity->setSite($siteEntity); goto b7ae5; F7bbb: return $response; goto bc310; cf04c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto F911c; b7ae5: $form = $this->createDatabaseForm($site, $databaseEntity); goto C093f; f5fe4: C1fc8: goto Fd24e; Fe00e: goto Ed828; goto B70f1; F911c: $databaseEntity = $this->databaseEntityManager->createEntity(); goto f6795; C093f: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto Add2e; } goto Cf2f6; C4ee9: $response = $this->render("\x46\162\157\x6e\164\x65\x6e\144\x2f\x53\x69\164\145\x2f\x6e\x65\167\55\x64\x61\164\x61\142\141\x73\145\x2e\150\x74\x6d\x6c\x2e\x74\167\151\147", ["\x73\x69\164\145" => $site, "\146\157\x72\x6d" => $form->createView(), "\x66\x6f\x72\155\105\x72\x72\x6f\x72\x73" => $this->formErrors]); goto fe4e7; fe4e7: Ed828: goto F7bbb; fa7d7: if (false === is_null($site)) { goto e77e4; } goto ebf49; Cf2f6: $form->handleRequest($request); goto F58ed; c587f: $response = $this->handleDatabaseForm($request, $form, $site); goto F3c5e; F58ed: if (!(true === $form->isSubmitted())) { goto C1fc8; } goto c587f; De451: return $response; goto C8ce9; bc310: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto A63e4; A63e4: $form = $this->createForm("\101\x70\x70\x5c\x46\157\x72\155\134\x53\x69\x74\145\x44\141\164\x61\142\141\163\x65\x54\x79\160\x65", $databaseEntity, ["\x61\143\x74\151\157\x6e" => $this->generateUrl("\143\154\160\x5f\163\x69\x74\145\137\144\141\x74\141\x62\141\163\145\x5f\156\145\x77", ["\144\157\x6d\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName()]), "\x6d\145\x74\150\157\x64" => "\120\x4f\x53\x54", "\141\164\164\x72" => []]); goto Ec1a1; Ec1a1: $form->add("\x73\x75\142\x6d\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\143\x6c\141\x73\163" => "\142\164\x6e\x20\x62\164\156\x2d\142\154\165\145\40\142\164\156\55\x6c\147"], "\x6c\x61\x62\x65\154" => "\101\144\144\x20\x44\x61\164\141\x62\x61\x73\x65"]); goto Bc3e0; Bc3e0: return $form; goto cd3a9; cd3a9: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto Da302; e9b20: goto F8afd; goto D6a40; Da302: if (true === $form->isValid()) { goto bf05b; } goto E0a7a; E0a7a: $this->formErrors = $this->getErrorMessages($form); goto e9b20; c7cf3: try { goto Ff29e; b85d7: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto e36dd; d4b3f: $databaseEntity->addUser($databaseUserEntity); goto bca6f; e36dd: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto E0b9d; Ec78a: $domainName = $site->getDomainName(); goto ae41e; e7b46: $databaseManager->createUser($databaseUserEntity); goto A6cb6; Ae059: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\145\x5f\x64\141\164\x61\x62\x61\163\145\x73", ["\x64\x6f\155\141\x69\156\116\141\155\145" => $site->getDomainName()])); goto F8b1d; E2ba1: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto E852f; D8f1f: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\137\144\x61\164\x61\x62\141\163\145\x5f\x6e\x65\x77", ["\x64\x6f\x6d\x61\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto Bca11; A6cb6: $this->siteEntityManager->updateEntity($siteEntity); goto B8155; D3da2: $databaseUserPassword = $form->get("\165\163\145\x72\x50\x61\x73\163\167\157\x72\x64")->getData(); goto A1e0d; b53c4: a5cca: goto c39a0; dea51: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\x73\x73", $this->translator->trans("\104\141\x74\141\x62\141\x73\x65\x20\150\141\x73\x20\x62\145\x65\156\40\141\x64\x64\x65\144\x2e")); goto Ae059; Ce303: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d570d; B8155: $eventData = ["\x73\x69\164\x65" => $domainName, "\x64\141\x74\141\x62\x61\x73\145" => $databaseEntity->getName(), "\x64\x61\x74\x61\142\141\x73\145\x55\x73\145\x72\x4e\141\x6d\x65" => $databaseUserEntity->getUserName()]; goto Ab9a7; B784d: $databaseManager->createDatabase($databaseEntity); goto e7b46; E0b9d: $databaseUserEntity->setDatabase($databaseEntity); goto d4b3f; F8b1d: F3f0c: goto b4438; A1e0d: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto Cfde3; d570d: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto E2ba1; ae41e: $siteEntity = $this->getSiteEntity($domainName); goto B56ac; bca6f: $siteEntity->addDatabase($databaseEntity); goto B784d; b4438: return $response; goto F5ef3; Ff29e: $user = $this->getUser(); goto b4d69; B56ac: if (false === is_null($siteEntity)) { goto a5cca; } goto D8f1f; b4d69: $session = $request->getSession(); goto Ec78a; Cfde3: $databaseUserEntity->setUserName($databaseUserName); goto b85d7; F98cd: $databaseUserName = $form->get("\165\163\145\162\116\x61\155\145")->getData(); goto D3da2; E852f: $databaseEntity->setSite($siteEntity); goto F98cd; c39a0: $databaseEntity = $form->getData(); goto Ce303; Bca11: goto F3f0c; goto b53c4; Ab9a7: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto dea51; F5ef3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\40\x65\x72\x72\157\x72\x20\150\141\x73\40\x6f\143\x63\165\162\x72\x65\x64\x2c\40\x65\x72\162\x6f\x72\40\x6d\145\x73\x73\x61\x67\145\72\x20\45\x65\162\x72\x6f\162\x4d\145\163\x73\141\147\x65\x25", ["\x25\145\x72\x72\157\x72\115\x65\x73\163\x61\x67\x65\45" => $e->getMessage()])); } goto B6a29; D6a40: bf05b: goto c7cf3; B6a29: F8afd: goto Ef83b; Ef83b: } public function deleteDatabase(Request $request) : Response { goto B9bfa; ae0c3: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto f5264; Bed13: e273c: goto dfe40; A8e7f: $this->checkCsrfToken($request, "\144\x61\x74\x61\142\141\x73\x65\x2d\x64\x65\x6c\145\x74\x65"); goto e5a4d; dfe40: d5c27: goto A07ec; ff9eb: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\145\137\x64\141\x74\141\x62\x61\163\145\163", ["\x64\157\x6d\141\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto Dca4b; A2396: $databaseName = $request->get("\x64\x61\x74\141\142\x61\163\145\116\141\155\x65"); goto b01ae; e5a4d: if (!(false === is_null($site))) { goto d5c27; } goto A2396; Eab49: try { goto E08b0; c1f8e: $siteEntity->removeDatabase($databaseEntity); goto A97a3; C7a5f: $databaseManager = new DatabaseManager($databaseServerEntity); goto C5096; E6719: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto C7a5f; A97a3: $this->siteEntityManager->updateEntity($siteEntity); goto A4d62; b968b: $session->getFlashBag()->set("\163\165\143\143\x65\x73\163", $this->translator->trans("\104\141\164\141\x62\141\x73\145\40\150\141\163\40\142\145\145\x6e\40\144\145\154\x65\x74\145\x64\56")); goto D8b6d; f2fb0: $session = $request->getSession(); goto Db6e8; E08b0: $user = $this->getUser(); goto f2fb0; C5096: $databaseManager->deleteDatabase($databaseEntity, true); goto c1f8e; A4d62: $eventData = ["\163\151\164\145" => $domainName, "\x64\x61\164\x61\142\x61\x73\x65" => $databaseEntity->getName()]; goto B327b; B327b: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto b968b; Db6e8: $domainName = $site->getDomainName(); goto E6719; D8b6d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\x41\156\40\x65\x72\x72\157\x72\40\150\141\163\x20\157\x63\x63\165\162\162\145\144\x2c\40\x65\x72\162\x6f\162\40\155\x65\163\163\141\147\x65\72\40\x25\145\x72\162\x6f\162\115\x65\163\163\141\x67\145\45", ["\x25\145\162\162\157\x72\x4d\145\163\x73\141\x67\145\x25" => $e->getMessage()])); } goto ff9eb; b01ae: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto ae0c3; B9bfa: $site = $this->getSite($request); goto A8e7f; A07ec: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\145\163")); goto Cca4f; Dca4b: return $response; goto Bed13; f5264: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto e273c; } goto Eab49; Cca4f: return $response; goto Cad2f; Cad2f: } public function phpMyAdmin(Request $request) : Response { goto Bb00e; A10da: $databaseUserName = $request->get("\144\141\164\x61\142\141\x73\x65\x55\163\x65\x72\x4e\141\155\x65"); goto E404b; dd97e: dab31: goto ae8ed; A953c: $data = ["\x68\157\x73\164" => $activeDatabaseServerEntity->getHost(), "\160\x6f\x72\164" => $activeDatabaseServerEntity->getPort()]; goto C626b; A3d7c: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\x65\x73")); goto ac52e; A8452: if (!(false === is_null($activeDatabaseServerEntity))) { goto Dc588; } goto E378b; D957b: goto fb271; goto dd97e; Bde0e: return $response; goto b1bdd; ac52e: return $response; goto A7c69; ae8ed: $site = $this->getSite($request); goto F9125; Ef38b: Dc588: goto D957b; e7764: $response->headers->clearCookie("\x70\150\160\x4d\x79\101\144\155\151\156\x5f\150\164\164\x70\x73"); goto d7680; C626b: $session->set("\143\x6c\x70\x2d\x70\x6d\141", $data); goto f1ac1; Bb00e: $domainName = $request->get("\144\157\x6d\141\151\156\x4e\x61\155\145"); goto E8088; f3a6e: $response->headers->clearCookie("\123\x69\x67\156\x6f\x6e\123\145\x73\x73\x69\157\x6e"); goto Abb5a; b1bdd: b9648: goto E763a; b2060: $response = new RedirectResponse($phpMyAdminUrl); goto Bde0e; d64c3: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A8452; A6619: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto b9648; } goto eeaa6; f1ac1: $response = new RedirectResponse($phpMyAdminUrl); goto A374c; Fd984: c6c53: goto C9ff4; C9ff4: fb271: goto A3d7c; B0ab5: $data = ["\150\157\x73\x74" => $activeDatabaseServerEntity->getHost(), "\165\163\145\162\x4e\x61\155\x65" => $databaseUserEntity->getUserName(), "\x70\x61\x73\163\167\x6f\x72\144" => $databaseUserEntity->getDecryptedPassword(), "\x70\x6f\x72\164" => $activeDatabaseServerEntity->getPort()]; goto F9f94; C7723: $databaseEntity = $databaseUserEntity->getDatabase(); goto A6619; F9f94: $session->set("\143\x6c\x70\x2d\x70\x6d\x61", $data); goto b2060; eeaa6: $phpMyAdminUrl = sprintf("\x68\x74\164\x70\163\72\x2f\x2f\45\x73\x3a\x25\163\57\x70\x68\x70\155\171\141\144\155\x69\156\x2f\154\x6f\x67\x69\x6e\56\160\x68\x70", $request->getHost(), $request->getPort()); goto B0ab5; E763a: A094c: goto Fd984; E378b: $phpMyAdminUrl = sprintf("\150\164\164\x70\x73\72\x2f\57\x25\163\72\x25\163\x2f\160\x68\x70\x6d\x79\x61\144\x6d\151\x6e\57\x6c\157\147\151\156\x2e\x70\x68\160", $request->getHost(), $request->getPort()); goto A953c; db264: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto C5cb7; F9125: if (!(false === is_null($site))) { goto c6c53; } goto A10da; E404b: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto db264; d7680: $response->headers->clearCookie("\160\x6d\141\x41\x75\x74\150\x2d\x31\x5f\x68\164\x74\x70\163"); goto f3a6e; F9d18: if (false === is_null($domainName)) { goto dab31; } goto d64c3; Abb5a: return $response; goto Ef38b; C5cb7: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto A094c; } goto C7723; A374c: $response->headers->clearCookie("\x63\154\x70\55\160\x6d\x61"); goto e7764; E8088: $session = $request->getSession(); goto F9d18; A7c69: } public function phpMyAdminLogout(Request $request) { goto f29f5; b6388: $response->headers->clearCookie("\143\154\160\55\x70\155\141"); goto cc880; F7be4: return $response; goto b2ac8; f29f5: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\145\x73")); goto b6388; cc880: $response->headers->clearCookie("\160\150\x70\x4d\171\x41\x64\x6d\151\156\x5f\x68\164\164\x70\x73"); goto B0abd; A3c5a: $response->headers->clearCookie("\123\151\x67\156\x6f\156\123\x65\x73\x73\x69\157\156"); goto F7be4; B0abd: $response->headers->clearCookie("\160\x6d\141\101\165\x74\150\x2d\x31\x5f\x68\164\x74\160\163"); goto A3c5a; b2ac8: } public function newDatabaseUser(Request $request) : Response { goto c3a43; c5abd: $databaseUserEntity->setSite($siteEntity); goto eefa5; A1d83: $domainName = $site->getDomainName(); goto e0250; d80e7: Bb34d: goto F71f5; e4e7a: Ce1a7: goto ee325; B83d2: bafcf: goto Cfb3d; Ed191: D915f: goto B4052; e0250: $siteEntity = $this->getSiteEntity($domainName); goto B1924; d6289: goto Bb34d; goto Ed191; A5078: $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\116\157\x20\x64\x61\164\x61\x62\141\163\x65\x20\146\x6f\165\156\x64\73\x20\x63\162\x65\141\164\x65\x20\141\x20\144\x61\x74\141\142\141\x73\145\x20\x66\x69\x72\x73\x74\x2e")); goto f35e7; e6eb8: return $response; goto e4e7a; B8ee1: if (false === is_null($site)) { goto bafcf; } goto D60ff; b721c: goto F72a0; goto B83d2; c927a: if (!(false === is_null($response))) { goto Ce1a7; } goto e6eb8; E5146: d9826: goto E4678; ab2d2: $response = $this->handleDatabaseUserForm($request, $form, $site); goto c927a; B4052: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto c5abd; F71f5: F72a0: goto Ea5d1; D60ff: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\x73")); goto b721c; d1335: if (!(true === $form->isSubmitted())) { goto Cc8a5; } goto ab2d2; c3a43: $site = $this->getSite($request); goto B8ee1; Cdeab: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto d9826; } goto f68b7; f35e7: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\x65\137\x64\x61\164\x61\142\x61\163\145\163", ["\144\x6f\155\x61\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto d6289; eefa5: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto Cdeab; D06d6: $session = $request->getSession(); goto A5078; B1924: if (count($databases) && false === is_null($siteEntity)) { goto D915f; } goto D06d6; f68b7: $form->handleRequest($request); goto d1335; Ea5d1: return $response; goto A9e00; Cfb3d: $databases = $site->getDatabases(); goto A1d83; ee325: Cc8a5: goto E5146; E4678: $response = $this->render("\x46\162\x6f\x6e\164\145\156\144\57\123\151\164\x65\57\x6e\145\167\55\x64\x61\x74\x61\x62\141\x73\145\x2d\165\163\x65\x72\x2e\150\x74\x6d\154\56\x74\167\151\147", ["\163\151\164\145" => $site, "\x64\141\x74\x61\x62\x61\163\145\x55\163\x65\x72" => $databaseUserEntity, "\144\x61\164\x61\x62\x61\x73\145\163" => $databases, "\x66\157\x72\155" => $form->createView(), "\146\x6f\x72\x6d\x45\x72\x72\157\162\163" => $this->formErrors]); goto d80e7; A9e00: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto A9c2b; f5c9b: return $form; goto Be241; A9c2b: $form = $this->createForm("\x41\x70\160\x5c\106\157\x72\x6d\x5c\x53\151\x74\x65\x44\141\164\141\142\x61\163\145\125\163\145\x72\124\171\160\145", $databaseUserEntity, ["\141\x63\x74\x69\157\x6e" => $this->generateUrl("\143\x6c\160\137\163\151\x74\145\137\144\141\x74\141\x62\141\163\x65\x5f\x75\163\x65\162\137\156\145\167", ["\x64\157\x6d\141\x69\156\x4e\141\x6d\145" => $site->getDomainName()]), "\155\145\x74\150\157\144" => "\x50\117\x53\124", "\141\164\x74\x72" => []]); goto d52dc; d52dc: $form->add("\x73\x75\142\x6d\x69\164", SubmitType::class, ["\141\164\164\162" => ["\x63\154\141\x73\x73" => "\142\164\x6e\40\142\x74\156\x2d\x62\x6c\x75\145\40\142\164\156\55\154\147"], "\x6c\141\x62\145\154" => "\x41\x64\x64\x20\104\141\164\x61\x62\141\x73\x65\x20\125\x73\145\x72"]); goto f5c9b; Be241: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto E18d1; fdfc1: goto Eb0b6; goto e59a9; Eeef1: Eb0b6: goto f7f8d; E18d1: if (true === $form->isValid()) { goto e3c4d; } goto Fc258; Fd09c: try { goto c8769; c2881: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\x73", $this->translator->trans("\x44\x61\x74\x61\142\141\163\145\40\x55\163\x65\x72\x20\150\x61\x73\x20\142\x65\145\x6e\40\141\144\144\145\144\x2e")); goto d2269; Fc287: $domainName = $site->getDomainName(); goto Ff292; B3266: $databaseEntity = $databaseUserEntity->getDatabase(); goto B96d7; eb3a6: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto f405d; B96d7: $databaseName = $databaseEntity->getName(); goto E896a; c8769: $user = $this->getUser(); goto b01d1; E896a: $eventData = ["\x73\x69\164\145" => $domainName, "\x64\141\x74\x61\142\x61\x73\145\x55\x73\x65\x72\x4e\x61\x6d\145" => $databaseUserEntity->getUserName(), "\160\x65\162\x6d\151\163\163\x69\157\x6e\163" => $databaseUserEntity->getPermissions(), "\144\x61\x74\x61\142\x61\x73\145" => $databaseName]; goto b1c96; f45d9: $databaseUserEntity = $form->getData(); goto c523c; c0aa1: C02c0: goto Dccdc; b01d1: $session = $request->getSession(); goto Fc287; D61b9: $databaseUserEntity->setPassword($encryptedPassword); goto eb3a6; f42dc: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto B3266; C09ab: e5815: goto f45d9; Dccdc: return $response; goto C3248; d2269: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\x65\x5f\x64\x61\x74\141\142\x61\163\x65\x73", ["\144\x6f\155\x61\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto c0aa1; f405d: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto ed1b5; Ff292: $siteEntity = $this->getSiteEntity($domainName); goto f761d; ed1b5: $databaseManager->createUser($databaseUserEntity); goto f42dc; Ccf8f: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\x65\x5f\x64\141\164\141\x62\x61\163\145\137\165\163\145\162\x5f\x6e\x65\x77", ["\x64\x6f\155\141\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto d4088; c523c: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto D61b9; f761d: if (false === is_null($siteEntity)) { goto e5815; } goto Ccf8f; d4088: goto C02c0; goto C09ab; b1c96: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto c2881; C3248: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\101\x6e\x20\x65\162\162\x6f\x72\40\150\141\x73\40\x6f\143\143\x75\162\x72\x65\144\x2c\40\x65\162\x72\157\x72\40\155\x65\x73\163\141\147\145\72\x20\x25\145\162\x72\x6f\x72\x4d\145\163\x73\x61\147\145\45", ["\x25\x65\x72\162\x6f\162\x4d\145\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto Eeef1; e59a9: e3c4d: goto Fd09c; Fc258: $this->formErrors = $this->getErrorMessages($form); goto fdfc1; f7f8d: } public function editDatabaseUser(Request $request) : Response { goto c6fa8; ef9d7: if (!(false === is_null($databaseUserEntity))) { goto Cb426; } goto c1ccc; ca69b: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto E3092; } goto c8c0d; f9a03: goto Ee935; goto F04d8; c9980: return $response; goto aa65f; e3bc4: if (count($databases) && false === is_null($siteEntity)) { goto c2b2c; } goto bc407; bc407: $session = $request->getSession(); goto D8e2a; A5336: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto ef9d7; f5e69: c2b2c: goto ed5eb; F2eee: E3092: goto e4f1b; Ad2bd: d9a97: goto F2eee; e4f1b: $response = $this->render("\x46\x72\157\x6e\x74\145\156\144\57\x53\x69\164\145\x2f\145\x64\151\164\55\144\x61\x74\141\142\x61\163\145\x2d\x75\x73\x65\162\56\150\164\155\x6c\x2e\164\x77\151\x67", ["\x73\x69\164\145" => $site, "\x64\x61\x74\141\142\141\163\x65\x55\163\x65\x72" => $databaseUserEntity, "\146\157\162\155" => $form->createView(), "\x66\157\x72\x6d\105\162\x72\157\162\163" => $this->formErrors]); goto Bc6ae; b2cdc: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\x73")); goto f9a03; fffe2: $databases = $site->getDatabases(); goto D46b8; C4ee0: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto ca69b; B7d64: $siteEntity = $this->getSiteEntity($domainName); goto e3bc4; c8c0d: $form->handleRequest($request); goto d5f92; af50f: return $response; goto C16bd; dedac: if (false === is_null($site)) { goto D0f8e; } goto b2cdc; d51fd: Ee935: goto c9980; D46b8: $domainName = $site->getDomainName(); goto B7d64; c6fa8: $site = $this->getSite($request); goto dedac; C16bd: a6be0: goto Ad2bd; Bc6ae: Cb426: goto ac4e9; Df154: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\137\x64\141\164\141\x62\x61\x73\145\163", ["\144\x6f\155\x61\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto B326a; c1ccc: $databaseUserEntity->setPassword(''); goto C4ee0; d5f92: if (!(true === $form->isSubmitted())) { goto d9a97; } goto C6bc2; F04d8: D0f8e: goto fffe2; ac4e9: aa5b0: goto d51fd; c9e3e: if (!(false === is_null($response))) { goto a6be0; } goto af50f; ed5eb: $databaseUserName = $request->get("\x64\141\164\141\x62\x61\x73\x65\125\x73\x65\x72\x4e\141\x6d\x65"); goto A5336; C6bc2: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto c9e3e; D8e2a: $session->getFlashBag()->set("\144\x61\x6e\x67\145\162", $this->translator->trans("\x4e\157\x20\144\141\x74\141\x62\141\163\x65\x20\x66\157\165\x6e\x64\x3b\40\143\162\x65\x61\164\145\x20\141\x20\x64\x61\164\141\x62\x61\163\145\40\146\x69\x72\x73\x74\x2e")); goto Df154; B326a: goto aa5b0; goto f5e69; aa65f: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto F5a86; C261e: $form->add("\163\165\142\x6d\x69\x74", SubmitType::class, ["\141\164\164\x72" => ["\x63\154\x61\163\x73" => "\x62\164\x6e\40\142\x74\x6e\x2d\142\154\x75\x65\x20\142\x74\x6e\55\154\147"], "\x6c\141\x62\145\x6c" => "\x53\141\x76\145"]); goto Ed29a; Ed29a: return $form; goto fc04d; F5a86: $form = $this->createForm("\101\x70\x70\134\106\157\162\155\x5c\x53\151\164\145\104\x61\164\141\x62\141\163\145\x55\163\145\162\x45\x64\x69\164\124\x79\x70\x65", $databaseUserEntity, ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\x65\137\144\141\x74\x61\x62\141\x73\x65\x5f\x75\163\145\x72\137\145\x64\151\164", ["\x64\x6f\x6d\x61\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName(), "\144\141\164\141\x62\x61\163\x65\x55\163\145\162\x4e\141\155\x65" => $databaseUserEntity->getUserName()]), "\155\145\164\150\x6f\x64" => "\120\117\x53\x54", "\x61\x74\164\162" => []]); goto C261e; fc04d: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto d3fdf; De3b9: ca176: goto Af20d; Aaa7b: dc7d9: goto fe3e1; bccc9: goto dc7d9; goto De3b9; f930d: $this->formErrors = $this->getErrorMessages($form); goto bccc9; d3fdf: if (true === $form->isValid()) { goto ca176; } goto f930d; Af20d: try { goto Ebce1; C568b: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto D1239; f20dd: $databaseUserEntity->setPassword($encryptedPassword); goto C9cb6; Ab64f: $databaseName = $databaseEntity->getName(); goto De9fe; b8b18: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto f20dd; De9fe: $eventData = ["\x73\x69\164\x65" => $domainName, "\x64\x61\164\141\x62\x61\x73\145\x55\163\x65\162\x4e\141\x6d\145" => $databaseUserEntity->getUserName(), "\160\145\x72\x6d\x69\x73\x73\x69\157\156\x73" => $databaseUserEntity->getPermissions(), "\x64\141\x74\x61\x62\x61\163\145" => $databaseName]; goto C568b; F98b7: return $response; goto E8e0f; D893e: d8d1c: goto E8741; E8741: $databaseUserEntity = $form->getData(); goto b8b18; Ebce1: $user = $this->getUser(); goto B1667; c0b34: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\145\x5f\144\x61\x74\141\x62\x61\163\145\137\165\163\145\162\x5f\156\145\167", ["\x64\x6f\155\141\151\x6e\x4e\141\155\145" => $site->getDomainName()])); goto C29c0; B1667: $session = $request->getSession(); goto Ce134; b634d: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto F318e; C9cb6: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b634d; F656c: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\145\137\144\x61\x74\x61\x62\141\x73\145\x73", ["\x64\157\x6d\x61\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto f683e; a6248: $siteEntity = $this->getSiteEntity($domainName); goto dc4ae; ab3bb: $databaseEntity = $databaseUserEntity->getDatabase(); goto Ab64f; dc4ae: if (false === is_null($siteEntity)) { goto d8d1c; } goto c0b34; bccd3: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto ab3bb; D1239: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\x73", $this->translator->trans("\x44\141\x74\x61\x62\x61\x73\145\40\x55\x73\145\x72\x20\x68\x61\x73\x20\142\145\x65\156\x20\x75\x70\x64\x61\x74\145\x64\56")); goto F656c; Ce134: $domainName = $site->getDomainName(); goto a6248; f683e: e34a4: goto F98b7; C29c0: goto e34a4; goto D893e; F318e: $databaseManager->createUser($databaseUserEntity); goto bccd3; E8e0f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\x41\156\40\145\x72\162\x6f\x72\40\150\141\x73\40\x6f\x63\143\x75\x72\x72\145\x64\x2c\40\145\x72\162\157\x72\40\x6d\x65\x73\x73\141\147\x65\72\x20\x25\x65\162\x72\157\162\115\x65\x73\163\141\147\145\x25", ["\x25\x65\x72\x72\157\162\x4d\x65\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto Aaa7b; fe3e1: } public function deleteDatabaseUser(Request $request) : Response { goto c6ae6; dd237: if (!(false === is_null($site))) { goto E62e3; } goto c872a; bd6cb: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto D019e; Ccd3c: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\164\x65\137\144\141\x74\141\142\x61\163\145\163", ["\x64\157\x6d\141\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto acae2; Ff92a: $this->checkCsrfToken($request, "\144\141\x74\x61\x62\141\163\145\x2d\165\163\x65\162\55\144\x65\154\x65\164\145"); goto dd237; Bb0c9: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\164\x65\x73")); goto c7e29; c6ae6: $site = $this->getSite($request); goto Ff92a; c872a: $databaseUserName = $request->get("\144\x61\164\x61\142\141\163\145\125\x73\x65\162\116\x61\x6d\145"); goto bd6cb; c085c: try { goto e61cd; e61cd: $databaseEntity = $databaseUserEntity->getDatabase(); goto F95fd; Bc779: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto F1c5f; e3f3c: $eventData = ["\x73\151\x74\145" => $domainName, "\144\141\164\x61\142\141\163\x65\125\x73\145\x72\116\x61\155\x65" => $databaseUserName]; goto Bc779; D4678: $session = $request->getSession(); goto F7ba3; Ff03d: $databaseManager->deleteUser($databaseUserEntity); goto C2ce4; e7274: $user = $this->getUser(); goto d92ac; d92ac: $domainName = $site->getDomainName(); goto D4678; F2cbd: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Ff03d; F7ba3: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto F2cbd; C2ce4: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto D4b33; D4b33: $session->getFlashBag()->set("\x73\165\x63\x63\x65\x73\x73", $this->translator->trans("\104\x61\164\141\142\141\x73\145\x20\x55\163\145\162\40\150\x61\163\40\x62\x65\x65\156\40\144\x65\x6c\x65\164\x65\x64\56")); goto e3f3c; F1c5f: D434b: goto e95f4; F95fd: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto D434b; } goto e7274; e95f4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\x41\x6e\40\145\162\x72\157\x72\x20\x68\141\163\40\x6f\143\x63\x75\162\x72\x65\x64\x2c\x20\x65\162\162\x6f\162\x20\x6d\x65\x73\163\x61\147\x65\x3a\x20\x25\x65\162\162\x6f\x72\x4d\x65\163\x73\141\147\145\45", ["\x25\145\x72\x72\x6f\x72\115\145\163\x73\141\x67\145\45" => $e->getMessage()])); } goto Ccd3c; acae2: return $response; goto d6c38; d6c38: e6c62: goto a267c; D019e: if (!(false === is_null($databaseUserEntity))) { goto e6c62; } goto c085c; c7e29: return $response; goto c4d88; a267c: E62e3: goto Bb0c9; c4d88: } public function varnishCache(Request $request) : Response { goto E38a9; d1094: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto a463a; d7804: a237d: goto c14f9; A4c8f: if (!(true === $settingsForm->isSubmitted())) { goto A391f; } goto f9b11; c14f9: $response = $this->render("\x46\162\x6f\156\164\145\156\x64\x2f\x53\151\x74\145\x2f\166\141\162\156\151\x73\150\55\x63\x61\x63\150\x65\x2e\x68\164\x6d\x6c\x2e\x74\x77\151\x67", ["\163\151\x74\x65" => $site, "\163\145\164\x74\151\x6e\x67\x73\106\157\x72\155" => $settingsForm->createView(), "\160\165\162\147\145\103\141\x63\150\145\106\157\162\x6d" => $purgeCacheForm->createView(), "\x66\157\x72\155\x45\162\162\157\162\163" => $this->formErrors]); goto Ec1e8; F443e: goto c51a6; goto Bb8ae; a729b: E319f: goto d7804; Aeb85: if (!(false === is_null($response))) { goto e3b33; } goto d1290; ae32d: if (!(true === $purgeCacheForm->isSubmitted())) { goto E319f; } goto f84f8; a503b: if (!(false === is_null($response))) { goto Ad87c; } goto ed620; d1290: return $response; goto B3a95; Ec1e8: c51a6: goto Aa512; E38a9: $site = $this->getSite($request); goto b8d34; f792b: $settingsForm->handleRequest($request); goto Ba0c4; f0c7a: Ad87c: goto c2faa; Bb8ae: facee: goto D806a; D806a: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto Ca040; Ca040: $varnishCacheSettingsData = ["\x69\x73\x45\x6e\141\x62\154\145\144" => true === isset($varnishCacheSettings["\145\x6e\141\142\154\145\x64"]) && true === $varnishCacheSettings["\x65\156\141\x62\154\x65\x64"] ? true : false, "\x73\x65\162\x76\145\x72" => true === isset($varnishCacheSettings["\x73\145\x72\x76\145\162"]) ? $varnishCacheSettings["\163\x65\x72\166\145\x72"] : "\x31\62\67\56\60\x2e\60\x2e\x31\72\x36\x30\70\x31", "\143\141\x63\x68\x65\124\x61\147\120\x72\x65\146\151\170" => true === isset($varnishCacheSettings["\x63\141\143\150\145\x54\x61\x67\x50\162\x65\146\x69\170"]) ? $varnishCacheSettings["\x63\141\x63\x68\145\124\141\147\120\162\145\x66\151\x78"] : substr(md5(time()), 0, 4), "\143\x61\143\x68\x65\x4c\151\x66\145\x74\151\155\x65" => true === isset($varnishCacheSettings["\x63\141\143\x68\145\114\151\146\x65\x74\151\155\x65"]) ? $varnishCacheSettings["\143\x61\143\150\x65\114\x69\x66\x65\x74\x69\x6d\x65"] : "\66\x30\64\x38\60\x30", "\x65\x78\x63\x6c\165\x64\x65\144\120\x61\x72\141\x6d\163" => true === isset($varnishCacheSettings["\145\170\x63\154\x75\x64\145\144\120\141\162\x61\x6d\163"]) ? implode("\54", $varnishCacheSettings["\145\170\x63\154\x75\144\145\144\x50\x61\x72\x61\x6d\x73"]) : "\x5f\x5f\x53\111\x44\x2c\x6e\x6f\103\141\x63\150\145\x2c", "\x65\x78\x63\x6c\x75\x64\145\x73" => true === isset($varnishCacheSettings["\145\x78\x63\x6c\x75\144\145\x73"]) ? implode(PHP_EOL, $varnishCacheSettings["\x65\x78\x63\154\x75\144\x65\163"]) : '']; goto d1094; c2faa: A391f: goto ae32d; Aa512: return $response; goto cc792; D2e3f: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\x65\x73")); goto F443e; B3a95: e3b33: goto a729b; a463a: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto e33e8; ed620: return $response; goto f0c7a; b8d34: if (false === is_null($site) && true === $site->getVarnishCache()) { goto facee; } goto D2e3f; e33e8: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto a237d; } goto f792b; f84f8: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto Aeb85; Ba0c4: $purgeCacheForm->handleRequest($request); goto A4c8f; f9b11: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto a503b; cc792: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto d5eb7; ad793: return $form; goto Ae7dc; F44ff: $form->add("\x73\165\142\155\151\x74", SubmitType::class, ["\141\164\164\162" => ["\x63\x6c\x61\163\x73" => "\142\164\x6e\40\142\164\x6e\55\142\x6c\165\x65\40\142\x74\x6e\55\154\147"], "\154\x61\142\x65\154" => "\x53\x61\x76\x65"]); goto ad793; d5eb7: $form = $this->createForm("\101\x70\160\x5c\106\157\x72\x6d\134\x53\151\164\x65\126\x61\x72\156\x69\x73\150\103\x61\143\150\x65\123\x65\x74\164\151\x6e\147\163\x54\171\x70\x65", $data, ["\x61\x63\164\x69\157\x6e" => $this->generateUrl("\x63\154\x70\x5f\163\151\x74\145\x5f\166\x61\x72\156\x69\163\150\x5f\143\141\143\150\145", ["\144\x6f\x6d\141\x69\x6e\116\x61\x6d\145" => $site->getDomainName()]), "\155\x65\x74\x68\x6f\144" => "\120\x4f\123\x54", "\141\x74\x74\x72" => []]); goto F44ff; Ae7dc: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto C1f42; fb5a7: return $form; goto f4a5b; C1f42: $form = $this->createForm("\x41\160\160\x5c\106\157\162\x6d\x5c\x53\151\164\x65\126\141\162\156\151\163\150\x43\141\143\x68\x65\x50\x75\162\x67\145\103\x61\x63\150\x65\x54\x79\160\145", ["\163\x69\x74\145" => $site], ["\x61\x63\x74\x69\x6f\x6e" => $this->generateUrl("\x63\154\160\x5f\163\151\164\145\137\166\x61\x72\156\x69\163\150\x5f\143\141\143\150\x65", ["\x64\157\155\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()]), "\x6d\145\x74\150\x6f\144" => "\x50\117\x53\124", "\x61\x74\164\x72" => []]); goto A7a12; A7a12: $form->add("\163\165\142\x6d\151\x74", SubmitType::class, ["\x61\164\164\x72" => ["\143\154\141\163\163" => "\x62\x74\156\40\142\x74\x6e\x2d\x62\154\x75\x65\x20\x62\164\156\x2d\154\x67"], "\154\141\142\145\154" => "\120\x75\x72\147\145\x20\x43\141\143\150\145"]); goto fb5a7; f4a5b: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto dff3e; Af35e: Bbb53: goto F7dc0; F7dc0: try { goto e77d3; cf858: $user = $this->getUser(); goto C07ac; C07ac: $isEnabled = $form->get("\151\163\105\156\x61\x62\x6c\145\x64")->getData(); goto C0052; bdd77: $excludes = array_map("\x74\162\x69\x6d", array_filter(explode(PHP_EOL, trim($form->get("\x65\170\x63\x6c\165\144\145\163")->getData())))); goto da399; E7123: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto ae14d; C0052: $server = $form->get("\163\x65\162\166\x65\x72")->getData(); goto Cfbb8; B20e3: $siteUpdater = $this->getSiteUpdater($site); goto E7123; c4bfe: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto fbebe; F3869: $domainName = $site->getDomainName(); goto Af019; B0229: $eventData = ["\163\151\164\x65" => $domainName, "\166\x61\x72\156\x69\163\x68\x43\141\x63\x68\x65\105\156\x61\142\154\145\144" => $isEnabled, "\x73\x65\x72\x76\145\x72" => $server, "\x63\141\143\x68\x65\124\141\147\120\x72\x65\x66\x69\170" => $cacheTagPrefix, "\143\141\x63\150\145\x4c\x69\146\145\164\x69\x6d\x65" => $cacheLifetime, "\x65\x78\143\x6c\x75\144\x65\x73" => $excludes, "\x65\170\x63\x6c\165\144\145\144\120\x61\162\141\x6d\163" => $excludedParams]; goto c4bfe; Cfbb8: $cacheLifetime = $form->get("\143\141\x63\x68\145\x4c\x69\x66\x65\164\x69\155\145")->getData(); goto C05a4; C98a0: f4a57: goto cf858; F1f68: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\137\166\141\162\x6e\151\x73\150\137\x63\141\143\x68\x65", ["\x64\x6f\x6d\141\151\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto Cbce0; Cb786: return $response; goto Eed6c; da399: $varnishCacheSettings = ["\145\156\x61\142\154\x65\x64" => $isEnabled, "\163\145\162\x76\145\x72" => $server, "\x63\141\143\150\145\x54\141\147\120\x72\145\146\x69\x78" => $cacheTagPrefix, "\143\x61\143\150\x65\x4c\151\146\x65\x74\x69\x6d\145" => $cacheLifetime, "\x65\170\x63\x6c\165\144\x65\163" => $excludes, "\x65\170\x63\154\165\x64\x65\x64\120\141\x72\141\x6d\x73" => $excludedParams]; goto Ed7fc; cdd53: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\145\163")); goto c9086; ae14d: $siteUpdater->phpSettings(); goto B0229; fbebe: $session->getFlashBag()->set("\x73\165\x63\x63\x65\x73\163", $this->translator->trans("\126\141\162\x6e\x69\163\150\40\103\x61\x63\x68\145\x20\x53\145\x74\x74\151\x6e\147\x73\x20\150\x61\166\145\x20\x62\145\x65\x6e\40\x73\x61\x76\145\144\x2e")); goto F1f68; fd3a3: $excludedParams = array_map("\x74\162\151\155", array_filter(explode("\54", trim($form->get("\145\x78\143\154\165\144\145\x64\120\141\162\x61\155\x73")->getData())))); goto bdd77; c9086: goto bb7f6; goto C98a0; Af019: $siteEntity = $this->getSiteEntity($domainName); goto A83be; Cbce0: bb7f6: goto Cb786; A83be: if (false === is_null($siteEntity)) { goto f4a57; } goto cdd53; e77d3: $session = $request->getSession(); goto F3869; C05a4: $cacheTagPrefix = $form->get("\x63\x61\143\x68\145\124\141\147\x50\x72\x65\146\x69\x78")->getData(); goto fd3a3; Ed7fc: $site->setVarnishCacheSettings($varnishCacheSettings); goto B20e3; Eed6c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\101\156\x20\x65\162\162\x6f\x72\40\x68\x61\163\40\157\x63\143\165\162\162\145\144\54\x20\145\x72\x72\x6f\x72\x20\x6d\x65\x73\163\141\147\145\x3a\40\45\x65\162\x72\157\162\x4d\145\163\x73\x61\x67\x65\x25", ["\45\x65\162\x72\157\x72\x4d\x65\163\163\141\147\x65\45" => $e->getMessage()])); } goto Ab9c3; Df9c9: goto ad5af; goto Af35e; Ab9c3: ad5af: goto C8c9c; da199: $this->formErrors = $this->getErrorMessages($form); goto Df9c9; dff3e: if (true === $form->isValid()) { goto Bbb53; } goto da199; C8c9c: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto F8a33; ada6e: try { goto fddfb; E056f: $domainName = $site->getDomainName(); goto E3591; A2c62: $varnishCacheClient = new VarnishCacheClient(); goto dbf9c; e7f73: ee2f5: goto e96fd; Eb260: E6b37: goto A2c62; e96fd: C0d72: goto c3950; f7404: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto db259; b3b99: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\163", $this->translator->trans("\126\x61\162\156\x69\163\150\x20\x43\141\x63\x68\145\x20\150\141\x73\x20\x62\145\x65\156\x20\x70\x75\x72\147\x65\144\56")); goto Ddf7c; def49: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto b3b99; C2fce: goto C0d72; goto Eb260; c3950: $eventData = ["\x73\x69\164\x65" => $domainName, "\x76\x61\154\x75\x65\x73" => implode("\54", $purgeValues)]; goto def49; a4004: goto C93e7; goto f8295; E3591: $siteEntity = $this->getSiteEntity($domainName); goto c4794; Ddf7c: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\x65\137\166\141\x72\156\x69\163\x68\137\143\x61\x63\150\145", ["\x64\x6f\x6d\141\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto E16d5; E9b4e: foreach ($purgeValues as $purgeValue) { goto b220e; abc3a: Bc8d1: goto Def54; c6220: goto f07d5; goto D07ad; c0eb4: f07d5: goto abc3a; E12ef: $varnishCacheClient->purgeUrl($purgeValue); goto c0eb4; b220e: $purgeValue = trim($purgeValue); goto cc7ff; cc7ff: if (!(false === empty($purgeValue))) { goto Bc8d1; } goto c0d51; c6d9e: $varnishCacheClient->purgeTag($purgeValue); goto c6220; Def54: Ce853: goto ea64f; D07ad: Ceda2: goto E12ef; c0d51: if (true === str_starts_with($purgeValue, "\150\164\164\x70")) { goto Ceda2; } goto c6d9e; ea64f: } goto e7f73; fddfb: $session = $request->getSession(); goto E056f; F691c: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\x73\145\162\166\x65\x72"]) && false === empty($varnishCacheSettings["\x73\x65\x72\166\145\x72"])) { goto E6b37; } goto ad864; Eff1a: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\145\x73")); goto a4004; f8295: A8b43: goto f1c99; f1c99: $user = $this->getUser(); goto f7404; ad864: throw new \Exception("\126\x61\162\156\151\163\x68\x20\x43\141\x63\150\145\x20\x53\x65\x74\x74\x69\x6e\x67\x73\40\x63\141\x6e\x6e\157\164\40\142\145\40\145\x6d\160\x74\171\56"); goto C2fce; db259: $purgeValues = array_map("\164\x72\x69\155", array_filter(explode("\x2c", trim($form->get("\166\141\x6c\165\145")->getData())))); goto F691c; dbf9c: $varnishCacheClient->setServer($varnishCacheSettings["\x73\145\x72\x76\x65\162"]); goto E9b4e; c4794: if (false === is_null($siteEntity)) { goto A8b43; } goto Eff1a; E16d5: C93e7: goto B1909; B1909: return $response; goto f13dc; f13dc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\x41\156\40\x65\x72\x72\x6f\162\x20\150\141\x73\x20\157\x63\143\165\x72\x72\x65\144\54\x20\x65\162\162\157\162\x20\155\145\x73\x73\x61\x67\145\72\40\x25\x65\x72\x72\157\162\x4d\145\x73\x73\x61\147\145\45", ["\45\x65\162\162\157\162\x4d\x65\163\x73\141\x67\x65\45" => $e->getMessage()])); } goto c36dc; c36dc: d0002: goto d0352; E9f4a: $this->formErrors = $this->getErrorMessages($form); goto D9297; c6a9e: cc1f5: goto ada6e; F8a33: if (true === $form->isValid()) { goto cc1f5; } goto E9f4a; D9297: goto d0002; goto c6a9e; d0352: } public function purgeVarnishCache(Request $request) : Response { goto dd48d; D9458: f1a8b: goto Cac42; Fba3e: a6596: goto A7665; Cac42: return $response; goto dd095; E3528: if (false === is_null($site)) { goto a6596; } goto b60c8; b60c8: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\x74\x65\163")); goto bc5cd; A7665: try { goto Bc51a; F7e17: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto afe5f; d89f0: $session->getFlashBag()->set("\x73\x75\143\x63\145\x73\163", $this->translator->trans("\x56\141\162\156\x69\x73\150\x20\x43\141\x63\150\x65\x20\150\141\163\x20\142\x65\x65\x6e\40\160\x75\162\147\x65\144\x2e")); goto a8d03; B5935: $varnishCacheClient = new VarnishCacheClient(); goto E4703; a2cab: $varnishCacheClient->purgeTag($cacheTagPrefix); goto d2086; aa2b0: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto d89f0; E4703: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\x72\x76\145\162"]); goto a2cab; afe5f: if (!(true === isset($varnishCacheSettings["\x73\145\162\x76\145\162"]) && true === isset($varnishCacheSettings["\143\x61\143\150\145\124\141\147\x50\x72\x65\x66\151\x78"]) && false === empty($varnishCacheSettings["\143\x61\x63\x68\x65\x54\x61\147\120\162\x65\x66\151\x78"]))) { goto e30c2; } goto b87da; d2086: $varnishCacheClient->purgeHost($domainName); goto Ca6b1; Bc51a: $user = $this->getUser(); goto Daa84; a974d: $eventData = ["\x73\151\164\145" => $domainName, "\160\165\x72\147\145" => "\x66\165\154\154"]; goto aa2b0; Ca6b1: e30c2: goto a974d; Daa84: $session = $request->getSession(); goto Dd1b8; b87da: $cacheTagPrefix = $varnishCacheSettings["\143\141\x63\150\x65\x54\x61\147\x50\162\x65\146\x69\x78"]; goto B5935; Dd1b8: $domainName = $site->getDomainName(); goto F7e17; a8d03: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\x41\156\40\145\162\x72\x6f\x72\40\150\x61\x73\40\157\x63\143\165\162\x72\145\144\54\40\x65\x72\162\x6f\162\40\155\x65\x73\163\x61\x67\x65\72\40\45\x65\x72\162\157\x72\115\x65\x73\163\141\147\x65\x25", ["\x25\145\162\162\x6f\162\115\145\163\x73\141\147\x65\45" => $e->getMessage()])); } goto eff80; dd48d: $site = $this->getSite($request); goto E3528; cd92c: return $response; goto D9458; eff80: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\x65\137\166\x61\162\x6e\x69\x73\x68\137\x63\x61\x63\x68\x65", ["\x64\157\x6d\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto cd92c; bc5cd: goto f1a8b; goto Fba3e; dd095: } public function vhost(Request $request) : Response { goto B8146; D2116: return $response; goto b2b38; e38a2: $site->setVhostTemplate($vhostTemplate); goto Ee4ee; d3996: throw new InvalidCsrfTokenException("\124\150\145\x20\x43\x53\122\x46\40\x74\157\x6b\x65\156\x20\151\163\x20\151\156\x76\x61\x6c\x69\144\x2e"); goto Eb9ed; f9a4f: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\164\145\163")); goto Bfca8; e7e94: B62b4: goto f6f09; B8146: $site = $this->getSite($request); goto a8c6d; b6e75: e8922: goto d38d7; Ee4ee: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto E721a; dd475: if (!(false === $isCsrfTokenValid)) { goto F4ced; } goto d3996; D0606: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto e38a2; d05e6: $siteEntity = $this->getSiteEntity($domainName); goto D0606; B10a2: if (!(false === empty($vhostTemplate))) { goto db4db; } goto b8605; Cb336: db4db: goto e7e94; E721a: if (!(false === is_null($response))) { goto ae472; } goto D2116; f6f09: $response = $this->render("\106\162\x6f\156\x74\x65\x6e\x64\57\x53\x69\x74\145\57\166\x68\x6f\x73\164\x2e\x68\164\155\x6c\56\164\x77\x69\x67", ["\x73\151\x74\x65" => $site]); goto Ca098; be749: $isCsrfTokenValid = $this->isCsrfTokenValid("\x76\x68\157\163\x74\x2d\x75\160\x64\x61\x74\x65", (string) $request->get("\164\157\x6b\x65\x6e")); goto dd475; d2f9f: $vhostTemplate = trim($request->get("\166\150\157\x73\164\x2d\164\145\155\x70\x6c\x61\x74\145")); goto B10a2; bab03: return $response; goto e690a; d38d7: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto B62b4; } goto be749; Bfca8: goto e1702; goto b6e75; b2b38: ae472: goto Cb336; b8605: $domainName = $site->getDomainName(); goto d05e6; Eb9ed: F4ced: goto d2f9f; Ca098: e1702: goto bab03; a8c6d: if (false === is_null($site)) { goto e8922; } goto f9a4f; e690a: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto c60b6; Be950: $domainName = $site->getDomainName(); goto a1f16; Ba7f4: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto Cc982; C9ea4: $session->getFlashBag()->set("\163\x75\x63\x63\x65\x73\163", $this->translator->trans("\126\150\157\x73\x74\x20\x68\141\x73\x20\x62\x65\145\156\x20\163\x61\x76\x65\x64\56")); goto E5aa4; Ea5fa: $siteEntity->setVhostTemplate($vhostTemplate); goto Efc73; f5c91: if (!(true === str_contains($site->getVhostTemplate(), "\144\x69\163\141\x62\154\x65\x5f\x73\x79\155\x6c\151\156\x6b\163"))) { goto D7aa9; } goto Bb39d; c60b6: $user = $this->getUser(); goto A11df; A11df: $session = $request->getSession(); goto f5c91; Efc73: $this->siteEntityManager->updateEntity($siteEntity); goto C9ea4; Cc982: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\x65\x5f\166\x68\x6f\x73\164", ["\144\157\155\x61\151\x6e\x4e\x61\155\x65" => $domainName])); goto d320b; Bb39d: throw new InvalidVhostException("\x64\x69\x73\x61\x62\154\145\x5f\x73\171\x6d\x6c\x69\x6e\153\x73\x20\x69\x73\x20\x6e\x6f\x74\x20\141\154\x6c\157\x77\145\x64\x2e"); goto a63e9; a1f16: $vhostTemplate = $site->getVhostTemplate(); goto fc369; B2929: $siteUpdater->updateNginxVhostWithRollback(); goto Ea5fa; fc369: $siteUpdater = $this->getSiteUpdater($site); goto B2929; d320b: return $response; goto Ad5de; a63e9: D7aa9: goto Be950; E5aa4: $eventData = ["\163\151\164\145" => $domainName, "\166\x68\x6f\x73\164" => $vhostTemplate, "\157\154\144\x56\x68\157\x73\x74" => $oldVhostTemplate]; goto Ba7f4; Ad5de: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\x61\x6e\147\145\x72", $this->translator->trans("\126\x68\157\163\x74\x20\x69\x73\x20\156\157\x74\40\166\141\x6c\x69\144\54\40\145\x72\x72\x6f\x72\40\x6d\x65\x73\x73\141\147\x65\x3a\x20\x25\145\162\x72\x6f\x72\x4d\145\x73\x73\x61\147\x65\45", ["\45\145\x72\x72\x6f\x72\115\145\163\163\141\x67\x65\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\101\x6e\x20\145\x72\x72\x6f\162\40\150\x61\x73\40\157\143\x63\x75\x72\x72\145\x64\54\40\x65\x72\162\x6f\x72\40\155\x65\x73\163\x61\147\x65\x3a\40\x25\x65\162\162\157\x72\x4d\145\x73\163\141\147\145\45", ["\45\145\162\x72\157\x72\115\145\163\x73\141\x67\145\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto Daaf2; da067: $currentPhpSettings = clone $phpSettings; goto A7241; E2438: if (!(true === $siteDeleteForm->isSubmitted())) { goto e8799; } goto d2fc0; c9072: Fd7e4: goto F97a3; Ea362: $domainSettingsForm->handleRequest($request); goto b9c04; F00c2: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto e97e9; e917d: $phpSettings = $site->getPhpSettings(); goto d4f90; F8235: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto e2f7a; Fbc79: e8799: goto F4d9e; ee226: F8c86: goto E3127; F008d: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto D9ad1; b5a26: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto dd5b8; Aa396: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto d8259; c1f42: $pythonSettings = $site->getPythonSettings(); goto F00c2; fcce7: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto C9faf; E50dc: $reverseProxySettingsForm->handleRequest($request); goto baf88; c1f22: $pageSpeedSettingsForm->handleRequest($request); goto da716; b9c04: $siteUserSettingsForm->handleRequest($request); goto E8b51; e4a5c: return $response; goto F0cfb; eeafb: if (!(true === $domainSettingsForm->isSubmitted())) { goto Fad7f; } goto fcce7; A400d: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto F348b; } goto d4eea; Cb518: unset($parameters["\160\x61\x67\x65\x53\160\x65\x65\144\123\145\164\164\151\156\147\163\x46\157\162\155"]); goto Fecee; F3ec5: c3fbc: goto Adfa8; a2a22: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto da1d6; } goto F008d; D448d: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto C49cc; } goto Aa396; E7b33: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto D0c63; a4c3f: goto Fd7e4; goto Ead4d; bdff9: a4466: goto F91bc; b6124: a90c7: goto D2cf7; F4d9e: if (!(false === is_null($response))) { goto fda1a; } goto e4a5c; D0c63: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto B7a53; F97a3: return $response; goto De58e; baf88: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto Cb744; } goto A1123; B7d03: efe8f: goto Bca19; da716: $response = null; goto eeafb; F70a6: Da875: goto F3ec5; dd5d4: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto efe8f; } goto b3d1a; a3ca7: a68b7: goto b6124; C9faf: Fad7f: goto a2a22; Bca19: $parameters["\x6e\157\144\145\x6a\163\123\145\x74\x74\x69\x6e\147\x73\106\x6f\162\x6d"] = $nodejsSettingsForm->createView(); goto d09a9; B7a53: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto a3760; } goto Ea362; E8b51: $siteDeleteForm->handleRequest($request); goto c1f22; B0248: if (!(false === is_null($response))) { goto F8c86; } goto c6c10; Fecee: F348b: goto D984b; D2973: return $response; goto F70a6; Bef4b: if (!(true === $phpSettingsForm->isSubmitted())) { goto a90c7; } goto d95fb; dc0da: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto E7b33; d95fb: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto de1f8; acd49: A8635: goto e494f; F03ab: $nodejsSettingsForm->handleRequest($request); goto D448d; A2fcb: f322c: goto A400d; F76f3: $parameters = ["\163\151\164\145" => $site, "\144\x6f\x6d\141\151\156\x53\x65\x74\164\x69\x6e\147\163\106\157\162\x6d" => $domainSettingsForm->createView(), "\x73\151\x74\145\x55\163\145\162\123\x65\164\164\x69\156\147\163\106\157\x72\155" => $siteUserSettingsForm->createView(), "\x70\141\x67\x65\123\x70\x65\145\144\x53\x65\x74\164\x69\x6e\x67\x73\106\x6f\x72\x6d" => $pageSpeedSettingsForm->createView(), "\163\x69\x74\145\x44\145\x6c\145\164\x65\106\x6f\162\x6d" => $siteDeleteForm->createView()]; goto cb1c3; F91bc: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto f322c; } goto c1f42; D984b: $parameters["\146\157\x72\x6d\x45\162\162\x6f\x72\x73"] = $this->formErrors; goto ca75b; B1f19: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto dd5d4; B0088: C49cc: goto B7d03; ca75b: $response = $this->render("\x46\x72\157\x6e\x74\145\x6e\x64\57\x53\x69\164\x65\x2f\163\x65\x74\x74\x69\x6e\147\x73\56\x68\164\x6d\x6c\56\x74\x77\151\147", $parameters); goto c9072; E3127: Cb744: goto C35e8; e494f: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto a4466; } goto e917d; d4eea: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto b4ce3; c6c10: return $response; goto ee226; b4ce3: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto D0d34; } goto E50dc; cc574: a3760: goto F76f3; e09d9: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto b38fc; } goto F8235; Ead4d: D33d6: goto c8313; Fc3b9: $parameters["\160\150\x70\123\145\164\164\151\x6e\x67\x73\106\157\162\x6d"] = $phpSettingsForm->createView(); goto bdff9; d4f90: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto a13ff; c8313: $domainSettingsData = ["\144\157\x6d\x61\x69\x6e\x4e\x61\x6d\x65" => $site->getDomainName(), "\x72\x6f\157\164\x44\151\x72\145\x63\x74\x6f\162\x79" => $site->getRootDirectory()]; goto Fa0b7; D8aef: if (false === is_null($site)) { goto D33d6; } goto F270f; F270f: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\163")); goto a4c3f; c2f2f: $parameters["\x72\x65\x76\x65\162\163\145\120\162\157\170\171\123\x65\x74\x74\151\156\x67\163\106\157\162\x6d"] = $reverseProxySettingsForm->createView(); goto Cb518; a99b4: $pageSpeedSettingsData = ["\151\x73\105\156\x61\x62\154\x65\144" => $site->getPageSpeedEnabled(), "\163\145\x74\164\151\156\147\163" => $site->getPageSpeedSettings()]; goto D9c16; F4672: $nodejsSettings = $site->getNodejsSettings(); goto B1f19; A1123: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto B0248; C35e8: D0d34: goto c2f2f; F0cfb: fda1a: goto cc574; C0efe: return $response; goto ec2ce; de1f8: if (!(false === is_null($response))) { goto a68b7; } goto e687d; D9ad1: da1d6: goto e09d9; e2f7a: b38fc: goto E2438; e97e9: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto Ec8e6; } goto c75e6; c75e6: $pythonSettingsForm->handleRequest($request); goto d916a; dd5b8: if (!(false === is_null($response))) { goto Da875; } goto D2973; Adfa8: Ec8e6: goto f1d8f; Fa0b7: $siteUserSettingsData = ["\163\x69\x74\145\x55\x73\x65\x72" => $site->getUser(), "\163\x73\150\x4b\x65\171\x73" => $site->getSshKeys()]; goto B5011; Daaf2: $site = $this->getSite($request); goto D8aef; D9c16: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto dc0da; cb1c3: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto A8635; } goto F4672; d8259: if (!(false === is_null($response))) { goto Dc48a; } goto C0efe; d916a: if (!(true === $pythonSettingsForm->isSubmitted())) { goto c3fbc; } goto b5a26; a13ff: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto bc0d7; } goto da067; e687d: return $response; goto a3ca7; b3d1a: $currentNodeSettings = clone $nodejsSettings; goto F03ab; f1d8f: $parameters["\x70\171\x74\150\x6f\x6e\123\x65\x74\164\x69\x6e\x67\163\106\157\162\x6d"] = $pythonSettingsForm->createView(); goto A2fcb; A7241: $phpSettingsForm->handleRequest($request); goto Bef4b; d2fc0: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto Fbc79; B5011: $siteDeleteData = ["\x64\x6f\155\x61\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()]; goto a99b4; D2cf7: bc0d7: goto Fc3b9; ec2ce: Dc48a: goto B0088; d09a9: unset($parameters["\x70\141\147\x65\123\x70\x65\145\144\x53\x65\164\x74\x69\x6e\x67\163\x46\x6f\162\x6d"]); goto acd49; De58e: } public function purgePageSpeedCache(Request $request) : Response { goto f48f5; B24c0: try { goto F4298; c15cd: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto dbafc; Cd308: $eventData = ["\163\x69\164\145" => $site->getDomainName()]; goto c15cd; dbafc: $session->getFlashBag()->set("\163\x75\143\143\x65\163\x73", $this->translator->trans("\x50\141\147\145\40\123\x70\x65\145\144\x20\x43\x61\x63\x68\x65\x20\x68\141\x73\x20\x62\x65\x65\x6e\x20\160\165\x72\147\145\x64\x2e")); goto f24f2; F4298: $user = $this->getUser(); goto B8459; B9d83: $siteUpdater = $this->getSiteUpdater($site); goto E5c60; E5c60: $siteUpdater->purgePageSpeedCache(); goto Cd308; B8459: $session = $request->getSession(); goto B9d83; f24f2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\x41\x6e\40\145\x72\x72\157\x72\x20\150\141\x73\40\157\x63\143\165\162\162\145\144\54\x20\x65\x72\x72\x6f\162\x20\155\x65\163\163\141\x67\145\72\40\x25\x65\x72\162\157\162\115\145\x73\163\141\x67\x65\45", ["\x25\x65\162\162\x6f\x72\115\145\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto Fe703; aadd0: cec82: goto Ca5b4; f48f5: $site = $this->getSite($request); goto b4a5c; Ad40a: fa357: goto B24c0; Fe703: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\x74\x65\x5f\x73\x65\164\164\x69\156\147\x73", ["\x64\157\155\x61\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto C9a11; De9c0: goto cec82; goto Ad40a; F5a69: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\x65\163")); goto De9c0; b4a5c: if (false === is_null($site)) { goto fa357; } goto F5a69; Ca5b4: return $response; goto C5d1f; C9a11: return $response; goto aadd0; C5d1f: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto ca0e0; E7649: $form->add("\163\165\142\x6d\151\164", SubmitType::class, ["\141\164\164\162" => ["\x63\154\141\x73\x73" => "\x62\x74\156\40\x62\164\156\55\x62\x6c\x75\145\x20\x62\164\156\x2d\154\x67"], "\154\141\142\x65\x6c" => "\x53\x61\x76\145"]); goto f47a3; f47a3: return $form; goto c59f5; ca0e0: $form = $this->createForm("\101\x70\x70\134\106\157\162\x6d\134\x53\151\164\x65\104\157\x6d\141\151\156\123\145\164\164\x69\x6e\x67\x73\x54\171\160\x65", $data, ["\x61\x63\x74\x69\157\x6e" => $this->generateUrl("\x63\154\160\137\x73\151\x74\x65\x5f\x73\145\x74\164\151\x6e\147\x73", ["\144\157\155\141\x69\x6e\x4e\x61\x6d\x65" => $site->getDomainName()]), "\155\145\164\150\x6f\x64" => "\120\x4f\123\124", "\141\164\164\162" => []]); goto E7649; c59f5: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto D2dc0; e0a10: return $form; goto ff46c; e6217: $form->add("\x73\165\x62\155\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\x63\154\141\163\x73" => "\142\x74\x6e\x20\142\x74\156\x2d\142\154\x75\x65\x20\x62\164\156\x2d\x6c\x67"], "\154\141\x62\145\154" => "\x53\x61\166\x65"]); goto e0a10; D2dc0: $form = $this->createForm("\x41\160\160\x5c\x46\x6f\x72\155\x5c\123\151\x74\145\x55\x73\145\162\123\145\x74\164\x69\156\x67\x73\124\171\x70\x65", $data, ["\x61\143\164\x69\157\156" => $this->generateUrl("\143\154\x70\137\163\151\164\x65\x5f\x73\x65\x74\164\151\156\147\163", ["\x64\x6f\x6d\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()]), "\x6d\x65\x74\150\x6f\144" => "\120\117\123\124", "\x61\x74\x74\x72" => []]); goto e6217; ff46c: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto B4670; B4670: $form = $this->createForm("\x41\160\x70\134\x46\x6f\162\155\x5c\123\151\164\x65\120\141\147\x65\x53\160\x65\x65\x64\x53\145\x74\x74\151\x6e\147\163\124\171\x70\145", $data, ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\143\x6c\x70\137\x73\x69\x74\x65\x5f\163\145\x74\x74\x69\156\147\163", ["\x64\157\x6d\x61\x69\156\116\141\x6d\145" => $site->getDomainName()]), "\155\145\x74\x68\157\x64" => "\120\x4f\123\124", "\141\164\x74\162" => []]); goto C3ea8; ada7c: return $form; goto Bf8ec; C3ea8: $form->add("\163\x75\x62\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\154\141\163\x73" => "\142\x74\x6e\40\x62\164\156\55\142\154\x75\145\x20\142\x74\156\x2d\x6c\x67"], "\x6c\x61\142\145\x6c" => "\x53\x61\166\145"]); goto ada7c; Bf8ec: } private function createReverseProxySettingsForm(Site $site) : Form { goto A22e3; F0deb: $form = $this->createForm("\x41\x70\160\134\106\157\x72\155\134\123\x69\164\x65\122\x65\x76\145\x72\x73\x65\120\x72\x6f\170\171\123\145\164\x74\x69\x6e\x67\163\124\x79\x70\145", $data, ["\141\x63\164\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\145\x5f\163\x65\164\x74\151\156\x67\163", ["\144\157\x6d\141\x69\156\x4e\x61\x6d\145" => $site->getDomainName()]), "\155\x65\164\150\157\x64" => "\120\x4f\x53\124", "\x61\x74\x74\162" => ["\151\144" => "\x72\x65\166\x65\x72\x73\145\x2d\160\x72\x6f\x78\x79\55\x73\145\x74\x74\x69\156\147\x73\55\x66\157\x72\155"]]); goto c28c5; A22e3: $data = ["\x72\x65\166\145\x72\x73\x65\120\x72\157\170\171\x55\162\154" => $site->getReverseProxyUrl()]; goto F0deb; A7c88: return $form; goto e2f23; c28c5: $form->add("\x73\165\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\x74\162" => ["\143\154\141\x73\163" => "\x62\164\156\x20\142\164\156\x2d\x62\154\165\145\40\142\164\x6e\55\x6c\147"], "\154\x61\142\x65\x6c" => "\123\x61\166\x65"]); goto A7c88; e2f23: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto d5804; d5804: $form = $this->createForm("\101\160\x70\x5c\106\157\x72\155\134\123\151\x74\x65\x4e\x6f\x64\x65\x6a\163\123\145\164\x74\x69\x6e\147\x73\x54\x79\160\x65", $nodejsSettings, ["\141\x63\164\151\x6f\156" => $this->generateUrl("\143\x6c\x70\137\163\x69\164\x65\137\163\145\x74\164\151\x6e\x67\x73", ["\x64\157\x6d\141\151\x6e\x4e\141\155\x65" => $site->getDomainName()]), "\155\x65\164\x68\157\x64" => "\120\117\x53\x54", "\x61\x74\164\162" => ["\x69\x64" => "\x6e\157\x64\145\152\163\55\x73\x65\x74\164\x69\156\x67\x73\x2d\146\157\x72\155"]]); goto C9340; C9340: $form->add("\163\x75\142\155\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\x63\154\x61\163\163" => "\x62\164\x6e\x20\x62\x74\156\x2d\142\154\x75\145\x20\142\164\156\x2d\154\147"], "\154\x61\142\145\154" => "\123\141\x76\145"]); goto Cb5a5; Cb5a5: return $form; goto cbf78; cbf78: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto d4e71; d4e71: $form = $this->createForm("\x41\x70\x70\134\x46\x6f\x72\x6d\x5c\x53\151\x74\145\x50\150\x70\x53\145\x74\164\x69\156\147\x73\x54\171\160\145", $phpSettings, ["\141\x63\164\151\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\163\x69\164\x65\x5f\163\x65\x74\x74\x69\156\147\163", ["\x64\x6f\155\x61\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()]), "\155\145\x74\150\157\x64" => "\x50\117\123\124", "\141\164\164\x72" => []]); goto B56d9; deb1c: return $form; goto Dfae5; B56d9: $form->add("\163\165\x62\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\154\x61\x73\x73" => "\142\x74\x6e\40\x62\164\x6e\x2d\142\x6c\x75\145\x20\x62\x74\x6e\55\x6c\x67"], "\154\x61\142\x65\154" => "\x53\141\x76\x65"]); goto deb1c; Dfae5: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto e3b58; B3c48: $form->add("\163\165\142\155\151\164", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\x61\163\x73" => "\x62\x74\156\x20\142\x74\x6e\55\142\154\165\x65\x20\x62\164\156\x2d\154\x67"], "\154\x61\142\145\154" => "\x53\141\x76\145"]); goto fea05; fea05: return $form; goto A55b2; e3b58: $form = $this->createForm("\x41\160\x70\134\x46\x6f\162\x6d\134\x53\x69\x74\x65\120\x79\x74\x68\157\156\x53\x65\164\x74\x69\156\147\163\x54\171\x70\x65", $pythonSettings, ["\x61\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\137\x73\x65\x74\x74\x69\156\147\x73", ["\x64\157\155\141\x69\156\116\141\155\145" => $site->getDomainName()]), "\155\x65\x74\x68\157\144" => "\120\x4f\x53\124", "\x61\x74\x74\162" => []]); goto B3c48; A55b2: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto D2604; D2604: $form = $this->createForm("\x41\160\160\134\x46\157\x72\155\134\x53\x69\164\145\x44\x65\154\x65\x74\x65\x54\171\x70\145", $data, ["\141\143\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\163\151\x74\x65\137\x73\145\x74\x74\151\156\147\x73", ["\x64\157\155\141\x69\156\x4e\141\x6d\x65" => $site->getDomainName()]), "\x6d\x65\164\150\x6f\x64" => "\x50\117\123\x54", "\x61\x74\164\x72" => []]); goto Bc2ff; fe1fb: return $form; goto A39f9; Bc2ff: $form->add("\163\x75\142\x6d\x69\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\x63\x6c\x61\163\x73" => "\x62\164\x6e\40\142\164\x6e\55\142\x6c\165\145\x20\142\x74\156\x2d\154\x67", "\144\151\x73\141\x62\154\145\x64" => "\x64\151\163\x61\x62\x6c\145\x64"], "\x6c\141\x62\x65\x6c" => "\x44\145\x6c\x65\x74\145\40\x53\151\164\145"]); goto fe1fb; A39f9: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto a8966; a8966: if (true === $form->isValid()) { goto E45e8; } goto fa91e; fa91e: $this->formErrors = $this->getErrorMessages($form); goto d7a85; Bc4db: try { goto a5f00; E978f: f0d17: goto Ec62c; Ceca6: if (!(false === is_null($siteEntity))) { goto f0d17; } goto F1e72; E34ab: $siteEntity->setRootDirectory($rootDirectory); goto e4d06; d2784: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\x73", $this->translator->trans("\x52\x6f\x6f\164\40\104\151\162\x65\143\x74\x6f\x72\x79\x20\x68\141\163\40\x62\x65\145\156\x20\x73\141\x76\145\144\x2e")); goto E978f; F1e72: $rootDirectory = rtrim($form->get("\162\157\157\164\x44\151\162\145\143\x74\x6f\162\171")->getData(), "\x2f"); goto Ad455; a5f00: $user = $this->getUser(); goto e9ce7; e4d06: $this->siteEntityManager->updateEntity($siteEntity); goto Cf4fc; Bdfe5: $domainName = $site->getDomainName(); goto Da3b7; c8169: $eventData = ["\x73\151\164\x65" => $domainName, "\x72\157\157\x74\x44\151\x72\x65\143\x74\x6f\x72\171" => $rootDirectory]; goto a24d9; Cf4fc: $siteUpdater = $this->getSiteUpdater($site); goto cd4e3; Ad455: $site->setRootDirectory($rootDirectory); goto E34ab; e9ce7: $session = $request->getSession(); goto Bdfe5; Ec62c: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\145\137\163\x65\164\x74\x69\x6e\x67\163", ["\144\157\x6d\x61\151\x6e\x4e\141\155\145" => $site->getDomainName()])); goto e67ff; e67ff: return $response; goto A0cfb; a24d9: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto d2784; cd4e3: $siteUpdater->domainSettings(); goto c8169; Da3b7: $siteEntity = $this->getSiteEntity($domainName); goto Ceca6; A0cfb: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\x72", $this->translator->trans("\x41\x6e\40\145\162\x72\x6f\x72\x20\150\141\163\x20\157\143\x63\165\162\x72\x65\144\54\x20\145\162\x72\157\162\x20\155\x65\x73\163\141\x67\x65\72\x20\45\x65\x72\162\157\162\115\x65\x73\x73\x61\147\145\45", ["\45\145\162\162\157\162\115\x65\x73\x73\141\x67\145\45" => $e->getMessage()])); } goto d2c78; d654e: E45e8: goto Bc4db; d7a85: goto f0431; goto d654e; d2c78: f0431: goto ed4a9; ed4a9: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto D7aef; b8be2: c967c: goto a40d2; e15ac: goto Cbc37; goto b8be2; D7aef: if (true === $form->isValid()) { goto c967c; } goto Ef810; f0b0a: Cbc37: goto E0401; Ef810: $this->formErrors = $this->getErrorMessages($form); goto e15ac; a40d2: try { goto d64a2; A71e7: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\163", $this->translator->trans("\x53\x69\x74\145\40\x55\x73\145\162\x20\x53\145\164\x74\151\156\x67\163\40\x68\141\x76\145\40\142\145\145\x6e\x20\163\x61\x76\145\x64\x2e")); goto F9af7; Ffb84: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\145\137\x73\145\x74\x74\x69\x6e\x67\x73", ["\x64\157\155\x61\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto a6bbd; cfe22: if (!(false === empty($password))) { goto e6487; } goto B42ea; a1926: $siteEntity = $this->getSiteEntity($domainName); goto eca4b; B42ea: $siteUpdater->changeUserPassword($siteUser, $password); goto ef000; Be748: $eventData = ["\x73\151\164\145" => $domainName, "\x73\x73\150\113\x65\x79\163" => $sshKeys]; goto A29b2; a6bbd: return $response; goto f779f; c559d: $siteEntity->setSshKeys($sshKeys); goto D2136; A0e9a: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto cfe22; d64a2: $user = $this->getUser(); goto D7cd8; F9af7: c376f: goto Ffb84; cd73d: $password = trim($form->get("\x70\x61\163\x73\167\x6f\x72\144")->getData()); goto c559d; aaf71: $siteUser = $site->getUser(); goto ddf39; ff130: $domainName = $site->getDomainName(); goto a1926; ef000: e6487: goto Be748; be188: $siteUpdater = $this->getSiteUpdater($site); goto A0e9a; eca4b: if (!(false === is_null($siteEntity))) { goto c376f; } goto aaf71; D7cd8: $session = $request->getSession(); goto ff130; D2136: $this->siteEntityManager->updateEntity($siteEntity); goto be188; ddf39: $sshKeys = trim($form->get("\163\163\x68\x4b\145\171\x73")->getData()); goto cd73d; A29b2: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto A71e7; f779f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\101\156\40\145\x72\x72\157\x72\x20\x68\141\x73\x20\157\x63\x63\x75\x72\x72\x65\144\54\40\x65\x72\x72\157\x72\x20\155\145\x73\163\141\147\x65\72\40\x25\x65\x72\x72\157\x72\x4d\145\163\x73\141\x67\x65\45", ["\45\x65\x72\x72\157\162\x4d\x65\x73\163\x61\147\145\45" => $e->getMessage()])); } goto f0b0a; E0401: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto D02c2; ee0cd: try { goto a57f0; A33eb: $domainName = $site->getDomainName(); goto fb04c; Ceb08: $settings = trim($form->get("\x73\145\164\164\x69\x6e\147\163")->getData()); goto bddcb; ff55b: $session = $request->getSession(); goto A33eb; E499b: $siteUpdater->purgePageSpeedCache(); goto dc3b2; bddcb: $site->setPageSpeedEnabled($isEnabled); goto Deabf; A658f: $this->siteEntityManager->updateEntity($siteEntity); goto Fca21; F9cb4: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto A8c2b; B67aa: $siteUpdater->updateNginxVhostWithRollback(); goto E499b; d440a: e60b5: goto e55f4; Fca21: $eventData = ["\x73\151\164\145" => $domainName, "\160\x61\147\145\x53\x70\145\x65\144\x45\156\141\x62\154\145\x64" => $isEnabled, "\x70\x61\147\145\x53\160\145\x65\x64\123\x65\x74\164\151\156\x67\163" => $settings]; goto F9cb4; Deabf: $site->setPageSpeedSettings($settings); goto Ad8e1; D2feb: $isEnabled = $form->get("\x69\x73\105\x6e\x61\142\154\x65\x64")->getData(); goto Ceb08; B3a3d: return $response; goto c8908; c7484: if (!(false === is_null($siteEntity))) { goto e60b5; } goto D2feb; D875c: $siteEntity->setPageSpeedSettings($settings); goto A658f; fb04c: $siteEntity = $this->getSiteEntity($domainName); goto c7484; A8c2b: $session->getFlashBag()->set("\163\165\x63\143\145\163\163", $this->translator->trans("\120\141\x67\145\x20\x53\160\145\145\x64\x20\x53\145\x74\164\151\x6e\147\163\40\x68\141\x76\x65\x20\142\x65\x65\156\x20\x73\141\166\x65\144\x2e")); goto d440a; dc3b2: $siteEntity->setPageSpeedEnabled($isEnabled); goto D875c; Ad8e1: $siteUpdater = $this->getSiteUpdater($site); goto B67aa; a57f0: $user = $this->getUser(); goto ff55b; e55f4: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\145\x5f\163\x65\164\164\151\156\147\x73", ["\x64\157\x6d\141\x69\156\116\141\155\145" => $site->getDomainName()])); goto B3a3d; c8908: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\x50\x61\x67\x65\123\160\x65\145\x64\40\123\145\x74\164\x69\x6e\147\40\x61\x72\x65\x20\x6e\x6f\164\40\x76\141\x6c\151\x64\x2c\40\x65\162\162\157\162\40\155\145\163\x73\141\x67\145\72\x20\x25\145\162\x72\157\x72\115\145\163\x73\141\147\x65\x25", ["\x25\145\x72\x72\157\162\115\145\x73\x73\141\x67\x65\x25" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\101\156\40\145\162\x72\x6f\x72\x20\x68\141\163\x20\x6f\143\143\x75\162\162\x65\144\x2c\40\145\x72\x72\x6f\x72\x20\155\145\x73\163\141\147\145\72\x20\45\x65\162\x72\157\x72\x4d\x65\x73\163\x61\147\x65\x25", ["\x25\145\162\162\157\x72\x4d\x65\163\163\141\x67\x65\x25" => $e->getMessage()])); } goto C022e; E2863: Cbaf3: goto ee0cd; c7636: $this->formErrors = $this->getErrorMessages($form); goto C1994; C022e: a05f8: goto B9cc7; D02c2: if (true === $form->isValid()) { goto Cbaf3; } goto c7636; C1994: goto a05f8; goto E2863; B9cc7: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto Ea621; Fd64f: $this->formErrors = $this->getErrorMessages($form); goto Fe915; Fe915: goto b76ba; goto Fdea6; Ea621: if (true === $form->isValid()) { goto B7979; } goto Fd64f; cc0a4: b76ba: goto f5a76; Fdea6: B7979: goto E6eda; E6eda: try { goto fe5bf; Fb333: if (!(false === is_null($siteEntity))) { goto Fec59; } goto C3fa3; Cebb0: $siteEntity = $this->getSiteEntity($domainName); goto Fb333; Bd127: $session = $request->getSession(); goto d27fa; C3fa3: $siteDeleter = $this->getSiteDeleter($site); goto dd6b8; eea73: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto A61b6; dd6b8: $siteDeleter->delete(); goto c26f1; F6b8d: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\145\x73")); goto a7660; fe5bf: $user = $this->getUser(); goto Bd127; d27fa: $domainName = $site->getDomainName(); goto Cebb0; A61b6: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\163", $this->translator->trans("\x53\151\164\145\x20\x68\141\163\40\142\145\x65\156\x20\x64\145\x6c\145\x74\145\144\x2e")); goto Cf742; e2e63: $eventData = ["\x73\x69\x74\x65" => $domainName, "\164\x79\160\145" => $site->getType()]; goto eea73; Cf742: Fec59: goto F6b8d; c26f1: $this->siteEntityManager->deleteEntity($siteEntity); goto e2e63; a7660: return $response; goto ec681; ec681: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\x72", $this->translator->trans("\101\156\x20\145\x72\x72\157\162\40\x68\141\x73\x20\157\143\143\x75\x72\162\x65\144\54\x20\x65\x72\x72\x6f\x72\x20\155\x65\x73\x73\141\x67\x65\72\x20\45\145\162\x72\157\162\115\145\x73\x73\141\147\145\45", ["\45\x65\162\162\157\x72\115\145\163\163\x61\x67\145\45" => $e->getMessage()])); } goto cc0a4; f5a76: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto B29fd; B29fd: if (true === $form->isValid()) { goto dbf7d; } goto f60d3; e8b9b: try { goto ed5e5; A5d46: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\x65\137\163\x65\164\164\x69\x6e\x67\x73", ["\144\x6f\155\141\x69\156\116\141\155\x65" => $site->getDomainName()])); goto f940c; C3d63: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto ad691; ff73b: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto C3d63; B5165: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\163", $this->translator->trans("\116\157\x64\x65\56\x6a\163\40\x53\x65\164\164\151\x6e\147\163\40\150\141\x76\x65\40\142\x65\x65\x6e\x20\x73\141\x76\x65\x64\x2e")); goto ec13a; ec13a: F4522: goto A5d46; e1e21: $siteEntity = $this->getSiteEntity($domainName); goto B584b; B584b: if (!(false === is_null($siteEntity))) { goto F4522; } goto Dac1d; E14b5: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto B5165; dc3f9: $siteUpdater->installNodejsVersion(); goto ba3cb; Dac1d: $nodejsSettings = $form->getData(); goto ff73b; ba3cb: E8fd4: goto f4be8; d8913: $this->siteEntityManager->updateEntity($siteEntity); goto d6b9e; E2569: $domainName = $site->getDomainName(); goto e1e21; aba93: if (!(true === $hasNodejsVersionChanged)) { goto E8fd4; } goto dc3f9; c8506: $session = $request->getSession(); goto E2569; ad691: $siteUpdater = $this->getSiteUpdater($site); goto aba93; f4be8: $siteUpdater->nodejsSettings(); goto d8913; ed5e5: $user = $this->getUser(); goto c8506; f940c: return $response; goto c2096; d6b9e: $eventData = ["\x73\x69\x74\145" => $domainName, "\156\x6f\x64\x65\x6a\x73\x56\x65\162\163\x69\157\x6e" => $nodejsVersion, "\160\x6f\x72\x74" => $nodejsSettings->getPort()]; goto E14b5; c2096: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\162", $this->translator->trans("\101\156\40\145\x72\162\157\162\40\150\141\163\x20\x6f\143\143\165\x72\x72\x65\144\54\40\145\162\162\x6f\162\40\x6d\145\163\163\141\147\145\x3a\x20\x25\145\x72\x72\157\162\115\145\x73\163\x61\147\145\x25", ["\x25\145\162\162\157\x72\x4d\x65\163\163\141\x67\x65\45" => $e->getMessage()])); } goto a49f7; f60d3: $this->formErrors = $this->getErrorMessages($form); goto Cbf5d; Cbf5d: goto d894c; goto Ccc87; Ccc87: dbf7d: goto e8b9b; a49f7: d894c: goto bab76; bab76: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto Dc628; C58d9: e2cc0: goto Bebc0; Dc628: if (true === $form->isValid()) { goto e2cc0; } goto C9eb1; Bebc0: try { goto C6c8f; eedc7: $pythonVersion = $pythonSettings->getPythonVersion(); goto f1d51; A5e75: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto dc1a2; Cac38: a100e: goto fcdf4; e08e9: $siteEntity = $this->getSiteEntity($domainName); goto dfd0e; dc1a2: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\163", $this->translator->trans("\x50\x79\x74\150\x6f\x6e\x20\123\x65\164\164\x69\x6e\x67\163\x20\x68\141\x76\145\x20\x62\145\x65\x6e\x20\163\x61\166\x65\144\x2e")); goto Cac38; f52f4: $siteUpdater->pythonSettings(); goto ca174; C19aa: $pythonSettings = $form->getData(); goto eedc7; C6c8f: $user = $this->getUser(); goto b235a; f1d51: $siteUpdater = $this->getSiteUpdater($site); goto F69e3; ca174: $this->siteEntityManager->updateEntity($siteEntity); goto ca791; ed777: return $response; goto cf270; dfd0e: if (!(false === is_null($siteEntity))) { goto a100e; } goto C19aa; fcdf4: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\x74\x65\137\163\x65\164\164\x69\156\x67\163", ["\x64\x6f\x6d\x61\x69\x6e\116\141\x6d\145" => $site->getDomainName()])); goto ed777; b235a: $session = $request->getSession(); goto fb240; ca791: $eventData = ["\163\151\x74\145" => $domainName, "\x70\x79\164\150\x6f\156\126\145\x72\163\151\157\x6e" => $pythonVersion, "\160\x6f\162\164" => $pythonSettings->getPort()]; goto A5e75; fb240: $domainName = $site->getDomainName(); goto e08e9; F69e3: $siteUpdater->writePythonVersionFile(); goto f52f4; cf270: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\x72", $this->translator->trans("\x41\x6e\40\x65\x72\x72\x6f\x72\40\150\141\163\40\157\x63\143\165\x72\162\145\144\x2c\40\145\x72\162\157\x72\x20\x6d\x65\163\x73\x61\147\x65\x3a\x20\45\145\x72\x72\157\x72\x4d\x65\163\163\x61\147\145\x25", ["\45\145\162\162\x6f\162\115\x65\163\x73\x61\147\x65\x25" => $e->getMessage()])); } goto Ea102; C38db: goto Ef98b; goto C58d9; Ea102: Ef98b: goto c3a59; C9eb1: $this->formErrors = $this->getErrorMessages($form); goto C38db; c3a59: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto F4ab6; ad799: ab59d: goto b5eb2; Caeb4: goto c5347; goto ad799; F4ab6: if (true === $form->isValid()) { goto ab59d; } goto D7805; b5eb2: try { goto d6d97; e3b42: if (!(false === is_null($siteEntity))) { goto e4c0f; } goto c87e2; Ad387: $site->setReverseProxyUrl($reverseProxyUrl); goto Ed2c1; Ccb34: $eventData = ["\163\x69\x74\145" => $domainName, "\162\145\166\145\162\163\145\120\162\157\x78\171\x55\x72\154" => $reverseProxyUrl]; goto B8ec0; B8ec0: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto b407c; bf4e1: $session = $request->getSession(); goto Bb51e; Ed2c1: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto B91e3; d6d97: $user = $this->getUser(); goto bf4e1; c1fca: return $response; goto c49c1; d0208: $this->siteEntityManager->updateEntity($siteEntity); goto Ccb34; c87e2: $reverseProxyUrl = $form->get("\162\x65\166\x65\x72\x73\145\120\162\157\170\x79\x55\162\154")->getData(); goto Ad387; Bb51e: $domainName = $site->getDomainName(); goto f2a8b; f2a8b: $siteEntity = $this->getSiteEntity($domainName); goto e3b42; ac537: $siteUpdater->updateNginxVhostWithRollback(); goto d0208; b407c: $session->getFlashBag()->set("\163\165\143\x63\x65\163\163", $this->translator->trans("\x52\145\166\145\x72\x73\x65\x20\x50\162\x6f\x78\x79\x20\123\145\164\x74\151\156\147\163\x20\x68\141\166\x65\x20\142\145\145\x6e\40\x73\x61\x76\x65\144\56")); goto bc899; f62d6: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\x5f\163\145\164\x74\x69\156\x67\x73", ["\144\157\155\141\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto c1fca; bc899: e4c0f: goto f62d6; B91e3: $siteUpdater = $this->getSiteUpdater($site); goto ac537; c49c1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\101\x6e\40\x65\162\162\x6f\x72\x20\150\141\x73\40\x6f\x63\143\x75\x72\162\x65\x64\x2c\x20\145\x72\162\x6f\162\x20\155\145\x73\163\x61\x67\145\x3a\40\45\x65\x72\x72\157\x72\x4d\145\x73\163\x61\x67\145\x25", ["\45\145\x72\162\x6f\x72\x4d\145\x73\163\141\147\145\45" => $e->getMessage()])); } goto C5f24; D7805: $this->formErrors = $this->getErrorMessages($form); goto Caeb4; C5f24: c5347: goto a6ae3; a6ae3: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto F7be3; F7be3: if (true === $form->isValid()) { goto Bea11; } goto a8003; Db901: B946a: goto c7302; A7480: try { goto D2b6c; e7bf6: $domainName = $site->getDomainName(); goto a0f2c; C9640: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto Cc1a6; b3073: $phpSettings = $form->getData(); goto D7f96; D7f96: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto c9527; b22e0: $session = $request->getSession(); goto e7bf6; A0865: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto e3ff0; Cc1a6: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\163", $this->translator->trans("\120\x48\x50\40\x53\x65\164\x74\151\x6e\x67\x73\40\x68\141\166\145\x20\x62\x65\145\x6e\x20\163\141\x76\x65\144\x2e")); goto b8787; f4c63: $siteUpdater->phpSettings(); goto Dd13c; b8787: e0b39: goto abd60; a0f2c: $siteEntity = $this->getSiteEntity($domainName); goto bec82; D3269: return $response; goto f9589; bec82: if (!(false === is_null($siteEntity))) { goto e0b39; } goto b3073; abd60: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\x65\137\163\145\x74\x74\x69\x6e\x67\163", ["\x64\157\155\x61\151\156\116\x61\155\145" => $site->getDomainName()])); goto D3269; c9527: $siteUpdater = $this->getSiteUpdater($site); goto e3059; e3ff0: A7e34: goto f4c63; d4465: $eventData = ["\163\x69\164\x65" => $domainName, "\160\x68\160\126\x65\x72\x73\151\157\x6e" => $phpSettings->getPhpVersion(), "\155\145\155\157\x72\171\137\154\151\x6d\151\x74" => $phpSettings->getMemoryLimit(), "\x6d\x61\170\137\x65\170\145\143\x75\164\151\x6f\x6e\x5f\164\151\x6d\x65" => $phpSettings->getMaxExecutionTime(), "\155\141\170\137\x69\x6e\x70\165\x74\137\164\x69\155\x65" => $phpSettings->getMaxInputTime(), "\155\141\170\x5f\x69\156\x70\165\x74\x5f\166\141\162\163" => $phpSettings->getMaxInputVars(), "\x70\157\x73\164\x5f\155\x61\x78\137\163\151\172\145" => $phpSettings->getPostMaxSize(), "\165\160\x6c\157\x61\x64\137\155\141\x78\137\x66\151\154\145\163\151\x7a\x65" => $phpSettings->getUploadMaxFileSize()]; goto C9640; e3059: if (!(true === $hasPhpVersionChanged)) { goto A7e34; } goto A0865; D2b6c: $user = $this->getUser(); goto b22e0; Dd13c: $this->siteEntityManager->updateEntity($siteEntity); goto d4465; f9589: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\x72", $this->translator->trans("\101\156\x20\145\x72\162\157\x72\40\150\x61\x73\40\x6f\x63\x63\x75\x72\x72\x65\144\x2c\x20\x65\162\162\x6f\x72\40\x6d\145\163\163\141\x67\x65\x3a\x20\x25\x65\162\x72\x6f\x72\x4d\145\163\163\141\x67\x65\x25", ["\x25\x65\162\162\157\162\115\145\163\163\x61\x67\145\45" => $e->getMessage()])); } goto Db901; d540f: Bea11: goto A7480; eb91a: goto B946a; goto d540f; a8003: $this->formErrors = $this->getErrorMessages($form); goto eb91a; c7302: } private function getSite(Request $request) : ?Site { goto fa448; fa448: $user = $this->getUser(); goto E102f; E5f2c: return null; goto C1562; e0820: $siteType = $siteEntity->getType(); goto D92b5; D0264: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto E5142; } goto E5f2c; C1645: return $site; goto f1468; D92b5: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto b164e; Aabbf: goto a2dae; goto ebbb1; b164e: $site = new NodejsSite(); goto aa080; aa080: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Aabbf; ebbb1: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto a2dae; case SiteEntity::TYPE_PHP: goto D0c3e; b1ae6: $site->setVarnishCache($siteEntity->getVarnishCache()); goto F8479; F8479: goto a2dae; goto F7b0c; D0c3e: $site = new PhpSite(); goto Ae1c5; Ae1c5: $site->setPhpSettings($siteEntity->getPhpSettings()); goto b1ae6; F7b0c: case SiteEntity::TYPE_PYTHON: goto ed28c; D6395: goto a2dae; goto C714a; f2005: $site->setPythonSettings($siteEntity->getPythonSettings()); goto D6395; ed28c: $site = new PythonSite(); goto f2005; C714a: case SiteEntity::TYPE_REVERSE_PROXY: goto b2725; E6edb: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto A8537; b2725: $site = new ReverseProxySite(); goto E6edb; A8537: goto a2dae; goto Fd67b; Fd67b: } goto Ec2ed; Faa18: Ed9d5: goto ae536; E4c82: $site->setFtpUsers($siteEntity->getFtpUsers()); goto c7932; D2dc4: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto c093e; C1b6d: $site->setUser($siteEntity->getUser()); goto Ce522; d97c0: $subdomain = false === empty($subdomain) ? $subdomain : null; goto D134f; add71: $siteEntity = $this->getSiteEntity($domainName); goto bf802; Bbd52: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto D2dc4; Ea644: $subdomain = $resolvedDomainName->subDomain()->toString(); goto d97c0; Bf80f: $site->setRootDirectory($siteEntity->getRootDirectory()); goto bed54; Df719: $site->setRegistrableDomain($registrableDomain); goto C65e8; bf802: $site = null; goto f2a4b; C65e8: $site->setSubdomain($subdomain); goto Bf80f; D134f: $siteDatabases = $this->getSiteDatabases($siteEntity); goto C1b6d; C4ff2: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto e08a1; ba873: $site->setCronJobs($siteEntity->getCronJobs()); goto E4c82; D96e5: $site->setCertificate($siteEntity->getCertificate()); goto A255d; D1d11: $site->setBlockedIps($siteEntity->getBlockedIps()); goto bba40; A255d: $site->setCertificates($siteEntity->getCertificates()); goto ba873; Ce522: $site->setDomainName($siteEntity->getDomainName()); goto Df719; C1562: E5142: goto e0820; bd9b7: $site->setBlockedBots($siteEntity->getBlockedBots()); goto D1d11; e08a1: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Ea644; B7217: $site->setSshKeys($siteEntity->getSshKeys()); goto Bbd52; f2a4b: if (!(false === is_null($siteEntity))) { goto Fde92; } goto D0264; ae536: Fde92: goto C1645; C9fe5: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto Faa18; bba40: $site->setDatabases($siteDatabases); goto D96e5; e1b28: a2dae: goto b9864; E102f: $domainName = $request->get("\144\157\155\141\151\x6e\x4e\x61\155\145"); goto add71; Ec2ed: C8650: goto e1b28; c093e: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto C9fe5; c7932: $site->setSshUsers($siteEntity->getSshUsers()); goto B7217; bed54: $site->setBasicAuth($siteEntity->getBasicAuth()); goto bd9b7; b9864: if (!(false === is_null($site))) { goto Ed9d5; } goto C4ff2; f1468: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto fe4fc; fe4fc: $siteDatabases = new ArrayCollection(); goto E3d1f; F282f: B7140: goto e13af; e13af: return $siteDatabases; goto Aebce; E3d1f: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto f5912; f5912: $databaseEntities = $siteEntity->getDatabases(); goto B9f91; B9f91: foreach ($databaseEntities as $databaseEntity) { goto deeaf; e3050: Ea891: goto e71b9; a12fe: a2aa2: goto e3050; deeaf: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Ab8da; F00e2: $siteDatabases->add($databaseEntity); goto a12fe; Ab8da: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto a2aa2; } goto F00e2; e71b9: } goto F282f; Aebce: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto Cebf3; Cebf3: $siteUpdater = null; goto de987; f0659: Dc8d7: goto Cf9cd; C6ad2: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Dc8d7; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Dc8d7; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Dc8d7; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Dc8d7; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Dc8d7; } goto D467a; Cf9cd: return $siteUpdater; goto acc64; D467a: Da516: goto f0659; de987: $siteType = $site->getType(); goto C6ad2; acc64: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto C2d04; e8f04: $siteType = $site->getType(); goto fec30; fec30: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto a1506; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto a1506; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto a1506; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto a1506; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto a1506; } goto c89b9; C91a5: return $siteDeleter; goto B7802; C2d04: $siteDeleter = null; goto e8f04; c89b9: e856e: goto Ecf92; Ecf92: a1506: goto C91a5; B7802: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
