<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\150\164\x74\160\x73\72\57\x2f\x64\x33\x71\x6e\144\65\x34\x71\x38\147\x62\x33\152\x65\56\x63\x6c\x6f\x75\x64\146\x72\157\x6e\164\x2e\x6e\x65\164\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto Eeee0; D5dac: $this->userManager = $userManager; goto ca67b; A55de: $this->databaseServerManager = $databaseServerManager; goto D5dac; De743: $this->twig = $twig; goto f022e; ca67b: $this->cachePool = $cachePool; goto De743; Eeee0: $this->configManager = $configManager; goto A55de; f022e: } public function onKernelRequest(RequestEvent $event) : void { goto F15b2; E6573: return; goto Cc55c; Fcd84: $this->initialize($event); goto A705c; F15b2: if (!(false === $event->isMainRequest())) { goto D1634; } goto E6573; Cc55c: D1634: goto Fcd84; A705c: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto d0405; d0405: $command = $event->getCommand(); goto F6517; Db24a: $this->initialize($event); goto c1fdb; F6517: if (!$command instanceof Command) { goto E8cb7; } goto Db24a; c1fdb: E8cb7: goto Ea2f5; Ea2f5: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto E2f81; C489e: $this->setEnvironment($event); goto Bc25a; F1b83: $this->setCloudPanelReleaseChannel(); goto Bf811; Bf811: $this->setLetsEncryptPrivateKey(); goto b7ab9; b7ab9: $this->setDatabaseServer($event); goto C489e; E2f81: $this->setTimezone(); goto ee7ea; ee7ea: $this->setInstanceUid(); goto fd940; fd940: $this->setCloudPanelVersion(); goto F1b83; Bc25a: } private function setTimezone() : void { goto C4412; C4412: $timezone = $this->configManager->get("\x74\x69\155\145\172\157\x6e\145"); goto e4812; abfc5: $this->configManager->set("\164\151\x6d\x65\172\157\x6e\145", "\125\124\103"); goto Ec856; Ec856: A8a12: goto b5e33; e4812: if (!(true === is_null($timezone))) { goto A8a12; } goto abfc5; b5e33: } private function setInstanceUid() : void { goto D7f15; c0811: if (!(true === is_null($instanceUid))) { goto Ff458; } goto ce33e; ce33e: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto e8a61; d243a: Ff458: goto D9778; e8a61: $this->configManager->set("\151\156\x73\x74\x61\x6e\143\145\137\x75\151\x64", $instanceUid); goto d243a; D7f15: $instanceUid = $this->configManager->get("\151\x6e\x73\x74\141\156\x63\x65\x5f\x75\x69\144"); goto c0811; D9778: } private function setCloudPanelVersion() : void { goto a03d7; b7817: b76a2: goto Dcc5d; ebe7a: $this->configManager->set("\x61\160\x70\137\x76\145\162\163\x69\157\156", trim($appVersion)); goto b7817; a0144: if (!(false === is_null($appVersion))) { goto b76a2; } goto ebe7a; a03d7: $appVersion = $_ENV["\101\120\x50\137\126\x45\122\x53\x49\x4f\116"] ?? null; goto a0144; Dcc5d: } private function setCloudPanelReleaseChannel() : void { goto b398e; b0c72: C5ddf: goto Fbc8b; B0055: if (!(true === is_null($releaseChannel))) { goto C5ddf; } goto ee079; b398e: $releaseChannel = $this->configManager->get("\162\145\154\x65\141\163\145\x5f\x63\x68\x61\156\x6e\145\154"); goto B0055; ee079: $this->configManager->set("\x72\x65\154\145\x61\163\x65\137\x63\150\141\156\x6e\145\154", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto b0c72; Fbc8b: } private function setLetsEncryptPrivateKey() { goto b5e2e; C7883: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto f38f2; d276a: if (!(true === is_null($letsEncryptPrivateKey))) { goto Bdad0; } goto E029f; f38f2: $this->configManager->set("\154\x65\137\160\x72\151\x76\141\x74\x65\x5f\x6b\145\x79", $privateKey->getPEM()); goto a645c; fbff7: d652b: goto Aa68b; b5e2e: $numberOfUsers = $this->userManager->countAll(); goto Ee655; E029f: $rsaKeyGenerator = new RsaKeyGenerator(); goto C7883; a645c: Bdad0: goto fbff7; Ee655: if (!(0 < $numberOfUsers)) { goto d652b; } goto e3f1d; e3f1d: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\x5f\160\162\151\x76\x61\x74\145\137\153\145\x79"); goto d276a; Aa68b: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto A7eb7; b99e5: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto dc0d7; d4e96: $databaseServer->setPassword($encryptedPassword); goto a9074; e577a: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto fcfb7; b96e2: $tmpDatabaseServer->setPassword("\x72\x6f\x6f\164"); goto F30c2; d2c81: f1767: goto E57b4; fcfb7: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto dd6fa; Ac13d: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto bd6e7; a9074: if (!("\x64\145\166" != $_ENV["\101\x50\120\x5f\105\116\x56"])) { goto cc971; } goto E354a; E354a: $tmpDatabaseServer = clone $databaseServer; goto b96e2; F9119: $databaseServer->setVersion($databaseConnection->getVersion()); goto d4e96; C43e6: $password = "\162\x6f\x6f\x74"; goto C9276; c9f10: $encryptedPassword = Crypto::encrypt($password); goto f83d1; f83d1: $databaseServer = $this->databaseServerManager->createEntity(); goto C1a13; a757e: $databaseServer->setIsDefault(true); goto C0a0e; bd6e7: $databaseServer->setIsActive(true); goto a757e; b6478: c51c4: goto C43e6; C4236: $databaseServer->setEngine($databaseConnection->getEngine()); goto F9119; c3745: cc971: goto Bbc90; c707d: $databaseServer->setPassword(Crypto::encrypt("\162\157\157\164")); goto Ac13d; d0d47: $databaseServers = $this->databaseServerManager->findAll(); goto D8377; Cee1d: $databaseServer->setUserName("\162\x6f\157\x74"); goto c707d; A7eb7: $numberOfUsers = $this->userManager->countAll(); goto d0d47; D482f: goto Fce21; goto b6478; Bb697: if ("\x64\145\x76" == $_ENV["\x41\x50\120\x5f\105\116\x56"]) { goto c51c4; } goto E3f6b; E3f6b: $passwordGenerator = new PasswordGenerator(); goto Bffa2; C1a13: $databaseServer->setHost("\x31\x32\x37\56\60\56\60\56\61"); goto Cee1d; C9276: Fce21: goto c9f10; D8377: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto f1767; } goto Bb697; F30c2: $commandExecutor = new CommandExecutor(); goto b99e5; C0a0e: $databaseConnection = new DatabaseConnection($databaseServer); goto C4236; dd6fa: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto c3745; dc0d7: $changeDatabaseUserPasswordCommand->setUserName("\x72\x6f\x6f\164"); goto e577a; Bffa2: $password = $passwordGenerator->generate(); goto D482f; Bbc90: $this->databaseServerManager->updateEntity($databaseServer); goto d2c81; E57b4: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto d6703; bad8e: $instance->setUid($instanceUid); goto Ccbfc; Fd20c: goto Fb2a6; goto d2640; d5c95: $environment = new CloudPanelEnvironment(); goto Bc9ae; A745a: fd72b: goto Faa4b; d2640: d40ad: goto Aa51f; Cdd14: $command->setInstance($instance); goto Fd20c; C52b8: $command = $event->getCommand(); goto Cdd14; Ef0a9: Fb2a6: goto F051e; F1e79: if ($event instanceof RequestEvent) { goto d40ad; } goto C52b8; Ccbfc: Ce51c: goto dc2be; C6a8e: if (!(true === empty($ipv4PublicIp))) { goto e628a; } goto da688; D506d: $this->twig->addGlobal("\x69\163\x44\141\x72\153\x4d\x6f\x64\x65", $isDarkMode); goto Ef0a9; Aa51f: $request = $event->getRequest(); goto D01de; ff3a1: $this->twig->addGlobal("\x69\x6e\163\x74\141\156\x63\145", $instance); goto D506d; fce53: $request->attributes->set("\x69\163\104\141\x72\153\115\x6f\144\145", $isDarkMode); goto ff3a1; Fb1aa: $instanceUid = $this->configManager->get("\151\x6e\163\164\141\x6e\143\145\137\165\x69\144"); goto ea2e6; D01de: $host = $request->getHost(); goto fea33; d6703: $cloud = $this->configManager->get("\143\x6c\x6f\x75\x64"); goto d5c95; Cc500: $instance->setHostname($hostname); goto F1e79; D5a7b: $instance->setIpv4PublicIp($ipv4PublicIp); goto D3e17; dc2be: $instance->setEnvironment($environment); goto b6992; b6992: $hostname = gethostname(); goto Cc500; D3e17: e628a: goto e648b; D5bf5: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto C6a8e; Bc9ae: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto A2f52; c929e: $instance->setInstanceType("\164\63\x2e\x78\154\x61\162\147\x65"); goto Faea6; Ee191: if (!("\x64\x65\x76" == $_ENV["\x41\x50\120\x5f\105\x4e\126"])) { goto b38d8; } goto a286d; Ce58e: $instance->setInstanceId($instanceId); goto c929e; Ea808: $region = $_ENV["\104\105\126\137\x41\127\x53\x5f\122\105\x47\111\117\116"] ?? ''; goto Ce58e; Faea6: $instance->setRegion($region); goto B5b26; d04f5: $instance = new AwsInstance(); goto Ee191; a286d: $instanceId = $_ENV["\x44\105\x56\137\x41\127\123\x5f\x49\116\x53\124\x41\x4e\103\105\137\111\104"] ?? ''; goto Ea808; B5b26: b38d8: goto a2478; a2478: goto Bd82a; goto Ef3f8; A2f52: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto d04f5; Ef3f8: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto d4e36; a143c: $instance->setFloatingIp("\61\62\x37\56\60\56\60\x2e\x31"); goto ebdba; b16a4: $instance->setDropletId($dropletId); goto F46a7; b97f0: if (!("\144\x65\166" == $_ENV["\x41\x50\120\x5f\105\x4e\x56"])) { goto fe24b; } goto A7470; c2df7: cf6e6: goto d4603; Fc682: $token = $this->configManager->get("\144\157\137\x61\x63\x63\x65\163\x73\137\x74\157\x6b\x65\156"); goto Ce195; A787c: fe24b: goto E0474; A7470: $dropletId = $_ENV["\104\105\x56\x5f\x44\x4f\137\x44\x52\x4f\x50\x4c\105\x54\x5f\x49\104"] ?? ''; goto Bbbb7; Ce195: if (!(false === is_null($token))) { goto cf6e6; } goto c6691; E9587: $doClient = new DoClient(); goto Fc682; c6691: $doClient->setToken($token); goto c2df7; d4603: $instance = new DoInstance($doClient); goto Ce929; E0474: goto Bd82a; goto Ba037; F46a7: $instance->setRegion($region); goto a143c; ebdba: $instance->setIpv4PublicIp("\61\x32\67\56\60\56\x30\56\61"); goto A787c; d4e36: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto E9587; Bbbb7: $region = $_ENV["\x44\105\126\137\104\x4f\137\122\105\107\x49\x4f\116"] ?? ''; goto b16a4; Ce929: $doClient->setInstance($instance); goto b97f0; Ba037: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto C7ff2; A0a2b: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto C8a1a; c3590: $instance = new GceInstance($gceClient); goto Fba36; b78aa: goto Bd82a; goto Ce63d; cd95e: $instance->setProjectId($projectId); goto c71b0; C7ff2: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto d45a3; Ca804: $machineType = $_ENV["\x44\105\126\137\x47\x43\105\137\x4d\101\103\x48\111\x4e\105\137\124\x59\x50\x45"] ?? ''; goto Cdcd6; b586e: $instance->setIpv4PublicIp("\61\x32\67\56\60\x2e\60\x2e\x31"); goto cd95e; c71b0: $instance->setInstanceId($instanceId); goto Aad4e; Fba36: $gceClient->setGceInstance($instance); goto eb2ec; E0465: c7b1a: goto c3590; eb2ec: if (!("\144\145\x76" == $_ENV["\101\x50\x50\137\x45\x4e\x56"])) { goto e626e; } goto d5dd1; Fb9d5: $serviceAccountKeys = $this->configManager->get("\x67\x63\x65\x5f\x73\x65\162\x76\151\x63\x65\137\141\143\143\x6f\165\156\164\137\x6b\x65\171\163"); goto D3f8b; D5f5a: $instance->setMachineType($machineType); goto Cd6d1; d45a3: $gceClient = new GceClient(); goto Fb9d5; Cdcd6: $zone = $_ENV["\x44\105\126\x5f\x47\103\105\137\x5a\117\116\105"] ?? ''; goto b586e; d5dd1: $projectId = $_ENV["\x44\105\x56\137\x47\x43\x45\137\x50\122\117\x4a\105\x43\124\x5f\111\104"] ?? ''; goto E9114; Cd6d1: $instance->setZone($zone); goto ac7dc; ac7dc: e626e: goto b78aa; E9114: $instanceId = $_ENV["\x44\x45\126\x5f\107\x43\x45\137\x49\x4e\123\124\x41\116\103\x45\x5f\111\104"] ?? ''; goto Ecca2; Ecca2: $instanceName = $_ENV["\x44\105\126\x5f\x47\x43\105\137\x49\116\123\124\101\x4e\x43\x45\137\x4e\x41\x4d\x45"] ?? ''; goto Ca804; Aad4e: $instance->setInstanceName($instanceName); goto D5f5a; C8a1a: $gceClient->setAuthConfig($serviceAccountKeys); goto E0465; D3f8b: if (!(false === is_null($serviceAccountKeys))) { goto c7b1a; } goto A0a2b; Ce63d: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto B34f8; e5389: $apiToken = $this->configManager->get("\x68\x65\x74\x7a\x6e\x65\162\x5f\141\x70\x69\137\x74\x6f\153\145\x6e"); goto Fb2bb; E0a8a: $hetznerClient->setToken($apiToken); goto f604d; Cdddf: $instanceId = $_ENV["\104\105\x56\x5f\110\x45\124\132\x4e\x45\122\137\111\x4e\x53\124\x41\116\x43\105\137\x49\x44"] ?? ''; goto b478c; F270c: $instance = new HetznerInstance($hetznerClient); goto c5be6; b478c: $instance->setIpv4PublicIp("\x31\x32\67\x2e\x30\56\x30\x2e\x31"); goto C16ec; Aa5aa: goto Bd82a; goto A7c7e; f71b1: bcfb9: goto Aa5aa; beb1c: if (!("\x64\x65\x76" == $_ENV["\x41\120\x50\x5f\105\x4e\x56"])) { goto bcfb9; } goto Cdddf; C16ec: $instance->setInstanceId($instanceId); goto f71b1; D41ba: $hetznerClient = new HetznerClient(); goto e5389; B34f8: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto D41ba; Fb2bb: if (!(false === is_null($apiToken))) { goto f5152; } goto E0a8a; c5be6: $hetznerClient->setInstance($instance); goto beb1c; f604d: f5152: goto F270c; A7c7e: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto e0a14; B5f2b: $instance->setIpv4PublicIp($ipv4PublicIp); goto c3604; e0a14: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto A6f2d; B364d: goto Bd82a; goto b1245; A4b53: $instanceId = $_ENV["\104\x45\126\x5f\126\x55\x4c\124\122\x5f\111\116\123\124\101\x4e\x43\x45\x5f\x49\104"] ?? ''; goto Bde09; c3604: $instance->setInstanceId($instanceId); goto F72f4; A8f4f: $vultrClient->setApiKey($apiKey); goto D08a0; C26e4: if (!(false === is_null($apiKey))) { goto Ec386; } goto A8f4f; A6f2d: $vultrClient = new VultrClient(); goto e7156; Bde09: $ipv4PublicIp = $_ENV["\104\x45\x56\x5f\126\125\114\x54\122\x5f\x49\x50\x5f\x56\64\137\x50\x55\102\x4c\111\x43"] ?? "\61\x32\67\x2e\60\x2e\60\x2e\x31"; goto B5f2b; D08a0: Ec386: goto Cd373; F72f4: eaa33: goto B364d; Cd373: $instance = new VultrInstance($vultrClient); goto d5f27; d5f27: $vultrClient->setVultrInstance($instance); goto df471; e7156: $apiKey = $this->configManager->get("\166\165\x6c\164\162\137\141\x70\x69\137\153\x65\171"); goto C26e4; df471: if (!("\144\x65\166" == $_ENV["\101\120\120\x5f\x45\116\126"])) { goto eaa33; } goto A4b53; b1245: default: $instance = new Instance(); goto Bd82a; } goto A745a; ea2e6: if (!(false === is_null($instanceUid))) { goto Ce51c; } goto bad8e; fea33: $isDarkMode = false === is_null($request->cookies->get("\164\x68\145\x6d\x65")) && "\x64\141\x72\153" == $request->cookies->get("\164\x68\x65\x6d\x65") ? true : false; goto D5bf5; da688: $ipv4PublicIp = ''; goto A6478; A6478: try { $ipv4PublicIp = $this->cachePool->get("\x69\160\x76\64\x5f\x70\x75\142\x6c\x69\143\x5f\151\160", function (ItemInterface $item) { goto F741b; cecec: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto cc1e1; A28b3: $config = ["\164\x69\155\x65\157\x75\164" => 5, "\166\x65\x72\x69\146\x79" => false, "\150\x65\x61\x64\145\162\x73" => ["\x55\163\x65\162\55\101\147\145\156\164" => "\103\154\x6f\165\x64\x50\x61\156\x65\x6c\x20\166\x32"]]; goto bab05; eceb2: $ipv4PublicIp = null; goto A28b3; bab05: $httpClient = new HttpClient($config); goto E6cf4; C710a: return $ipv4PublicIp; goto eb744; bfe1e: Aa2e9: goto C710a; F741b: $item->expiresAfter(3600); goto eceb2; cc1e1: $responseStatusCode = $response->getStatusCode(); goto Dddb0; Ddcbb: $ipv4PublicIp = trim((string) $response->getBody()); goto bfe1e; E6cf4: $request = new Request("\107\105\124", self::IP_REQUEST_URL); goto cecec; Dddb0: if (!(200 == $responseStatusCode)) { goto Aa2e9; } goto Ddcbb; eb744: }); } catch (\Exception $e) { } goto D5a7b; e648b: $request->attributes->set("\x69\156\163\164\141\156\143\145", $instance); goto fce53; Faa4b: Bd82a: goto Fb1aa; F051e: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\x6e\113\x65\x72\x6e\145\x6c\122\x65\x71\165\145\163\164", 25]], ConsoleEvents::COMMAND => [["\x6f\156\x43\x6f\x6e\x73\x6f\x6c\145\x43\x6f\x6d\155\141\x6e\144", 25]]]; } }
