<?php
 namespace App\Form; use Symfony\Component\Form\AbstractType; use Symfony\Component\Form\FormBuilderInterface; use Symfony\Component\OptionsResolver\OptionsResolverInterface; use Symfony\Component\Form\FormEvents; use Symfony\Component\Form\FormEvent; use Symfony\Component\Form\Extension\Core\Type\TextType; use Symfony\Component\Form\Extension\Core\Type\EmailType; use Symfony\Component\Validator\Constraints as Assert; use Symfony\Bridge\Doctrine\Form\Type\EntityType; use Symfony\Component\Form\Extension\Core\Type\ChoiceType; use Doctrine\ORM\EntityManagerInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Repository\TimezoneRepository as TimezoneEntityRepository; use App\Entity\User as UserEntity; use App\Entity\Timezone as TimezoneEntity; use App\Validator\Constraints\UserSites as UserSitesConstraint; class AdminUserType extends AbstractType { private SiteEntityManager $siteEntityManager; private TimezoneEntityRepository $timezoneEntityRepository; public function __construct(SiteEntityManager $siteEntityManager, EntityManagerInterface $entityManager) { $this->siteEntityManager = $siteEntityManager; $this->timezoneEntityRepository = $entityManager->getRepository(TimezoneEntity::class); } public function buildForm(FormBuilderInterface $builder, array $options) : void { goto E2136; E2136: $userEntity = $options["\144\141\164\x61"]; goto Fde81; b5def: $builder->add("\x73\x74\141\164\x75\163", ChoiceType::class, ["\162\145\161\x75\x69\x72\x65\144" => true, "\141\x74\164\162" => ["\143\154\x61\163\x73" => "\x66\x6f\x72\155\x2d\x73\x65\x6c\x65\143\164\x20\146\157\162\x6d\55\163\145\154\145\143\164\x2d\154\147"], "\154\x61\142\x65\154" => "\123\164\x61\164\165\x73", "\x63\x68\x6f\151\143\x65\x73" => $statusChoices]); goto Da7f6; A0cd9: $builder->add("\165\163\145\x72\x4e\141\155\145", TextType::class, ["\162\x65\x71\x75\151\162\x65\x64" => true, "\141\164\164\x72" => ["\143\x6c\141\163\x73" => "\146\157\x72\155\x2d\143\x6f\156\164\162\x6f\x6c\x20\146\157\162\155\55\143\157\x6e\164\162\x6f\x6c\x2d\x6c\x67"], "\x6c\141\142\x65\154" => "\x55\163\145\x72\x20\x4e\x61\x6d\145"]); goto a4ac5; C8209: $builder->addEventListener(FormEvents::PRE_SUBMIT, function (FormEvent $event) use($userEntity) { goto aaedd; ec8ea: $event->setData($data); goto C965b; aaedd: $data = $event->getData(); goto b4e69; Da5ea: $data["\x6c\141\x73\x74\116\x61\155\x65"] = true === isset($data["\x6c\x61\x73\164\x4e\141\x6d\x65"]) ? ucfirst($data["\154\141\x73\x74\x4e\x61\155\145"]) : ''; goto ec8ea; dcb78: $data["\146\151\162\x73\164\x4e\141\x6d\x65"] = true === isset($data["\146\151\x72\163\x74\116\x61\x6d\x65"]) ? ucfirst($data["\x66\x69\162\x73\164\116\141\x6d\145"]) : ''; goto Da5ea; b4e69: $data["\x75\x73\x65\x72\x4e\141\x6d\x65"] = true === isset($data["\x75\163\145\x72\x4e\141\155\145"]) ? strtolower($data["\x75\163\145\162\x4e\141\x6d\145"]) : ''; goto dcb78; C965b: }); goto Ab0c8; f9dc5: $statusChoices = ["\x41\143\x74\x69\x76\145" => UserEntity::STATUS_ACTIVE, "\116\157\164\40\x41\x63\164\x69\x76\x65" => UserEntity::STATUS_NOT_ACTIVE]; goto b5def; D7d54: $timezoneEntityRepository = $this->timezoneEntityRepository; goto E64b9; Da7f6: $roleChoices = ["\x41\x64\x6d\151\x6e" => UserEntity::ROLE_ADMIN, "\x55\x73\x65\162" => UserEntity::ROLE_USER, "\123\151\164\145\40\x4d\141\x6e\x61\147\x65\162" => UserEntity::ROLE_SITE_MANAGER]; goto D7c27; a85e2: $builder->add("\x70\154\141\151\x6e\120\x61\x73\x73\x77\x6f\162\x64", TextType::class, ["\x72\x65\161\165\151\x72\145\x64" => true, "\141\x74\164\x72" => ["\143\x6c\141\x73\163" => "\x66\157\x72\155\x2d\x63\157\x6e\164\162\157\154\x20\x66\x6f\x72\x6d\55\143\x6f\x6e\164\x72\x6f\x6c\55\x6c\x67"], "\x6c\141\x62\145\x6c" => "\x50\x61\163\x73\x77\x6f\x72\x64", "\145\x6d\x70\164\171\137\x64\x61\164\x61" => null, "\143\x6f\x6e\x73\164\x72\x61\151\156\x74\x73" => [new Assert\Length(["\155\x69\156" => UserEntity::PASSWORD_MIN_LENGTH, "\x6d\x61\170" => UserEntity::PASSWORD_MAX_LENGTH])]]); goto f9dc5; D7c27: $builder->add("\162\x6f\154\x65", ChoiceType::class, ["\162\x65\x71\165\151\x72\x65\x64" => true, "\x61\x74\164\x72" => ["\143\x6c\x61\x73\163" => "\x66\x6f\x72\155\55\163\145\x6c\145\x63\164\40\146\x6f\162\x6d\x2d\163\145\154\145\143\164\55\x6c\x67"], "\154\141\142\x65\x6c" => "\122\x6f\x6c\145", "\143\x68\x6f\x69\x63\x65\x73" => $roleChoices]); goto D7d54; Cc0e2: $builder->add("\x6c\x61\163\164\116\x61\155\x65", TextType::class, ["\x72\x65\x71\x75\x69\x72\x65\x64" => true, "\x61\x74\x74\x72" => ["\143\154\141\163\163" => "\146\x6f\162\x6d\x2d\x63\x6f\156\x74\x72\157\154\x20\146\157\x72\x6d\55\x63\157\x6e\164\x72\157\154\x2d\154\147"], "\154\141\x62\145\x6c" => "\x4c\x61\x73\164\40\116\141\155\145"]); goto a85e2; E64b9: $builder->add("\x74\x69\155\145\172\x6f\x6e\x65", EntityType::class, ["\162\x65\161\165\151\162\145\144" => true, "\141\x74\x74\162" => ["\143\154\x61\163\163" => "\146\x6f\x72\155\x2d\x73\145\154\145\143\x74\x20\x66\x6f\x72\155\x2d\163\x65\154\145\143\x74\55\154\147"], "\154\141\142\x65\x6c" => "\124\151\155\x65\172\x6f\x6e\x65", "\143\x6c\x61\163\163" => TimezoneEntity::class, "\161\x75\x65\162\171\x5f\x62\165\151\154\x64\x65\162" => function ($timezoneEntityRepository) { return $timezoneEntityRepository->createQueryBuilder("\164")->orderBy("\x74\56\x69\144", "\101\123\103"); }, "\x63\150\157\x69\143\145\x5f\x6c\141\142\x65\154" => "\x6e\141\155\145"]); goto de688; Fec88: $builder->add("\146\x69\x72\163\x74\x4e\141\x6d\145", TextType::class, ["\162\x65\161\x75\151\162\x65\144" => true, "\141\x74\164\162" => ["\143\154\141\x73\163" => "\146\157\x72\x6d\x2d\x63\x6f\156\x74\162\157\x6c\x20\x66\x6f\162\x6d\55\x63\157\156\164\162\157\154\55\154\x67"], "\x6c\141\142\x65\154" => "\106\x69\162\163\164\x20\x4e\x61\x6d\x65"]); goto Cc0e2; a4ac5: $builder->add("\145\155\x61\151\x6c", EmailType::class, ["\x72\x65\x71\x75\151\x72\x65\144" => true, "\141\x74\164\162" => ["\143\x6c\141\163\163" => "\146\x6f\162\155\x2d\143\x6f\156\164\x72\157\x6c\40\x66\x6f\162\x6d\x2d\143\x6f\x6e\164\162\157\154\x2d\154\147"], "\x6c\141\x62\x65\154" => "\105\55\x4d\x61\x69\154"]); goto Fec88; Fde81: $userEntity->setPassword(''); goto A0cd9; de688: $builder->add("\163\x69\x74\x65\163", TextType::class, ["\x6c\x61\x62\x65\154" => "\123\x69\x74\145\163", "\x61\164\164\162" => ["\143\x6c\x61\x73\163" => "\144\x2d\x6e\157\156\145"], "\x6d\x61\x70\160\x65\x64" => false, "\x72\x65\x71\165\x69\162\145\x64" => false, "\x63\157\156\163\x74\x72\141\x69\x6e\x74\163" => [new UserSitesConstraint()]]); goto C8209; Ab0c8: } public function setDefaultOptions(OptionsResolverInterface $resolver) : void { $resolver->setDefaults(["\x64\x61\164\x61\137\x63\x6c\x61\163\x73" => "\x41\160\160\x5c\x45\x6e\164\x69\x74\171\x5c\125\x73\x65\x72"]); } public function getName() : string { return "\143\x6c\x70\137\x61\144\155\151\x6e\x5f\165\x73\145\x72"; } }
