<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto A6fd4; D0fe1: $certificateProcessor = new NginxCertificateProcessor(); goto A10ce; Bbbbb: $this->addProcessor($certificateProcessor); goto A302d; A302d: $this->addProcessor($settingsProcessor); goto a630e; B5133: $this->addProcessor($certificateKeyProcessor); goto Bbbbb; D43af: $this->addProcessor($redirectDomainProcessor); goto f50da; D2d3c: $this->addProcessor($rootDirectoryProcessor); goto f42ab; b7205: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto D0fe1; af22e: $this->addProcessor($redirectServerNameProcessor); goto D43af; fab2e: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto Dd536; Cfd32: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto a4d8e; A6fd4: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto E9350; f42ab: $this->addProcessor($serverNameProcessor); goto af22e; E9350: $serverNameProcessor = new ServerNameProcessor(); goto Cfd32; a4d8e: $redirectDomainProcessor = new RedirectDomainProcessor(); goto fab2e; Dd536: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto b7205; f50da: $this->addProcessor($nginxAccessLogProcessor); goto E8dab; E8dab: $this->addProcessor($nginxErrorLogProcessor); goto B5133; A10ce: $settingsProcessor = new SettingsProcessor(); goto D2d3c; a630e: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto Bb2f6; Bb2f6: $processors = $this->getProcessors(); goto c8350; F12b5: de9e8: goto E9705; c8350: $placeholders = $this->getPlaceholders(); goto Bc433; Bc433: foreach ($placeholders as $placeholder) { goto Eb1e4; a5ee8: $processor = $processors[$placeholder]; goto E5643; b5114: if (!(true === $hasProcessor)) { goto A1f7a; } goto a5ee8; Eb1e4: $hasProcessor = $this->hasProcessor($placeholder); goto b5114; D19e4: $this->content = $processor->process($this->content); goto Ed784; Ed784: $this->removePlaceholder($placeholder); goto eeae6; Da265: c8942: goto E1eef; eeae6: A1f7a: goto Da265; E5643: $processor->setSite($this->site); goto D19e4; E1eef: } goto F12b5; E9705: } public function removeEmptyPlaceholders() : void { goto A6172; A6172: $placeholders = $this->getPlaceholders(); goto Dc177; c21fb: fb05c: goto D4de9; Dc177: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); e4a95: } goto c21fb; D4de9: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto B32d9; B32d9: if (!(true === empty($this->placeholders))) { goto B3a27; } goto b0345; Ed4ff: return $this->placeholders; goto C6a83; Cd751: Ad9bb: goto d1930; Ed46e: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto b5f56; } goto Bccad; b0345: preg_match_all("\57\x5b\173\173\x5d\173\x32\175\x28\133\x5c\163\x61\55\x7a\x41\x2d\x5a\x30\x2d\71\137\x5d\53\x29\x5b\x7d\175\x5d\x7b\x32\x7d\57", $this->content, $placeholders); goto Ed46e; b0fa4: B3a27: goto Ed4ff; D47eb: foreach ($placeholders as $placeholder) { goto e7e95; A8d46: if (!(false === empty($placeholder))) { goto e2976; } goto f12b8; E84b2: A6cbc: goto Dbc46; e7e95: $placeholder = trim($placeholder); goto A8d46; D054f: e2976: goto E84b2; f12b8: $this->addPlaceholder($placeholder); goto D054f; Dbc46: } goto Cd751; d1930: b5f56: goto b0fa4; Bccad: $placeholders = $placeholders[0]; goto D47eb; C6a83: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto Af01b; Af01b: if (!(true === isset($this->placeholders[$placeholder]))) { goto c5e4a; } goto Aefd3; Aefd3: unset($this->placeholders[$placeholder]); goto a7e3e; a7e3e: c5e4a: goto a6651; a6651: } }
