<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\x2f\x65\164\x63\57\156\147\x69\x6e\x78\x2f\x62\141\163\151\x63\x2d\141\x75\164\150\57"; public const NGINX_VHOST_DIRECTORY = "\x2f\145\x74\143\57\x6e\x67\x69\156\x78\x2f\x73\x69\x74\x65\x73\x2d\x65\x6e\141\x62\x6c\145\144\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\x2f\x65\164\143\x2f\x6e\147\151\156\x78\57\x73\x73\154\55\143\145\162\164\151\x66\x69\143\141\x74\145\x73\x2f"; public const CRON_DIRECTORY = "\57\x65\x74\143\x2f\143\x72\x6f\x6e\56\144\57"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto f2645; b5cc3: $vhostTemplate->build(); goto c6ff5; b10d8: $writeVhostFileCommand->setContent($vhostContent); goto d6362; Da2bd: A73f4: goto b3bd3; d6362: $this->commandExecutor->execute($writeVhostFileCommand); goto Dafc0; ff387: $writeVhostFileCommand->setFile($vhostFile); goto b10d8; c6ff5: $vhostTemplate->removeEmptyPlaceholders(); goto Ec016; b3bd3: $vhostTemplate->setContent($vhostFileContent); goto e2ea2; f2645: $domainName = $this->site->getDomainName(); goto f9f06; E26e9: efd32: goto Da2bd; Cde54: $writeVhostFileCommand = new WriteFileCommand(); goto ff387; f9f06: $vhostFileContent = $this->site->getVhostTemplate(); goto d3bb6; Ec016: $vhostContent = $vhostTemplate->getContent(); goto Cde54; d3bb6: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto A73f4; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto A73f4; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto A73f4; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto A73f4; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto A73f4; } goto E26e9; e2ea2: $vhostFile = sprintf("\45\163\x2f\x25\x73\56\143\x6f\x6e\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto b5cc3; Dafc0: } public function updateNginxVhostWithRollback() : void { try { goto F2183; F4565: $vhostBackupFile = sprintf("\x25\163\x2f\45\x73\56\x63\x6f\x6e\x66\56\x62\x61\x6b", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto c97f9; B6120: Feac3: goto Ccde2; a3286: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto F5667; a4a6c: $writeVhostFileCommand = new WriteFileCommand(); goto Ad263; d0845: if (!("\144\145\166" != $_ENV["\x41\x50\x50\x5f\105\x4e\126"])) { goto cf028; } goto Dfab8; a2947: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto a4a6c; E3866: $this->commandExecutor->execute($writeVhostFileCommand); goto A47ff; b5662: $this->commandExecutor->execute($reloadNginxServiceCommand); goto B28d6; c97f9: $copyVhostBackupFileCommand = new CopyFileCommand(); goto A16ef; D9d2c: $reloadNginxServiceCommand->setServiceName("\x6e\x67\151\x6e\x78"); goto b5662; e61e6: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto E3866; d4851: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto a649f; A16ef: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto a2947; A47ff: $this->commandExecutor->execute($nginxConfigTestCommand); goto d0845; B28d6: cf028: goto d4851; F2183: $domainName = $this->site->getDomainName(); goto f9084; b0eab: $writeVhostFileCommand->setContent($vhostContent); goto a3286; Ccde2: a577e: goto c0c08; f9084: $vhostFileContent = $this->site->getVhostTemplate(); goto f3c14; B8774: $vhostContent = $vhostTemplate->getContent(); goto F4565; f3c14: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto a577e; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto a577e; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto a577e; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto a577e; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto a577e; } goto B6120; ccd8a: $vhostTemplate->removeEmptyPlaceholders(); goto B8774; d14e1: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto e61e6; Dfab8: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto D9d2c; Ad263: $writeVhostFileCommand->setFile($vhostFile); goto b0eab; c0c08: $vhostTemplate->setContent($vhostFileContent); goto Eb12a; F5667: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto d14e1; c0099: $vhostTemplate->build(); goto ccd8a; Eb12a: $vhostFile = sprintf("\45\163\x2f\x25\163\56\x63\157\x6e\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto c0099; a649f: } catch (\Exception $e) { goto C0eb5; Cd3f1: throw new InvalidVhostException($errorMessage); goto b0f79; a66e6: Cde67: goto a8333; ca13e: $errorMessage = $nginxConfigTestCommand->getOutput(); goto a66e6; Cba78: D5cac: goto D02a2; C0eb5: $errorMessage = $e->getMessage(); goto efe1a; a8333: $restoreBackupFileCommand = new CopyFileCommand(); goto A7026; A7026: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto ffa52; B5955: if (!(true === isset($reloadNginxServiceCommand))) { goto D5cac; } goto aac33; a5007: $this->commandExecutor->execute($restoreBackupFileCommand); goto B5955; efe1a: if (!(true === isset($nginxConfigTestCommand))) { goto Cde67; } goto ca13e; ffa52: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto a5007; aac33: $this->commandExecutor->execute($reloadNginxServiceCommand); goto Cba78; D02a2: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto Cd3f1; b0f79: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto B8433; b018d: $createUserCommand->setUserName($sshUserName); goto Cc517; A1fd7: $this->commandExecutor->execute($createUserCommand); goto A17c3; E56bb: $sshDirectoryChmodCommand->setFile($sshDirectory); goto e502a; cb45b: $sshUserName = $sshUserEntity->getUserName(); goto D75e6; D5e71: $homeDirectory = sprintf("\x2f\x68\x6f\x6d\145\57\45\163", $sshUserName); goto ded6e; dff09: $sshDirectoryChmodCommand->setFileChmod(600); goto E0230; e3d4e: Ff2e3: goto A57c3; A9127: $createUserCommand->setGroup($siteUser); goto B845b; c24fe: foreach ($symlinkDirectories as $symlinkDirectory) { goto bf306; bf532: $destination = sprintf("\57\150\x6f\155\x65\x2f\45\x73\x2f\45\163", $sshUserName, $symlinkDirectory); goto B96ca; bf306: $source = sprintf("\57\150\x6f\x6d\145\x2f\x25\163\x2f\45\163", $siteUser, $symlinkDirectory); goto bf532; B46cc: $symlinkCommand->setDestination($destination); goto B6e8b; b45a2: $this->commandExecutor->execute($symlinkCommand); goto B335c; B96ca: $symlinkCommand = new CreateSymlinkCommand(); goto daee7; A2eef: $symlinkCommand->setSource($source); goto B46cc; B335c: A1ddc: goto B399e; B399e: Cb080: goto A1cd5; daee7: $symlinkCommand->setRunAsUser($sshUserName); goto A2eef; B6e8b: if (!("\144\x65\x76" != $_ENV["\x41\x50\120\x5f\x45\116\126"])) { goto A1ddc; } goto b45a2; A1cd5: } goto e3d4e; E7298: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto d67f9; Ed3d6: $siteUser = $site->getUser(); goto cb45b; ded6e: $skeletonDirectory = realpath(dirname(__FILE__) . "\x2f\x2e\x2e\57\56\56\x2f\162\x65\163\x6f\x75\162\143\x65\x73\57\145\x74\x63\57\163\153\x65\154\57\163\x73\150\55\x75\x73\x65\162\x2f"); goto f2f83; Dc7c5: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto cc222; F80a5: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto C6c7a; cc222: $createUserCommand->setHomeDirectory($homeDirectory); goto D1786; d67f9: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto F80a5; D75e6: $sshUserPassword = $sshUserEntity->getPassword(); goto D5e71; C6c7a: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto B5932; E0230: $siteUserHomeDirectory = sprintf("\x2f\150\x6f\x6d\x65\57\x25\163", $siteUser); goto df216; B845b: $createUserCommand->setShell("\x2f\142\151\x6e\x2f\142\x61\163\x68"); goto Dc7c5; b6d4f: $sshDirectoryChmodCommand = new FindChmodCommand(); goto E56bb; e502a: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto dff09; A57c3: $sshDirectory = sprintf("\x2f\150\x6f\155\x65\x2f\x25\163\x2f\56\163\x73\150", $sshUserName); goto b6d4f; f2f83: $createUserCommand = new CreateUserCommand(); goto b018d; Cc517: $createUserCommand->setPassword($sshUserPassword); goto A9127; df216: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto E7298; B8433: $site = $sshUserEntity->getSite(); goto Ed3d6; D1786: $createUserCommand->createHomeDirectory(true); goto A1fd7; A17c3: $symlinkDirectories = ["\x62\x61\x63\x6b\165\160\163", "\x68\164\144\157\x63\x73", "\x6c\x6f\x67\x73"]; goto c24fe; B5932: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto Db656; Db656: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto D1d72; e4913: $createUserCommand->setHomeDirectory($homeDirectory); goto Af58d; D4111: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto C8385; A38a3: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto C504d; Da720: $createUserCommand->setGroups(["\x66\x74\160\x2d\165\163\145\162"]); goto e667c; Df4fb: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto f3744; d8b8e: $siteUser = $site->getUser(); goto A6555; Af58d: $createUserCommand->createHomeDirectory(false); goto E6300; a566d: $ftpUserPassword = $ftpUserEntity->getPassword(); goto A38a3; C8385: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto Df4fb; A6e3e: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto C8965; Df2ee: $createUserCommand->setUserName($ftpUserName); goto bf10c; E6300: $siteUserHomeDirectory = sprintf("\57\x68\157\x6d\145\57\x25\x73", $siteUser); goto D4111; D1d72: $site = $ftpUserEntity->getSite(); goto d8b8e; C504d: $createUserCommand = new CreateUserCommand(); goto Df2ee; e667c: $createUserCommand->setShell("\x2f\142\151\x6e\57\146\x61\154\x73\145"); goto e4913; f3744: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto D7a0e; c22a3: $createUserCommand->setGroup($siteUser); goto Da720; D7a0e: $this->commandExecutor->execute($createUserCommand); goto A6e3e; bf10c: $createUserCommand->setPassword($ftpUserPassword); goto c22a3; A6555: $ftpUserName = $ftpUserEntity->getUserName(); goto a566d; C8965: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto D75cb; cc447: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto Ee60c; D75cb: $deleteUserCommand = new DeleteUserCommand(); goto E07f1; Ee60c: $this->commandExecutor->execute($deleteUserCommand); goto B3199; E07f1: $deleteUserCommand->setUserName($userName); goto cc447; B3199: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto b3526; Cfd03: $writeCertificateFileCommand->setContent($certificate); goto fbfce; ecdd9: $writeCertificateFileCommand->setFile($certificateFile); goto Cfd03; f2c44: $certificate = $certificateEntity->getCertificate(); goto A9a9d; A9a9d: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto Df739; } goto Ec5cb; Ec5cb: $certificate .= sprintf("\45\163\45\163", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto caf06; caf06: Df739: goto A7a58; c7f02: $certificateFile = sprintf("\x25\163\57\x25\163\x2e\143\162\x74", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto f2c44; c75bf: $privateKeyFile = sprintf("\x25\163\x2f\45\163\56\153\x65\171", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto c7f02; bf17c: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto b4642; f2feb: $writeCertificateFileCommand = new WriteFileCommand(); goto ecdd9; D737d: $this->commandExecutor->execute($writeCertificateFileCommand); goto a331d; a331d: $this->reloadService("\156\147\x69\x6e\x78"); goto c2c4c; b4642: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto f2feb; b3526: $domainName = $this->site->getDomainName(); goto c75bf; fbfce: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto D737d; A7a58: $writePrivateKeyFileCommand = new WriteFileCommand(); goto bf17c; c2c4c: } public function deleteLetsEncryptChallengeDirectory() : void { goto c8564; A3923: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto D6efd; db1e4: $acemeChallengeDirectory = sprintf("\45\x73\57\56\x77\x65\154\x6c\x2d\x6b\x6e\x6f\167\156\x2f\x61\143\x6d\145\55\143\150\x61\x6c\154\145\x6e\147\x65\x2f", rtrim($rootDirectory, "\x2f")); goto F44b2; F44b2: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto A3923; D6efd: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto a5941; c8564: $rootDirectory = $this->getRootDirectory(); goto db1e4; a5941: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto a8eb7; ba5e3: $writeBasicAuthFileCommand = new WriteFileCommand(); goto a303b; a9737: $basicAuthFileContent = sprintf("\x25\163\72\x25\163", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto ba5e3; Ab903: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto cf9f5; a8eb7: $basicAuthFile = sprintf("\x25\163\57\45\x73", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\x2f"), $this->site->getDomainName()); goto a9737; B4089: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto Ab903; a303b: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto B4089; cf9f5: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto bcb09; B9aa5: E9c1d: goto cbb55; e71b3: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto c2452; d586b: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto Cdb6b; C1812: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto d88b5; Cf388: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto Afd86; a1c76: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto C7046; f55bf: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto cc82b; A584b: foreach ($challenges as $challenge) { goto Ce235; ac455: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto abec1; } goto f2d17; Ebc9f: $this->commandExecutor->execute($challengeWriteFileCommand); goto bd780; a89a0: $challengeWriteFileCommand = new WriteFileCommand(); goto Dba73; Dba73: $challengeWriteFileCommand->setFile($challengeFile); goto B88a8; B4e9a: $verificationContent = $challenge["\x76\145\162\x69\146\151\x63\141\164\x69\x6f\156\103\x6f\156\x74\x65\156\x74"] ?? null; goto ac455; D0792: C16b2: goto F3afe; f2d17: $challengeFile = sprintf("\45\163\57\45\163", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto a89a0; bd780: abec1: goto D0792; B88a8: $challengeWriteFileCommand->setContent($verificationContent); goto Ebc9f; Ce235: $token = $challenge["\164\157\153\x65\156"] ?? null; goto B4e9a; F3afe: } goto d3588; cc82b: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto C1812; a4ce9: $rootDirectory = $this->getRootDirectory(); goto e2fcc; F6214: $acemeChallengeDirectory = sprintf("\x25\x73\57\x2e\167\x65\154\154\x2d\153\x6e\x6f\167\156\x2f\x61\x63\x6d\x65\55\143\150\x61\x6c\x6c\145\156\x67\145\57", rtrim($rootDirectory, "\57")); goto f55bf; d3588: a9904: goto B9aa5; E75b0: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto a1c76; e2fcc: $wellKnownDirectory = sprintf("\x25\x73\x2f\x2e\167\145\x6c\154\55\153\x6e\x6f\167\x6e\57", rtrim($rootDirectory, "\x2f")); goto F6214; df3b2: if (!count($challenges)) { goto E9c1d; } goto A584b; d88b5: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto df3b2; bcb09: $siteUser = $this->site->getUser(); goto a4ce9; Cdb6b: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto E75b0; cbb55: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto a0201; C7046: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto e71b3; c2452: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto E9dac; a0201: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto d586b; E9dac: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto Cf388; Afd86: } public function updateUserCrontab() : void { goto Fbd7c; Fbd7c: $siteUser = $this->site->getUser(); goto Ff68d; E2255: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); Afd89: } goto be4ac; c8c78: E1ec6: goto bab0b; Ff68d: $crontabFile = sprintf("\x25\163\x2f\45\x73", rtrim(self::CRON_DIRECTORY, "\x2f"), $siteUser); goto b71be; Fcdd1: if (!count($cronJobs)) { goto E1ec6; } goto E2255; bab0b: $crontabContent = implode(PHP_EOL, $crontabEntries); goto F253c; af207: $this->commandExecutor->execute($writeCrontabFileCommand); goto Bb318; ffa33: $writeCrontabFileCommand->setFile($crontabFile); goto F9166; F253c: $writeCrontabFileCommand = new WriteFileCommand(); goto ffa33; F9166: $writeCrontabFileCommand->setContent($crontabContent); goto af207; be4ac: A2a79: goto c8c78; b71be: $crontabEntries = ["\115\101\x49\x4c\x54\117\75\42\x22"]; goto ada51; ada51: $cronJobs = $this->site->getCronJobs(); goto Fcdd1; Bb318: } public function purgePageSpeedCache() : void { goto Dfa64; B5dcf: $cacheDirectory = sprintf("\x2f\x68\157\155\x65\x2f\45\163\x2f\x74\155\x70\57\x70\141\x67\145\x73\160\x65\x65\x64\137\143\141\143\150\x65", $siteUser); goto D6e1b; D6e1b: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto e0907; e0907: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto f3034; Dfa64: $siteUser = $this->site->getUser(); goto B5dcf; f3034: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto F381a; F381a: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto E9b9e; Cc566: $readLinkCommand->setFile($authorizedKeysFile); goto Cd398; c905b: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto d1e13; E9b9e: $authorizedKeysFile = sprintf("\x2f\x68\157\x6d\x65\x2f\x25\163\57\x2e\163\163\150\57\141\x75\164\150\x6f\x72\x69\172\145\x64\x5f\x6b\145\171\163", $userName); goto Efab4; Efab4: $readLinkCommand = new ReadLinkCommand(); goto Cc566; Cd398: $this->commandExecutor->execute($readLinkCommand); goto Cff07; d1c2e: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto ddd3c; } goto f95e9; d1e13: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto a3232; f8050: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto c905b; f95e9: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto f8050; a3232: ddd3c: goto C7f36; Cff07: $readLinkPath = $readLinkCommand->getOutput(); goto d1c2e; C7f36: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto ee531; ee531: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto d3129; D43c0: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto be8cf; ea162: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto D43c0; d3129: $changeUserHomeDirectoryCommand->setUserName($userName); goto ea162; be8cf: } public function changeUserPassword(string $userName, string $password) : void { goto B9942; F7d6e: $changeUserPasswordCommand->setUserName($userName); goto d79c7; B9942: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto F7d6e; A4458: $this->commandExecutor->execute($changeUserPasswordCommand); goto d504c; d79c7: $changeUserPasswordCommand->setPassword($password); goto A4458; d504c: } protected function getRootDirectory() : string { goto c8c4f; C0b81: return $rootDirectory; goto Cea6f; c8c4f: $siteUser = $this->site->getUser(); goto Fda82; Fda82: $rootDirectory = $this->site->getRootDirectory(); goto a6be3; a6be3: $rootDirectory = sprintf("\x2f\x68\157\x6d\145\x2f\45\x73\x2f\x68\164\x64\x6f\x63\x73\x2f\45\x73", $siteUser, $rootDirectory); goto C0b81; Cea6f: } public function reloadNginxService() : void { $this->reloadService("\x6e\147\151\x6e\170"); } public function reloadService($serviceName) { goto ac211; F5f2f: $this->commandExecutor->execute($reloadServiceCommand); goto c1fde; ac211: if (!("\144\x65\166" != $_ENV["\x41\120\x50\x5f\x45\116\126"])) { goto Bc2e9; } goto f6c6e; f6c6e: $reloadServiceCommand = new ServiceReloadCommand(); goto B620a; B620a: $reloadServiceCommand->setServiceName($serviceName); goto F5f2f; c1fde: Bc2e9: goto b4139; b4139: } }
